2017-12-21  Thilo Graf  <dbt@novatux.de>

	update version to 3.7.0
	eplayer beta

2017-12-21  svenhoefer  <svenhoefer@svenhoefer.com>

	- user-menu: avoid empty headers in user-menu

2017-12-21  TangoCash  <eric@loxat.de>

	- filebrowser: add size() and getFilter() members

2017-12-21  Thilo Graf  <dbt@novatux.de>

	Fileplay: add separat fileplay for audio and video

2017-12-19  svenhoefer  <svenhoefer@svenhoefer.com>

	- user-menu: add audio fileplay item
	 Conflicts:
		src/gui/user_menue_setup.cpp
		src/system/settings.h

	- neutrino: add more RC_playpause handling
	 Conflicts:
		src/gui/movieplayer.cpp

	- neutrino: add RC_playpause handling; change some key defaults for ARM_HARDWARE
	 Conflicts:
	    src/neutrino.cpp

	- rcinput: add RC_playpause key
	 Conflicts:
		src/driver/rcinput.cpp
		src/driver/rcinput.h

2017-12-18  GetAway  <get-away@t-online.de>

	audiomute.cpp: fix clear screen after audiomute

2017-12-18  svenhoefer  <svenhoefer@svenhoefer.com>

	- acinclude: configure for generic hardware by default

	- streaminfo: add fallback to delivery system detection

	- settings_manager: fix issue tag on reset settings item

2017-12-18  Thilo Graf  <dbt@novatux.de>

	Icons: use fixed language and youtube icon
	Format was wrong.

	Icons: use default hint from own icon set

2017-12-18  svenhoefer  <svenhoefer@svenhoefer.com>

	- icons: add default hint icon

2017-12-18  Thilo Graf  <dbt@novatux.de>

	Icons: add missing hint icons and fix some files with format errors

2017-12-17  Thilo Graf  <dbt@novatux.de>

	icons: fix assignment of settings, network and mainmenu icons
	Assignment was confused. There are probaly more.

	CSettingsManager: add cancel buttons to backup/save config messages
	User should have this possibility because 'yes' and 'no'
	are coming with defined effects.

	CSettingsManager: use neutrino internal debug output,

2017-12-17  svenhoefer  <svenhoefer@svenhoefer.com>

	- settings_manager: remember last used directory
	 Conflicts:
		data/locale/deutsch.locale
		data/locale/english.locale
		src/gui/settings_manager.cpp

	- settings_manager: add TARGET_PREFIX define to backup/restore calls

2017-12-17  svenhoefer  <svenhoefer@svenhoefer.com>

	- acinclude: fix TARGET_PREFIX define for native target

	Note: TARGET_PREFIX describes inside the yocto SDK the toolchain
	binary prefix for the target tools. Maybe this could make confuse
	with usage of yocto SDK environment. Maybe we should rename this variable.
	e.g EXEC_PREFIX or so ...

2017-12-17  Thilo Graf  <dbt@novatux.de>

	icons: add missing picon vor save as

	CPictureViewer: add current image into debug line
	It's not possible to see which file causes this error.

2017-12-16  Thilo Graf  <dbt@novatux.de>

	CSettingsManager: add hintbox while execute backup_sh

2017-12-15  svenhoefer  <svenhoefer@svenhoefer.com>

	- infoviewer_bb: small renamings to get more logic in function names
	showOne_CAIcon()     => showIcon_CA()
	paint_ca_icons()     => paint_ca_icon()
	showIcon_CA_Status() => paint_ca_icons()

	 Conflicts:
		src/gui/infoviewer.cpp
		src/gui/infoviewer_bb.cpp

2017-12-15  TangoCash  <eric@loxat.de>

	fix icon alignment
	 Conflicts:
		src/gui/infoviewer_bb.cpp

2017-12-15  svenhoefer  <svenhoefer@svenhoefer.com>

	- menu: fix right offset for very long right texts

	- locale: small changes in infobar ca system locales

	- zapit/channel: fix issue tag from 4bacd77f8bcd61c21b99a1cfc52fce6a8d46c5fd

	- infoviewer_bb: add gradient to ca-bar; ...
	use always CComponentsShapeSquare to paint ca-bar

	- infoviewer_bb: always show hdd fill level for a more uniform view; ...
	mark undetected hdd fill level with a small line over the progressbar.
	this avoids a "whole" in footer when gradient is active

2017-12-15  Thilo Graf  <dbt@novatux.de>

	data: update crypt icons
	thx OneOfNine

2017-12-15  TangoCash  <eric@loxat.de>

	update cryptsystems

2017-12-15  Thilo Graf  <dbt@novatux.de>

	CComponentsFooter: fix force re init of button container
	clear() removes only items and their instances inside button container, but all
	other properties (e.g. width) are not touched. Re init should avoids this.

	CTestMenu: add example for variable caption inside message buttons

2017-12-14  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/screensetup.cpp reset channellist modules

2017-12-11  Thilo Graf  <dbt@novatux.de>

	CZapitChannel: add issue tag
	This should be reworked

2017-12-11  svenhoefer  <svenhoefer@svenhoefer.com>

	- channellist: fix segfault while virtual zapping and bouquets are empty

	- rcinput: fix compiler warnings about unused variables

2017-12-10  TangoCash  <eric@loxat.de>

	adding adapter to debug output

	tryfix scan frontend selection

2017-12-10  Thilo Graf  <dbt@novatux.de>

	CMenuWidget: ensure use of unified data type const char*
	This should avoid possible compiler errors for this overloaded method.

	CComponentsInfoBox: add possibility for scalable picons

	CServiceManager: use value 0 as init value for feparams.plp_id
	Value of NO_STREAM_ID_FILTER = ~0U
	This could provokate overflow errors or possible compile errors
	related with compiler flags (e.g: -Werror=overflow)

2017-12-10  svenhoefer  <svenhoefer@svenhoefer.com>

	- webradio_usr.xml: add link to stompfm.de

2017-12-10  TangoCash  <eric@loxat.de>

	fix bouquets freq handling for DVB-T/T2

2017-12-10  svenhoefer  <svenhoefer@svenhoefer.com>

	- acinclude/configure: some more minor format changes

	- acinclude/configure: some minor format changes; fix indentations

	- configure: fix logic around libswresample

	- configure: move libstb-hal block down

	- acinclude: use AS_HELP_STRING() for --with-boxmodel; ...
	i don't know any other way to get linefeeds in right-hand text

	- configure: invert --disable-lua false logic to --enable-lua true

	- configure: invert --disable-upnp false logic to --enable-upnp true

	- acinclude: unify descriptions in TUXBOX_APPS_DIRECTORY_ONE()

	- configure: unify and simplify some AC_ARG_ENABLE() calls

	- acinclude/configure: show defaults

2017-12-10  Jacek Jendrzej  <satbaby@kawaii.com>

	femanager.h increase max adapters to 4

2017-12-08  svenhoefer  <svenhoefer@svenhoefer.com>

	- acinclude: replace custom formatting in TUXBOX_APPS_DIRECTORY_ONE with AS_HELP_STRING()

	- configure: cleanup from commented code

	- acinclude/configure: unify usage of AS_HELP_STRING(); minor format changes

	- acinclude: small resort to get the plugin-dir variables consecutively

	- acinclude: remove some double code

2017-12-07  TangoCash  <eric@loxat.de>

	fix cable nit

	This should fix possible unintended multiple scans.

2017-12-06  Frankenstone  <dampf_acc@yahoo.com>

	osd_setup.cpp: fix colormenu shadow

	alpha was bounded to menue head alpha

2017-12-06  svenhoefer  <svenhoefer@svenhoefer.com>

	- zapit/scannit: fix typo in last commit

	'last commit' = 7b75b1d9dbc856d4547168ef35084e45304b5e6f

2017-12-06  TangoCash  <eric@loxat.de>

	fix scannit

	update scan infos

	show PLI/PLC/PLM while scanning

	add PLI/PLC/PLM to manual transponder selection

	workaround for T2 resolution display

	add DVB-S2X support

	fix DVB-T2 transponders

2017-12-06  Frankenstone  <dampf_acc@yahoo.com>

	fix frontend Uni2 / JESS (thx DboxOldie)

2017-12-06  Thilo Graf  <dbt@novatux.de>

	localize: try to fix different path to iso tab

2017-12-05  Thilo Graf  <dbt@novatux.de>

	yWeb Help: remove invalid help links

2017-12-04  Thilo Graf  <dbt@novatux.de>

	widget/hintbox.cpp: add explicit init of var picon
	Had some issues while compile with gcc 7.x.
	Exact data type was expected.

	cc_item_picture.h: remove virtual declaration from setPicture()
	Is not really required.
	Avoids possible compile/linker errors like "...no reference..." for some
	coming changes.

2017-12-04  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrino.h: remove obsolete external genre_sub_classes variables

2017-12-03  Jacek Jendrzej  <satbaby@kawaii.com>

	fix radiotext title background (merge fix)

	enable yt for generic

	typo

	fix resource leak

2017-12-02  svenhoefer  <svenhoefer@svenhoefer.com>

	- infoviewer_bb: use OFFSET defines; ...
	height of ca-bar now depends on height of ca-icons
	cleanup from commented code

2017-12-01  svenhoefer  <svenhoefer@svenhoefer.com>

	Revert "- media-menu: disable currently broken audioplayer for ARM_HARDWARE"
	This reverts commit 3d91cd9e13ed76cfc3a67fc21b503a8deb407606 because it's fixed in 334ce41

2017-12-01  max_10  <max_10@gmx.de>

	- ffmpegdec: fix audio playback for ARM_HARDWARE

2017-12-01  svenhoefer  <svenhoefer@svenhoefer.com>

	- infoviewer: avoid display of radiotext icon in virtual zap mode

	- infoviewer: cleanup from some unused code
	 Conflicts:
		src/gui/infoviewer.cpp

	- infoviewer_bb: fix offset for first status-icon

	- infoviewer_bb: take footer height from CComponentsFooter ...
	to get this footer in sync with the footers of other gui elements

	- usermenu: cleanup from ITEM_RASS

	- infoviewer: rework radiotext element; ...
	use OFFSET defines, larger font, fix header width

	- radiotext: cleanup from tons of unused code; rass is dead

	- icons: cleanup from unused icons
	 Conflicts:
		data/icons/buttons/orphaned/0-green.png
		data/icons/buttons/orphaned/0-red.png
		data/icons/buttons/orphaned/1-green.png
		data/icons/buttons/orphaned/1-red.png
		data/icons/buttons/orphaned/2-green.png
		data/icons/buttons/orphaned/2-red.png
		data/icons/buttons/orphaned/3-green.png
		data/icons/buttons/orphaned/3-red.png
		data/icons/buttons/orphaned/4-green.png
		data/icons/buttons/orphaned/4-red.png
		data/icons/buttons/orphaned/5-green.png
		data/icons/buttons/orphaned/5-red.png
		data/icons/buttons/orphaned/6-green.png
		data/icons/buttons/orphaned/6-red.png
		data/icons/buttons/orphaned/7-green.png
		data/icons/buttons/orphaned/7-red.png
		data/icons/buttons/orphaned/8-green.png
		data/icons/buttons/orphaned/8-red.png
		data/icons/buttons/orphaned/9-green.png
		data/icons/buttons/orphaned/9-red.png
		data/icons/buttons/orphaned/longpress.png
		data/icons/hints/hint_rass.png
		data/icons/hints/hint_spark.png
		data/icons/various/rass.png

	- icons.h: cleanup from unused defines

	- remove unused src/driver/stacktrace.h; use src/system/stacktrace.h if needed
	 Conflicts:
		src/driver/stacktrace.h

	- neutrino: try to fix timer_wakeup handling; ...
	The return to deepstandby after timer-wakeups was broken.

	- locale: minor changes on new tunersetup locales

2017-12-01  Jacek Jendrzej  <satbaby@kawaii.com>

	disable setVolume in standby mode

2017-11-28  svenhoefer  <svenhoefer@svenhoefer.com>

	- zapit/frontend: fix compiler warning

2017-11-28  TangoCash  <eric@loxat.de>

	frontend: fix fall through

	add DVB-T2 support, enable 5V supply

2017-11-28  Jacek Jendrzej  <satbaby@kawaii.com>

	prepare for T2 patch

2017-11-27  TangoCash  <eric@loxat.de>

	fix AAC record and playback

2017-11-27  svenhoefer  <svenhoefer@svenhoefer.com>

	- zapit: remove some ifdef's; prepare for upcoming patches

	- neutrino: don't write timerinfo's when exiting to reboot

	- neutrino: re-disable screensaver for mode_webradio on ARM_HARDWARE
	when screensaver is stopped the playback is stopped too

	- screensaver: move more repeatedly used code to screensaver's code

	- movieplayer: use members from screensaver's code
	 Conflicts:
		src/gui/movieplayer.cpp

	- neutrino: move screensaver members to screensaver's code

	- neutrino: enable screensaver for mode_webradio

	- shutdown_helper: better explanation of what the tool does; ...
	small code re-formatting

2017-11-25  svenhoefer  <svenhoefer@svenhoefer.com>

	- cablex.xml: add OstTelCom; thx to elstablo
	http://www.neutrino-images.de/board/viewtopic.php?f=28&t=2125#p12037

2017-11-24  Jacek Jendrzej  <satbaby@kawaii.com>

	fix radiotext for armbox

2017-11-23  Thilo Graf  <dbt@novatux.de>

	Revert "shutdown_helper: add calling '/etc/init.d/rcK'"
	This reverts commit 6709ae0feb9544a1cc4f45a982f9f7bd0f131ec8.

2017-11-23  Jacek Jendrzej  <satbaby@kawaii.com>

	fix webtv script path

2017-11-23  Thilo Graf  <dbt@novatux.de>

	CComponentsTimer: try to fix timing on non cst hardware
	On hd51 and pc hardware was observed full visual timeout progress in message boxes.
	Timeoout was displayed always without visible progress.
	This should fix this.

2017-11-22  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrino: deactivate compatibility code in ExitRun(); ...
	our start script is aligned to new exit code 2
	see https://bitbucket.org/neutrino-images/ni-buildsystem/commits/cd1328c41cb642c141b58d001dce06a96eff0a1c

2017-11-22  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrino: add exit codes to handle some actions in neutrino's start script
	EXIT_REBOOT is inactive yet; see comment in ExitRun()

	 Conflicts:
		src/neutrino.cpp

2017-11-22  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrino: always write /tmp/.timer ...
	otherwise the vfd stays blank in deepstandby, if leds are configured off
	and no timer is set. HD2's vfd urgently needs the fp.brightness value
	which is not written to frontpanel in this case.

	- neutrino: unify console-output for different conditions in ExitRun()

	- neutrino: fix file-check in ExitRun() ... was a c/p error

2017-11-22  J. Krieg  <bellum07@googlemail.com>

	shutdown_helper: add calling '/etc/init.d/rcK'
	...to prevent possible file system corruption prior shutting down

2017-11-22  Striper  <gandharva@gmx.de>

	- rename uncooloff workaround to something less idiotic

2017-11-22  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrino: more small cleanups in ExitRun()
	 Conflicts:
		src/neutrino.cpp

	- neutrino: cleanup ExitRun() function from unused code
	 Conflicts:
		src/neutrino.cpp

	- controlapi: add mode_webradio to GetModeCGI()

	- neutrino: clearify mode handling in saveEpg() function
	 Conflicts:
		src/driver/scanepg.cpp
		src/neutrino.cpp

	- neutrino: unify modes handling; ...
	remove double enum from CNeutrinoApp and move mostly used enum from NeutrinoMessages to new NeutrinoModes

2017-11-22  FlatTV  <FlatTV@gmx.de>

	capmt.cpp: Fix stop decoding
	don't stop decoding if record stops, this break overlapped record on cst

2017-11-20  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' of https://github.com/tuxbox-neutrino/gui-neutrino

2017-11-19  svenhoefer  <svenhoefer@svenhoefer.com>

	- simple_display: show scrambled icon on scrambled channels

	- simple_display: show mute icon in muted mode

2017-11-19  Thilo Graf  <dbt@novatux.de>

	src/gui/components/cc_frm_window.cpp: fix too small left bottom corner
	radius is allready calculatetd in base class src/gui/components/cc_frm.cpp
	in member CComponentsForm::paintCCItems()

	NOTE:
	It seems the radius calculation inside framebuffer don't working correct
	for corners on the right site on top and bottom.
	Seen on hd51 hardware on osd-boxes with shadow
	(e.g. infobar) or Boxes with frames e.g. on  error message windows, buttons.
	There are pixel errors like minimal holes on osd or displaced pixels.
	On CST hardware evreything is ok.

2017-11-19  Thilo Graf  <dbt@novatux.de>

	CTestMenu: add gui restart item for faster access

	CImageInfo: expand fallback to get readable version string
	Evaluation of one char could be not enough to get a right result.

2017-11-17  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrino: fix tv/radio switch for coolstream; ...
	the TV/Radio key returns RC_tv. So we can't use RC_radio code here.

2017-11-17  Jacek Jendrzej  <satbaby@kawaii.com>

	add dependency to libswscale for armbox

	add dependency to libswscale for armbox

2017-11-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrino: don't load webradio xml on HD1 hardware; ...
	audiostreams doesn't work

	- simple_display: fix compile for GENERIC_HARDWARE

2017-11-16  TangoCash  <eric@loxat.de>

	armbox: read frontend real names

2017-11-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- vfd-setup: allow to set scroll_repeats if possible

	- neutrino: display's setScrollMode() needs to be called on every start

	- simple_display: dont show symbols in shutdown mode too

	- vfd: re-add by mistake removed setting "off" for statusbar

	- timerlist: don't cast saved_displaymode

	- movieplayer: try to fix display of servicename; ...
	name can be changed while playing movies

	- simple_display: simplify some proc_put calls

	- proc_tools: add helper member to put values w/o length; ...
	align included headers to c++

	- simple_display: switch back to simplified proc_put calls

	- proc_tools: c => cpp; add new helper member to write bool values

	- simple_display: align f9b55ca to new proc_put calls

	hd51: dont show symbols in standby

	- simple_display: allow to set scroll mode

	- simple_display: use proc_tools
	 Conflicts:
		src/driver/simple_display.cpp

	- neutrino: avoid some ifdef's; prioritize proc filesystem

	- system: add seife's proc_tools

2017-11-16  Thilo Graf  <dbt@novatux.de>

	capmt.cpp: try to fix ci handling
	Based up:
	https://bitbucket.org/neutrino-images/ni-neutrino-hd/commits/f3775d18142afe4341dcb3e52627cf5bd912d4a4
	https://bitbucket.org/neutrino-images/ni-neutrino-hd/commits/600aa573688114b6d2bb3cbf95a3df2294e40998
	by FlatTV, Striper

2017-11-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- vfd-setup: hide statusline option from models w/o a statusline in vfd

2017-11-16  Thilo Graf  <dbt@novatux.de>

	coolstream/hardware_caps.h: fix broken cs build
	'display_has_statusline' was missed with commit:
	f6093052466d9da01db74315a07bf82c249838ca

2017-11-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- hardware_caps: add display_has_statusline member

	- vfd-setup: more readability; just cosmetics

	- vfd-setup: don't show separatorline when backlight menu isn't shown

	- simple_display: avoid compiler warning

	- simple_display: fix compile for non-ARM_HARDWARE
	 Conflicts:
		src/driver/simple_display.cpp

	- simple_display: add possibility to show text when changing mode

	- simple_display: add missing MODE_MENU_UTF8 check in setMode()

	- simple_display: rename display() to ShowText() ... as in vfd.cpp
	 Conflicts:
		src/driver/simple_display.cpp

	- simple_display: cleanup from unused code inside ifdef mess

	- timerlist: fix saved_dispmode

	- cables.xml: use german umlauts for german nets; ...
	Note: encoding is iso-8859-1

	- update: fix display of installed version; ...
	curiously it was only broken on ARM_HARDWARE

	- infoviewer: fix radiotext icon for webradio

	- neutrino: fix console output to signalize timer wakeups

2017-11-16  Striper  <gandharva@gmx.de>

	- capmt.cpp: cleanup
	 Conflicts:
		src/zapit/src/capmt.cpp

2017-11-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- infoviewer_bb: fix wrong mode-logic for radiotext icon

2017-11-16  Striper  <gandharva@gmx.de>

	- shorten string

2017-11-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- movieplayer: fix screenshot function

	- screenshot: cleanup from many many unused code; ...
	This commit reverts screenshot code to a stand before hd51 support. Screenshots for ARM_HARDWARE will be re-implemented in another way.

	- cleanup from unsupported DUCKBOX_HARDWARE

	- streaminfo2: cleanup from unsupported hardware ifdefs

	- vfd: cleanup from unsupported hardware ifdefs; vfd.cpp/h is only used by COOL_HARDWARE
	 Conflicts:
		src/driver/vfd.cpp

	- movieplayer: cleanup from unsupported hardware ifdefs

	- re-add working streaminfo for coolstream hardware; ...
	TODO fix streaminfo2 for coolstream; was broken since last commits

2017-11-16  TangoCash  <eric@loxat.de>

	- infoviewer: fix FIXME comment in 9b340752244980a59d57d3d318f70339a7f8d2e1

2017-11-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- movieplayer: don't stop playback with RC_home; it's confusing
	 Conflicts:
		src/gui/movieplayer.cpp

	- neutrino: don't add web-channels to sat-bouquet

	- streaminfo: fix compile for coolstream; add dummies to libcs-headers

	- streaminfo: some more position fixes; ...
	use COL_MENUCONTENTINACTIVE_TEXT for inactive apids and caids

	- streaminfo: add channelname for webtv/radio too; simplify code

	- streaminfo: re-add osd resolution

	- locale: minor changes in streaminfo locales

	- streaminfo: use OFFSET defines; some position fixes

2017-11-16  Thilo Graf  <dbt@novatux.de>

	- streaminfo: minor re-formatations and whitespace cleanups
	# Conflicts:
	#	src/gui/streaminfo2.cpp

2017-11-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- streaminfo: show channellogo in mode-webradio too

	- streaminfo: port from TangoCash
	 Conflicts:
		src/gui/streaminfo2.cpp

	- streaminfo: fix resolution for webradio; ...
	add channellogo to movieplayer-info too; not nice but informative

	- streaminfo: some mode_webradio fixes

	- neutrino: some more mode_radio/mode_webradio fixes #2

	- neutrino: some more mode_radio/mode_webradio fixes

	- neutrino: respect user's infoviewer timeout settings for different modes

	- infoviewer: try to get meta data from stream when epg is empty

	- infoviewer_bb: fix display of icons in radio/webradio mode

	- movieplayer: add some console spam to check modes

	- infoviewer: try to fix showLivestreamInfo() for audiostreams

2017-11-16  Striper  <gandharva@gmx.de>

	- yweb: optimize png images for size
	 Conflicts:
		data/y-web/images/blank.png
		data/y-web/images/cancel.png
		data/y-web/images/colored_bar.png
		data/y-web/images/server_add.png
		data/y-web/images/server_delete.png
		data/y-web/images/server_edit.png
		data/y-web/images/server_link.png

	- yweb: install only box specific remote control pictures

2017-11-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- media-menu: disable currently broken audioplayer for ARM_HARDWARE

	- fill webradio_usr.xml with some of my favorite streams

	- zapit: save last channel for webradio too

	- infoviewer: fix timeout for new mode_webradio

	- try to fix tv <-> radio switch

	- zapit: don't save webradio-channels as last tv channel

	- movieplayer: fix for '- movieplayer: fix new mode'

	- movieplayer: rename isWebTV => isWebChannel

	- rename LIST_MODE_WEBTV => LIST_MODE_WEB

	- scanepg: rename webtv => webchan

	- rename IS_WEBTV => IS_WEBCHAN
	 Conflicts:
		src/zapit/src/capmt.cpp

	- movieplayer: fix new mode

	- fix mode in SetChannelMode()

	- fix -Wlogical-op errors

	- add webradio; first steps
	 Conflicts:
		data/Makefile.am
		data/scripts/backup.sh
		src/neutrino.cpp
		src/zapit/include/zapit/zapit.h

2017-11-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- tuxtxt: change some default values

	This should be bounded to current loacle settings.

2017-11-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- tuxtxt: fix compiler warnings; simplify ifdef's

	- tuxtxt: align to mp

	fix generic keyboard
	 Conflicts:
		src/driver/rcinput.cpp

2017-11-16  Striper  <gandharva@gmx.de>

	- fix compile for coolstream hardware (works on HD2)
	 Conflicts:
		src/driver/screenshot.cpp

2017-11-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- acinclude: fix indentation

2017-11-16  Thilo Graf  <dbt@novatux.de>

	CServiceManager: add member GetCurrentChannel()
	Shortcut for CZapit::getInstance()->GetCurrentChannel() inside
	CServiceManager

	widget/menue_target.h: add possible required includes
	If this file is included as single without menue.h build could be break,
	beecause of missing includes for some types. This should fix this.
	In many source files still menue.h is included, so this is not noticeable.

2017-11-13  TangoCash  <eric@loxat.de>

	hd51: fix wakeup from standby

2017-11-13  Jacek Jendrzej  <satbaby@kawaii.com>

	fix audio description after play movie

2017-11-07  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/movieplayer.cpp fix break record after play on cst (after hd51 merge)

	src/zapit/src/capmt.cpp dont stop decoding if record stops, this break overlapped record on cst

2017-11-06  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/movieplayer.cpp fix audioselect in not filpeplayer mode (after merge)

2017-11-05  GetAway  <get-away@t-online.de>

	menue.cpp: add reverse search to find selectable item

2017-11-05  Thilo Graf  <dbt@novatux.de>

	CImageInfo: fix version string format
	String was broken. Only artefacts were to see.

	BTW: With current yocto build .version contains
	wrong version format. This seems to be not suitable for
	handling with flash images in context with versions checks.

2017-11-05  Jacek Jendrzej  <satbaby@kawaii.com>

	disable file player mode for cst

2017-11-04  Thilo Graf  <dbt@novatux.de>

	simple_display.cpp: partial revert "fix generic build"
	This reverts commit c7c52324a39c3b65e21b35d9983f26e95efa6537.

	hd51 build was broken with -Werror=unused-variable

2017-11-03  Jacek Jendrzej  <satbaby@kawaii.com>

	silence -Wparentheses-equality warning

	fix generic build

	remove pinentered script , revert 9dbdfcf5c7e813c67f44b3255881fd0fe344ad4d

	fix blank screen on start (after merge)

	remove unused

	src/gui/movieplayer.cpp reEnable YT

	src/gui/movieplayer.cpp fix page up/down jump and stop play after merge

2017-11-02  Thilo Graf  <dbt@novatux.de>

	update version to 3.6.1
	start up AX/Mut@nt hd51 support

2017-11-02  GetAway  <get-away@t-online.de>

	menue.cpp: dont use one-time init of a variable that could be changed on runtime

2017-11-02  svenhoefer  <svenhoefer@svenhoefer.com>

	- rename can_set_display_brightness => display_can_set_brightness

2017-11-02  svenhoefer  <svenhoefer@svenhoefer.com>

	- vfd-setup: use new display_can_deepstandby member from libstb-hal

	Build was broken with original cherry-pick. hw_caps_t was incomplete.

2017-11-01  svenhoefer  <svenhoefer@svenhoefer.com>

	- simple_display: more readability in togglePower() function

	- simple_display: fix showRCLock() function

	- epgview: disable epgid debug code

2017-11-01  TangoCash  <eric@loxat.de>

	- movieplayer: add progress to vfd

2017-11-01  svenhoefer  <svenhoefer@svenhoefer.com>

	- introduce simple_display.h; just a cleaned copy of lcdd.h

2017-11-01  Striper  <gandharva@gmx.de>

	- CMovieBrowser::info_hdd_level(): fix miscalculation

2017-11-01  TangoCash  <eric@loxat.de>

	fix hevc record

2017-10-31  TangoCash  <eric@loxat.de>

	add support for H265

2017-10-30  svenhoefer  <svenhoefer@svenhoefer.com>

	- acinclude: move default PUBLIC_HTTPDDIR from /var/httpd to /var/tuxbox/httpd

	- audioplayer: allow RC_previoussong and RC_nextsong

2017-10-29  svenhoefer  <svenhoefer@svenhoefer.com>

	- rcinput: add some new keys ...
	and translate KEY_VIDEO (list-key) to RC_favorites for ARM_HARDWARE

	- update: ask for copy settings to new image

	- update_menue: hide expert functions for ARM_HARDWARE

	- update: allow ofgwrite to flash another partition

	- zapit: add missing "case DVB_T2" to getDelSys()

	- channellist: add separator item to menu for a smoother view

	- update: fix osd flickering

	- hdd-menu: hide mmcblk devices from hdd-menu

2017-10-29  Thilo Graf  <dbt@novatux.de>

	CLCD: fix possible compile error
	error: declaration of 'power' shadows a global declaration [-Werror=shadow]

	CLCD: fix possible compile error
	error: unused variable 'ret' [-Werror=unused-variable]

	CScreenShot: fix build
	Some lines were wrong picked

2017-10-29  TangoCash  <eric@loxat.de>

	small zapit fix

2017-10-29  svenhoefer  <svenhoefer@svenhoefer.com>

	- locale: minor changes in update-locales

	- update: allow online-update for AX/Mutant; add some beautiful ifdef's
	#ifdefs not really beautiful but sometimes inevitable

2017-10-29  J. Krieg  <bellum07@googlemail.com>

	cables.xml: update Unitymedia BW (former Kabel BW) - rearrangement channels, October 2017

2017-10-29  svenhoefer  <svenhoefer@svenhoefer.com>

	- update: allow tgz-tarballs for update via ofgwrite

	- yWeb: silent screenshots

2017-10-29  TangoCash  <eric@loxat.de>

	modify uhd channel detection to catch channels broadcasting not in DVB specs

2017-10-29  svenhoefer  <svenhoefer@svenhoefer.com>

	- deutsch.locale: small spelling fixes

2017-10-29  TangoCash  <eric@loxat.de>

	modify autocreate HD _and_ UHD channels as seperate lists

	- zapit: detect uhd-channels

2017-10-29  Striper  <gandharva@gmx.de>

	- fix typo

2017-10-29  svenhoefer  <svenhoefer@svenhoefer.com>

	- yWeb: fix 9eb1060cbb14f6a29ed289b52c0214ffc67503e0

	- yWeb: enable auto-reload of screenshots

	- yWeb: signalize standby-mode in status-button's color; thx to fred_feuerstein

	let playback handle devices

	- yWeb: fix grab-handling

	- yWeb: fix manual selection of remote control

	- yWeb: add Mutant HD51 remote control; thx to fred_feuerstein

	- yWeb: improve rc_hd51.png

	- yWeb: fix up/down <-> pageup/pagedown keys; enable sleep key

	- yWeb: enable grab to do screenshots

2017-10-29  svenhoefer  <svenhoefer@svenhoefer.com>

	- audio_select: copy full code from TangoCash
	Just compile tested. Maybe some more alignments needed.

	Additional changes on cs playback_cs.h, because broken build

2017-10-29  Thilo Graf  <dbt@novatux.de>

	data: add missing epglanguages.conf

2017-10-29  TangoCash  <eric@loxat.de>

	armbox: fix dimming vfd

	armbox: show grafical volume in vfd

	fix time in vfd

	fix some keys

	fix resolution icon in infoviewer

	update webif

	fix gstreamer playback

	fix select osd resolution

	adding 4k video settings for armbox

	start implementing hardware acceleration for armbox
	you have to compile neutrino with "--enable-reschange" to use FullHD-OSD

2017-10-29  vanhofen  <vanhofen@gmx.de>

	- add hd51; mostly ported from TangoCash's neutrino-mp

2017-10-29  Thilo Graf  <dbt@novatux.de>

	src/Makefile.am: add missing possible static dir for libcoolstream.mt

	tuxtxt_common.h: add missing init to readcnt

	locales: generalize image settings, rewrite welcome text

	locales: use german entries for channel scan

	locales: complete plugin entry for plugins.hdd_dir

	locales: typo fix

	locales: message for record scan generalized

	locales: hint for followscreenings setup shortened

	locales: hint for moviebrowser setup shortened

	locales: hint for channel logo setup shortened

	locales: generalize system info hint

	locales: generalize channel logo option

	locales: use more shorter/plausible entries for hdd setup

	locales: use shorter warning message for local update

	locales: use more plausible name menue entry for theme reset

	locales: use more plausible entries for audio and epg plus

2017-10-29  svenhoefer  <svenhoefer@svenhoefer.com>

	- add UHD icons to infoviewer

2017-10-29  Thilo Graf  <dbt@novatux.de>

	icons/status/channel/Makefile: add entries for UHD status icons

2017-10-29  Thilo Graf  <dbt@novatux.de>

	neutrino: add Liberation Fonts

	Based up commit from:
	https://sourceforge.net/p/tuxbox-cvs/apps/ci/2577990c6e8effa45d04738e87c8082cf3ffe52d/

2017-10-29  Thilo Graf  <dbt@novatux.de>

	armbox: add configure lines for some useful options for paths and hd51 builds

2017-10-24  Thilo Graf  <dbt@novatux.de>

	CNetworkSetup: disable network_services menu
	Required with yocto build

2017-10-23  M. Liebmann  <git@tuxcode.de>

	CLuaInstCurl: Add script functions
	 - encodeUri
	 - decodeUri
	 - setUriData
	 - Set Lua api version to 1.78

	CLuaInstCurl: Fix CurlDownload() to send POST data
	 - Set Lua api version to 1.77

2017-10-17  Thilo Graf  <dbt@novatux.de>

	update version to 3.6.0
	Prepared for multiplatform builds

	Merge branch 'pu/mp' into 'master'

	CUpnpBrowserGui: fix button arrangement
	defined label width parameter was too large

	icons: add new default iconset, thx OneOfNine
	Hope it's complete, please report if somthing is missing!

	neutrino.cpp: show logo on start up

	CComponentsPIP: use default background image as default image

	data/pictures: add new default background/start image

	maintain: add version update script

2017-10-17  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

	movieplayer.cpp remove free ,  attempting free on address which was not malloc()-ed

2017-10-16  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

	Revert "- libdvbsub: add missing free() call"
	This reverts commit 89f9ae85f07ffc900a0698be718e4e635db282f4.

2017-10-14  Jacek Jendrzej  <satbaby@kawaii.com>

	streaminfo2: add desc to audiotype

2017-10-14  M. Liebmann  <git@tuxcode.de>

	CBEBouquetWidget::getInfoText(): Fix compile error

2017-10-13  Thilo Graf  <dbt@novatux.de>

	bedit: add methods ResetModules() and init()
	Help to handle instances of modules to get current screen and font settings
	after changed settings by user.

	Dimensions were not applied after changed settings. eg: All Items had wrong
	position and dimensions after changed font size.

2017-10-13  Thilo Graf  <dbt@novatux.de>

	bedit: remove multiple code from paintHead() method

	bedit: remove multiple code from paintFoot() method

	bedit: ensure apply of possible changed timeout settings on runtime

	bedit: move paintBody() into base class
	Avoids multiple code parts

	bedit: declare internal vars as protected
	Access to internal member vars should be done via methods and funtions.

2017-10-13  Thilo Graf  <dbt@novatux.de>

	bedit: use inherited version of hide()
	This overwrites inherited hide() from CMenuTarget

	rework hide

2017-10-13  Thilo Graf  <dbt@novatux.de>

	bedit: use inherited version of paintDetails() and dline/ibox objects
	This moves full identicaly code into base class.

	TODO: There are more similar parts.

2017-10-13  Thilo Graf  <dbt@novatux.de>

	bedit: remove multiple forward declaration of CFrameBuffer
	I don't see any sense why this should be done here.

	CComponentsFooter: rework uniformed arrangement
	Some parts were incomplete treated with defined parameter
	'label_width' and/or 'chain_width'.

	Revert "CTimerList: adjust label width in footer dependent by count of buttons"
	This reverts commit 3987c3a30633111ed1e5d78f580e3b837b2f87e8.

	CMenuWidget: don't use parameter for label width calculation
	Footer object does this itself.

	CTimerList: localize info and send timer buttons

2017-10-13  svenhoefer  <svenhoefer@svenhoefer.com>

	- libdvbsub: add missing free() call

	- libdvbsub: use framebuffer functions getBackBufferPointer() and blit2FB()

2017-10-13  Striper  <gandharva@gmx.de>

	- dvbsubtitle: fix copy/paste error and only show debug if there is something to clear

	- cleanup dvbsubtitle code

2017-10-13  svenhoefer  <svenhoefer@svenhoefer.com>

	- libdvbsub: allow FullHD resolution dimensions

	- libdvbsub: port usefull code from Neutrino-MP to make dvbsub nice again

2017-10-09  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/upnpbrowser.cpp clear framebuffer

	Merge branch 'master' into pu/mp

	upnpbrowser : fix memleaks

	upnpbrowser : fix memleak

2017-10-08  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-10-08  Thilo Graf  <dbt@novatux.de>

	CUpnpBrowserGui: fix possible compile errot
	error: suggest parentheses around ‘&&’ within ‘||’ [-Werror=parentheses]

	CTimerList: fix behavior of hide() for remotebox sub menus
	After hide() the the background was not fully restored or
	was partially damaged  the corners beside the header.

	CTimerList: increase width of remote menu
	eg: With oversized font sizes the buttons inside footer are  squeezed.

	CMenuWidget: small clean ups

2017-10-08  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

	fix video folderplay

	src/gui/upnpbrowser.cpp clear framebuffer

	src/gui/upnpbrowser.cpp kill infobox and timebox

	src/gui/test_menu.cpp fix memleak

2017-10-02  Jacek Jendrzej  <satbaby@kawaii.com>

	fix compil after merge

	Merge branch 'master' into pu/mp

2017-10-02  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	helpers/readFile: limit memory allocations

	remove "using namespace std" from header files
	"using namespace std" in headers is considered bad practice, so move it
	either into the respective cpp files or (for files which have lots of
	other std::xxx usage anyway) just write it out explicitly.
	Looking at the headers and the affected cpp files, one can actually see
	why it is bad practice, as it's spreading very far ;-)

2017-09-30  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-09-30  svenhoefer  <svenhoefer@svenhoefer.com>

	- deutsch.locale: adjust EPGPlus.remind

2017-09-30  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	CMenuWidget: fix "left" key for menuchoosers where
	the "decrement menu function" got lost by the last "simplify code and
	add missing break" commit. The implicit fallthrough actually was used to
	execute the "left" function.
	Reorganize the code so that it works even without the implicit
	fallthrough.

2017-09-29  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-09-29  svenhoefer  <svenhoefer@svenhoefer.com>

	- rcinput: simplify calcTimeoutEnd() calls; 0 is "off" by default now

2017-09-28  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-09-28  svenhoefer  <svenhoefer@svenhoefer.com>

	- bouqueteditor: clear details in infobox if no channels available

2017-09-28  Jacek Jendrzej  <satbaby@kawaii.com>

	fix clang compil, use swap()

2017-09-27  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-09-27  svenhoefer  <svenhoefer@svenhoefer.com>

	- menue: only add hint_height to full_height, if we really have a hint

	- bouqueteditor_channels: allow to navigate with left/right through the bouquets
	add corresponding context-icons to header

2017-09-27  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-09-27  svenhoefer  <svenhoefer@svenhoefer.com>

	- bouqueteditor: some more timeout-fixes

2017-09-27  Jacek Jendrzej  <satbaby@kawaii.com>

	Revert "CMenuWidget: simplify menu_left_exit code, add missing break"
	This reverts commit aa0863f0c33ecd30805424400b7552158a0571fa.

	Merge branch 'master' into pu/mp

2017-09-27  svenhoefer  <svenhoefer@svenhoefer.com>

	- fix some timout-off-bugs in bouquetlist and channellist

	- fix some timout-off-bugs in epgplus, epgview, eventlist and filebrowser

	- bouqueteditor: fix timeout; editor doesn't open when timeout was "off"

	- network-setup: add header-icon to network-test

	- network-setup: fix text-alignment for network-test

2017-09-26  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-09-26  svenhoefer  <svenhoefer@svenhoefer.com>

	- menue: fix coordinates for savescreen function

	- bouqueteditor_bouquets: RC_yellow now stops move bouquets too

2017-09-26  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-09-26  svenhoefer  <svenhoefer@svenhoefer.com>

	- menue: add missing delete

2017-09-26  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

	Revert "src/gui/osd_setup.cpp disable hint paint in channellist-mode, is broken"
	This reverts commit e308407b229b72cf2f1851a122221878114033d1.

2017-09-26  svenhoefer  <svenhoefer@svenhoefer.com>

	- menue: user smaller vertical offset for hintboxes to keep it in sync with other vertical offsets
	* get bottom menu offset from CMenuSeparator()->getHeight()

	- osd-setup: use 0 as a localized value for timeout-settings

	- menue: add possibility to add localized values in CMenuOptionNumberChooser seperately

	- detailsline: reduce two times the shadow width from the h_marks
	Otherwise shadows will be painted lower then the height of the object
	the detailsline is docked to.

2017-09-26  svenhoefer  <svenhoefer@svenhoefer.com>

	- bouqueteditor: massively rework gui; ...
	* add CBEGlobals to globalize some basic calculations
	  (maybe there's something more to globalize)
	* add header-icons
	* change header-captions
	* add info-texts for webtv-channels
	* change arrangement of status-icons
	* small code re-formattings

	bouqueteditor_bouquets:
	* RC_yellow now starts and stops moving of bouquets
	* RC_tv now switches to tv-channels
	* RC_radio now switches to radio-channels

	bouqueteditor_chanselect:
	* RC_green now add channels too
	* don't use listbox-widget anymore (listbox is unused now)

2017-09-26  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	epgview: swap RC_info and RC_help in EPG view
	this restores old behaviour of RC_info toggling big fonts.
	RC_help toggles TMDB display (which is disabled by default anyway)

	audioplayer: allow to add https:// urls from playlist

	netfile: avoid possible buffer overflows spotted by gcc7
	* use strcpy instead of sprintf(x, "constant") or sprintf(x, "%s", str)
	* use strncpy and ensure termination where necessary
	* use snprintf instead of sprintf

	fb_accel: fix blit after time_monotonic_ms fix

	abstime: fix time_monotonic_ms on 32bit systems
	m)

	rcinput: disable timer debug messages

	subchannel_select: ensure buffer does not overflow

	audioplayer: fix buffer overflow

	moviebrowser: fix format-string warnings

	zapit: properly initialize arrays in scanbat and scansdt

	CMenuWidget: simplify menu_left_exit code, add missing break

	zapit: suppress one more implicit-fallthrough warning

	change time_monotonic_ms() from time_t to int64_t
	time_monotonic_ms values did wrap every ~24 days, leading to problems
	in code that did not cope with that. Instead of fixing all places where
	relative comparisons with time_monotonic_ms() are made, just use a
	bigger datatype. Convert all users to the new type.

	neutrinoyparser: fix invalid logic in func_unmount_get_list

	pictureviewer: fix build with gcc7

	add comments to suppres -Wimplicit-fallthrough warnings

	add LUA_CFLAGS everywhere widget/menue.h is used

	change time_monotonic_ms() from time_t to int64_t
	time_monotonic_ms values did wrap every ~24 days, leading to problems
	in code that did not cope with that. Instead of fixing all places where
	relative comparisons with time_monotonic_ms() are made, just use a
	bigger datatype. Convert all users to the new type.

	moviplayer: suppress unused variable warning

2017-09-24  Thilo Graf  <dbt@novatux.de>

	cc_detailsline.cpp: fix possible unintended reduced height of bottom marker
	Decrement value removed.

	Height of bottom marker was decreased on every new repaint if no new
	height was assigned. Was to see in bouqueteditor while scrolling with bouqets or
	channel select window.

	comes in with 9948649f55f2bba8ece636a17028159d11a3298b

2017-09-21  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

	fix stack buffer underflow

	fix use stack after scope

2017-09-21  svenhoefer  <svenhoefer@svenhoefer.com>

	- code alignments to master branch

2017-09-21  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/mp

	jsoncpp: update to current version 1.8.3

2017-09-20  svenhoefer  <svenhoefer@svenhoefer.com>

	- add and use FRAME_WIDTH defines; ...
	replace other fixed frame widths with OFFSET defines

2017-09-20  Thilo Graf  <dbt@novatux.de>

	CComponentsFrmClock: Using less chars for time string.
	Current count of chars could be not enough in some cases.

2017-09-20  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

	src/gui/osd_setup.cpp disable hint paint in channellist-mode, is broken

2017-09-19  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/mp

	Use parseJsonFromString() for parsing json data in
	    - CMoviePlayerGui::luaGetUrl()
	    - CTimerList::RemoteBoxChanExists()
	    - CTimerList::RemoteBoxTimerList()
	    - CTimerList::paintItem()
	    - cTmdb::GetMovieDetails()
	    - cYTFeedParser::parseFeedJSON()
	    - cYTFeedParser::parseFeedDetailsJSON()

2017-09-19  M. Liebmann  <git@tuxcode.de>

	helpers.cpp: Add new functions
	  - readFile()
	  - parseJsonFromFile()
	  - parseJsonFromString()

	  parseJsonFromString() and parseJsonFromFile() use Json::CharReader
	  instead of the obsolete function Json::Reader

2017-09-19  Thilo Graf  <dbt@novatux.de>

	CKeyChooserItem: add missing 'timeoutbar' while waiting for pressed key

2017-09-19  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-09-19  vanhofen  <vanhofen@gmx.de>

	- menue: use getItemColors() to get item colors

2017-09-19  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-09-19  max_10  <max_10@gmx.de>

	mediaplayer: fixes form Duckbox git

2017-09-19  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

	fix start clock supplement to d30bd0ea268eb0effa680c20afb392d6576f9420

2017-09-18  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

	osd_setup.cpp fix memleak

	fix memleak

	Merge branch 'master' into pu/mp

	fix mem leak

2017-09-17  Thilo Graf  <dbt@novatux.de>

	CKeyChooserItem: fix possible memleak

	CHintBox: fix possible unintended cut of text
	Last line size was not considered.

	CPersonalizeGui: fix visualize of passive and active locked items

	CMenuItem: add members set/get info icon inside menu items

2017-09-16  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

	remove unused locale

2017-09-16  vanhofen  <vanhofen@gmx.de>

	- keychooser: just small renamings for a better view

2017-09-15  Thilo Graf  <dbt@novatux.de>

	CColorChooser: fix possible artefacts on screen after closed window
	Window was painted with shadow but hide() method didn't know about this.

2017-09-15  Jacek Jendrzej  <satbaby@kawaii.com>

	readd fontmenu scaling hint

	Merge branch 'master' into pu/mp

2017-09-15  vanhofen  <vanhofen@gmx.de>

	- icons: rename slider icons to more logical names

	- rename SLIDER defines

	- icons: new slider icons with material colors

	- menu: rework slider; ...
	* rename some variables
	* use paintBoxFrame() instead of background-icon; this avoids scaling
	  issues on higher resolutions; scaled icons are ugly

	- colorchooser: rework tis gui-element; ...
	* use OFFSET defines
	* rename some variables
	* use paintBoxFrame() instead of background-icon; this avoids scaling
	  issues on higher resolutions; scaled icons are ugly

	- keychooser: use CMenuDForwarder instead of CMenuForwarder

	- keychooser: strip unneeded code; use hintbox instead of handcrafted paints

2017-09-14  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/mp

	system/helpers.cpp: Add cstr_replace()
	  - This is a faster C version of str_replace()

2017-09-14  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

	remove unused

2017-09-14  Thilo Graf  <dbt@novatux.de>

	update version to 3.5.1

	CMenuWidget: replace paintBoxRel() calls with single PaintBoxRel()
	Paints background and shadow at once. Shadow is painted only on
	reqiured parts of screen. This avoids possible flicker effects e.g.
	with footer paint, on changing buttons, was to see with opkg_manager.

	CMenuWidget: use CComponentsFooter for paint footers in menues
	Another step for more unified window designs.

2017-09-14  svenhoefer  <svenhoefer@svenhoefer.com>

	- plugin-code: cleanup from many unused code; ...
	* remove intergration conversion because we can use the integer as it is
	* update headers

	  Do we need /src/plugin.h anymore? Maybe this code could be merged into src/gui/plugins.h.

2017-09-14  svenhoefer  <svenhoefer@svenhoefer.com>

	- get sure we have the logo-dir, even if it's empty

	- rc_lock: use OFFSET defines

	- don't save conf-files to flash; use /media by default

	- locale: small changes; unify save/load locales

	- keybind_setup: resort items as in other menus too; 'save' before 'load'

	- menu: always add an offset to menus; not only in round-border-mode

	- nhttpd: remove unused string Dbox_Hersteller

	- nhttpd: de-capitalize hooknames for controlapi and neutrinoyparser

	- nhttpd: fix typo in LOG_FILE define

	- nhttpd: move defines for SSL-certs after HTTPD_CONFIGDIR define

	- nhttpd: use PORT-defines from yconfig.h instead of "hardcoded" ports

	- yWeb: align cifs-mounts to new automount-syntax

	- nhttpd: fix indentations

	- nhttpd: small re-sorts; TODO: fix $Revision$ replacements

	- nhttpd: sort entrys in Makefile.am

	- nhttpd: remove unused mod_testhook

	- nhttpd: just code-reformats; fix indentation

	- nhttpd: resort defines

2017-09-14  svenhoefer  <svenhoefer@svenhoefer.com>

	- nhttpd: remove obsolete CONFIG_SYSTEM_TUXBOX_COOLSTREAM switch

	Some changes was different.

2017-09-14  svenhoefer  <svenhoefer@svenhoefer.com>

	- nhttpd: just cosmetics (remove annoying linebreaks)

	- nhttpd: remove obsolete function to show commandline help

	- nhttpd: remove non-working and outdated Y_CONFIG_BUILD_AS_DAEMON switch

	- nhttpd: align mod_sendfile.mime_types to HTTPD_SENDFILE_EXT

	- nhttpd: fix typo in AUTH_NAME_MSG

	- nhttpd: enable mod_sendfile.sendAll by default

	- y-web: show hostname as page-title

	- y-web: remove white background from favicon

	- acinclude.m4: add missing variables substitutions

	- locale: small changes in update locales

	helpers.chh/h: add some helper functions
	Partial cherry pick from:
	https://bitbucket.org/neutrino-images/ni-neutrino-hd

2017-09-14  Jacek Jendrzej  <satbaby@kawaii.com>

	try to fix tm thread

	src/driver/screenshot.cpp avoid memory ranges overlap

2017-09-13  vanhofen  <vanhofen@gmx.de>

	- parentallock_setup: fix compiler warning; remove easymenu leftover

2017-09-13  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-09-13  vanhofen  <vanhofen@gmx.de>

	- rework multimedia-menu code; cleanup from many unused code

2017-09-13  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

	fix pick diff error

	Merge branch 'master' into pu/mp

2017-09-13  vanhofen  <vanhofen@gmx.de>

	- remove unused nkplay stuff

2017-09-13  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-09-13  vanhofen  <vanhofen@gmx.de>

	- remove unused nkplay stuff

	- drop easymenu

2017-09-08  Jacek Jendrzej  <satbaby@kawaii.com>

	remove double includes

2017-08-29  Jacek Jendrzej  <satbaby@kawaii.com>

	pic max10<max_10@gmx.de> code from commit f480ad018c72d40a9d2d2fb4006cfca1c262234d

	Merge branch 'master' into pu/mp

	remove my stupid init

	Merge branch 'master' into pu/mp

2017-08-28  Thilo Graf  <dbt@novatux.de>

	CTimerList: adjust label width in footer dependent by count of buttons

2017-08-28  Thilo Graf  <dbt@novatux.de>

	CTimerList: paint header only if required
	Avoid possible flicker effects.

	TODO: fix clock background with enabled gradient on header repaint.

2017-08-28  Thilo Graf  <dbt@novatux.de>

	comments: fix copy paste errors

	cc_item_shapes.cpp/h: Add method to create draw boxes without explicit objects

	Helpbox: add missing check for null pointer

	CComponentsHeader: add missing check for null pointer

	CProgressBarCache: remove benchmark lines
	Was only for debugging.

	CComponentsPicture: remove benchmark lines
	Was only for debugging.

	CComponentsFooter: fix possible error with non-POD element type
	affected is struct type 'button_label_cc'

	CComponentsFooter: fix possible conversion warning
	For platform compatibility. eg. with neutrino-pc on it is possible
	that size_t is long unsigned ini, for others unsinged int

	cc_frm.cpp, cc_frm_button.cpp: remove unread stored variables

	CComponentsFrmClock: fix wrong initialization of w_tmp

2017-08-23  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

	fix possible out of bound memory access

	null pointer check

	fxi possible buffer overflow

	some inits and never read var

2017-08-21  Jacek Jendrzej  <satbaby@kawaii.com>

	some inits warnings

	Merge branch 'master' into pu/mp

2017-08-21  vanhofen  <vanhofen@gmx.de>

	- hw_caps: remove CFEManager-code; ...
	the relevant boxmodels are handled now in a "dirty part of hw_caps"
	in neutrino.cpp after zapit-start

2017-08-21  Jacek Jendrzej  <satbaby@kawaii.com>

	Revert "- neutrino: fix hw_caps init; it must be initialized after zapit start"
	This reverts commit edb0a5937e30477f633550c18c87cdfa6c2a5827.

	part from 382181e289ac990fa1bc69ec528b8c25be6c6537

2017-08-21  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	Revert "- hardware_caps: fix has_fan and add detection of Neo Twin"
	This reverts commit c225c2d4b68ce24e25206ed668a9f2f8c2fc6984.
	This leads to a segfault at start and the upstream solution
	is not yet ready for primetime, so revert this for now.

	rcinput: add two more keys in the ugly azbox translate() table

	zapit: trivial azbox compile fix

	rcinput: fix getKeyName for RC_none case

	CKeyChooserItemNoKey: fix type cast

	fb_accel_sti: reorder blit_mutex locking
	This seems to help spurious deadlocks in the STI framebuffer blit code.
	Not 100% sure why, butthis helps, but I have not seen lockups with this.

	coolstream: disable uncoolinit build
	it does not build right now for undefined fb_pixel_t, and it is unused
	anyway after a workaround in zapit code has been introduced

2017-08-21  Jacek Jendrzej  <satbaby@kawaii.com>

	Revert "- neutrino: fix hw_caps init; it must be initialized after zapit start"
	This reverts commit edb0a5937e30477f633550c18c87cdfa6c2a5827.

2017-08-14  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-08-12  svenhoefer  <svenhoefer@svenhoefer.com>

	- upnpbrowser: fix mode_ts for videos; was switched back to mode_upnp by stopAudio()

	Revert "neutrino: disable some menus in upnp & ts mode"
	This reverts commit 90de51de3807c76f66f642c94fec82cd1f7d2f6f.

2017-08-12  Thilo Graf  <dbt@novatux.de>

	Revert "infoviewer.cpp: handle timeout of mode upnp like mode ts"
	This reverts commit 0225b043db882011b6ce258bb3da648d32a45f4d.

2017-08-12  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-08-11  Thilo Graf  <dbt@novatux.de>

	CComponentsScrollBar: try to fix handling with very much segment count
	In some cases, eg. with very much pages in channellist, the effort
	to handle with all count of scrollbar segments was too much. Result: long
	waiting times during page scrolling and slider was not visible. This
	should be fixed now.

2017-08-11  GetAway  <get-away@t-online.de>

	infoviewer.cpp: handle timeout of mode upnp like mode ts

	Infobar timeout in the upnp mode is fixed to 6 sec.
	Because it's acting about streams, so we should use the same timeout
	such as with playing a movie file.

2017-08-09  Thilo Graf  <dbt@novatux.de>

	CComponentsScrollBar: use matching type names

	CComponentsScrollBar: fix possible build error with -Werror=sign-compare

	CComponentsScrollBar: fix possible too small type size
	Possible segment count could be more than 265.
	Was a remnant from scrollbar test phase.

2017-08-09  Jacek Jendrzej  <satbaby@kawaii.com>

	Fix merge-error; add missing add_gxa_sync_marker() function

2017-08-08  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-08-08  Thilo Graf  <dbt@novatux.de>

	english.locale: corrections in channellist locales
	Consideration of rules for capitalization of headings, titles and labels.

2017-08-08  svenhoefer  <svenhoefer@svenhoefer.com>

	- menu: fix icon for CGenericMenuNext forwarder

2017-08-08  Thilo Graf  <dbt@novatux.de>

	CComponentsForm: add functions to get used or free space of form dimensions

	CComponentsForm: add methods to get previous and next item

	CComponentsItem: fix possible issues with position inside forms
	This ensures relative position for items inside form

	CCDraw: add missing member for real item position
	Changes of real positions were not watched.

	CComponentsItem: move real position methods from draw class into item class
	These methods ar only relavant for items

2017-08-08  TangoCash  <eric@loxat.de>

	fix epgtitle

2017-08-08  svenhoefer  <svenhoefer@svenhoefer.com>

	- audioplayer: fix right offsets for item

2017-08-08  Thilo Graf  <dbt@novatux.de>

	CComponentsHeader: disable permanent clock paint on interval.

	CComponentsHeader: rework and simplified logo handling
	This should fix some issues with possible overlapps
	of logos with title. With some Conditions with text
	alignment on the right side needs a fix.
	There is an issue with size and position of text object, but is stll not
	used at the moment. For all other conditions of logo and text alignments now
	it should be not a problem (I hope) and have more code clarity.

	COsdSetup: add slot to ensure clean up icon cache on changed resolution.
	Some old icon data makes no sense with changed resolution.
	In some cases it could happens that no icons are to see on screen
	after changed resolution. This should fix this,

	CFrameBuffer: fb-generic.cpp - add methode for clean up icon cache
	This could be required eg. on changed resoulutions or
	changed iconsets on runtime.

	CBuildinfo: Don't load graphical related objects if not needed.
	Objects are only required in show mode. HasData() is renamed because of for more
	plausibility.

	offsets: add SIDEBAR_WIDTH
	required in window class

	CBuildInfo: add missing offset defines

2017-08-08  Thilo Graf  <dbt@novatux.de>

	Colorsettings: add possibility to change shadow color
	Shadow color was bound to infobar color and it's not really
	understandable why, because with some colors eg. black, the shadow is
	grey or with other colors it is exaggerated colored and seems to be
	not realistically and looks unusual if shadow is brighter or colorful
	than foreground. Some themes will thank it.

	TODO: update theme files with matching values if required

2017-08-07  GetAway  <get-away@t-online.de>

	neutrino: disable some menus in upnp & ts mode
	to prevent inoperability of neutrino

	neutrino.cpp: repaint of background in radio mode, when close UPNP-Browser

2017-07-05  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-07-05  TangoCash  <eric@loxat.de>

	no shutdown if streaming (thx dbo)
	prevent shutdown from timer if stb is started from deep standby > does a
	timer-record > and meanwhile streaming (eg. localTV or via web-if to PC)
	is active

2017-07-04  svenhoefer  <svenhoefer@svenhoefer.com>

	- epgscan: allow to set rescan period to catch a bug in epgscan
	Scan isn't executed while a movie is played. When movie is stopped
	the scan-timer is ignored too.

	- moviebrowser: another fix for deletion function ...
	and add some temporary console output to see what happens

2017-07-04  svenhoefer  <svenhoefer@svenhoefer.com>

	- audioplayer: don't scale covers to quadrat-dimensions

	# Conflicts:
	#	src/gui/audioplayer.cpp

2017-07-04  Thilo Graf  <dbt@novatux.de>

	CLocaleManager: add casted version of getText() function
	Allows easier handling with strings instead const char
	for usage as string source. Separate casts are not requiered.

	Overload of getText() was not possible but,
	name  getTextAsString() is keeping namespace of base function
	getText().

2017-07-04  TangoCash  <eric@loxat.de>

	fix epgplus detailsline hide bug (thx dbo)

	dline was not removed after called epg info.

	btw. Small request:
	It would be nice if a short brief justification would be included.
	That would be make some things easier to track and saves unnecessary questions.
	Thx!

2017-07-02  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-07-01  Thilo Graf  <dbt@novatux.de>

	CUpnpBrowserGui: try to reduce flicker effects on scroll
	Some parts on screen should be painted only if changed.
	This should help to reduce some flicker effects.

	CUpnpBrowserGui: fix dline paint during directory selection
	Dline was not removed on directory selection.

2017-07-01  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/opkg_manager.cpp fix esource leak; supplement to 4bdacf39c81a89e07dd7f5399a88217f7030c303

2017-06-30  Thilo Graf  <dbt@novatux.de>

	CBouquetList: fix scrollbar shadow
	Footer is painted as first item and scrollbar as last, so shadow
	overpaint footer body. Either paint scrollbar as first or use
	matching shadow parameter.

2017-06-30  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/movieplayer.cpp fix play icon after pause->seek

	src/gui/movieplayer.cpp show FileTimeOSD only if setSpeed work

2017-06-29  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/moviebrowser/mb.cpp fix segfault if m_movieSelectionHandler is NULL

2017-06-29  svenhoefer  <svenhoefer@svenhoefer.com>

	- settings.h: rename FRAME_MIN_WIDTH to FRAME_WIDTH_MIN ...
	to get same name-structure as in the existing defines

	(cherry picked from commit f77c2b897c269810c15a1780ae4918a7a0deec3d)

	Conflicts:
		src/system/settings.h

2017-06-29  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/mp

	lib-libtuxtxt-tuxtxt.cpp avoid segfault, supplement to 7aec84d

2017-06-28  Thilo Graf  <dbt@novatux.de>

	CAudioPlayerGui: add cc scquare objekt as title box, fix caption bg colors
	Use of cc square object saves unnecessary paintBoxRel() calls.
	BgColors of metatdata and time display were different to
	titlebox body color, but was not to see with all themes.

	btw: time box was too much on the right side. Frame of titelbox
	was overpainted but was not very noticeable if frame width < 2.

2017-06-28  Thilo Graf  <dbt@novatux.de>

	settings.h: add define for minimal frame width
	Mostly we are using a frame width of 2 lines. This should ensure
	correct scaling with other screen resolution.

	CComponentsFooter: remove FIXME tag
	fixed since 2e24663a3f676d4a0a9684748b1cf726bda6c3a6
	Obsolete wrong types caused this.

2017-06-28  svenhoefer  <svenhoefer@svenhoefer.com>

	- audioplayer: reset idle time to avoid screensaver ...
	when returning from shoutcast-filebrowser

	(cherry picked from commit 0a8024cdef84d9e60fa1e64c65e687f16c1d90ce)

2017-06-28  svenhoefer  <svenhoefer@svenhoefer.com>

	- audioplayer: fix round borders in footer when playlist is hidden ...
	and use large roundings as in the other gui-elements

	cherry-picked from 8a3d8f8b51a8bd97966f8b0708f0a0a631d07bc8

2017-06-28  svenhoefer  <svenhoefer@svenhoefer.com>

	- audioplayer: reset idle time to avoid screensaver ...
	when returning from filebrowser

	(cherry picked from commit d4f366c0dd9ab7f997a7c4f85948168ccf80f4ad)

2017-06-28  svenhoefer  <svenhoefer@svenhoefer.com>

	- audioplayer: fix position of meta data in titlebox
	(cherry picked from commit 37c61fa12f6961048f1382ae48873d7c06bd9c64)

2017-06-28  svenhoefer  <svenhoefer@svenhoefer.com>

	- audiometadata: add logo to metadata
	# Conflicts:
	#	src/driver/audiometadata.cpp
	#	src/driver/audiometadata.h

	cherry-picked from 9c115bec035114a4cec33834e0ab3a6385f44711

2017-06-28  svenhoefer  <svenhoefer@svenhoefer.com>

	- audioplayer: fix coordinates to clear title-box
	(cherry picked from commit 0dfe5becbbc832c4379e957abdcea92604eb1caf)

	- audiodec: unify cover handling
	(cherry picked from commit ae0f735d998b8cbc5caf969f342be7af747b05f5)

2017-06-28  svenhoefer  <svenhoefer@svenhoefer.com>

	- audioplayer: change scanXmlData() arguments order ...
	switch url <-> name to get the same order as in other used functions

	(cherry picked from commit f31f8c5bc84c817e3fc955d816bb57cb0dcdfab7)

2017-06-26  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-06-26  svenhoefer  <svenhoefer@svenhoefer.com>

	- bouqueteditor: use default font for CComponentsFooter
	(cherry picked from commit 7fef066dfe33b5dbc6d5728bea8171f160d8622d)

	- moviebrowser: fix deletion of non-marked movies via mute-key
	(cherry picked from commit 895aa1ca8cbd6ecf4f254c361a6bec633e9483f1)

	- timerlist: fix compiler-warning (comparison signed/unsigned int)
	(cherry picked from commit 28b606c19f8a50c81841272fd774ff87dfb5d0d8)

	- timerlist: add separationline to items
	(cherry picked from commit 2709af5f8a300e0cabbb1ff2d662ee12b7035d43)

	CProgressWindow: use CProgressBar::PB_TIMESCALE as default
	More colors makes not really sense here.

2017-06-26  Jacek Jendrzej  <satbaby@kawaii.com>

	init pre post

	lib/libtuxtxt/tuxtxt.cpp avoid segfault, FIXME

2017-06-21  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-06-21  Thilo Graf  <dbt@novatux.de>

	EpgPlus: fix wrong shadow parameter for scrollbar

	cc_types.h: add more shadow defines
	Allows compact style on use for arguments in methods.

2017-06-21  svenhoefer  <svenhoefer@svenhoefer.com>

	- moviebrowser: clearify deletion-locale; add movie-title to menu

	- moviebrowser: fix deletion of cursor_only movie via "menu" -> "yellow"

	- timermanager: don't set stoptime for timers without a stop-event

2017-06-21  svenhoefer  <svenhoefer@svenhoefer.com>

	- cc_frm_header: remove CComponentsHeaderLocalized() subclass
	use another constructor of CComponentsHeader() instead


	Good idea, this I had already in mind too.

2017-06-21  Thilo Graf  <dbt@novatux.de>

	CTimerList: partial revert of - timerlist: small design reworks ...
	removed: * blinking clock in header (shameless stolen from TangoCash)

	Not really required here and before we can enable a ticking clock here,
	clock must be disabled on opened context menues, because the
	timerlist context menus will be damaged. This needs a separate handling.

2017-06-21  svenhoefer  <svenhoefer@svenhoefer.com>

	- timerlist: small design reworks ...
	* re-align item contents
	* rename some variables
	* use CComponentsFooter
	* blinking clock in header (shameless stolen from TangoCash)

2017-06-20  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-06-20  Thilo Graf  <dbt@novatux.de>

	CComponentsScrollBar: overwrite default corner type
	Rounded corners are in mostly cases not required, because of
	possible pixel errors if scrollbars are used as embedded standalone part and is
	generated with external method paintScrollBar().

2017-06-20  svenhoefer  <svenhoefer@svenhoefer.com>

	- audioplayer: minor format changes in title box

	- upnpbrowser: center text in topbox

	- upnpbrowser: activate shadow on scrollbar

	- bouquetlist: add shadow to gui-elements; simplify footer handling

	- simplify last shadow-changes ...
	I didn't know about the possibility to add a shadow directly to
	the scrollbar.

	- epgplus: add shadow to gui-elements

	- filebrowser: add shadow to gui-elements

	- audioplayer: fix coordinates in hide() function

	- pictureviewer: add shadow to gui-elements

	- audioplayer: add shadow to gui-elements

	- audioplayer: don't show  not recognized bitrates

	- audioplayer: minor format changes in title box

2017-06-20  Thilo Graf  <dbt@novatux.de>

	CProgressWindow: remove unused variable
	fix for possible compiler error with -Werror=unused-variable

2017-06-20  TangoCash  <eric@loxat.de>

	-progresswindow: fix progressbar if both bars have the same value (thx dbo)

2017-06-18  Jacek Jendrzej  <satbaby@kawaii.com>

	try to fix versio check for ffmpeg

	Merge branch 'master' into pu/mp

2017-06-18  Thilo Graf  <dbt@novatux.de>

	CMenuSeparator: clean up multiple code parts

	CMenuOptionNumberChooser: clean up multiple code parts

	CMenuForwarder: clean up multiple code parts

	CMenuOptionStringChooser: clean up multiple code parts

	CMenuOptionChooser: clean up multiple code parts

2017-06-18  svenhoefer  <svenhoefer@svenhoefer.com>

	- audioplayer: small design reworks ...
	* use OFFSET defines
	* use CComponentsScrollbar
	* rename some variables
	* many, many position calculation fixes
	* re-format code

2017-06-16  [priv] M. Liebmann  <git@tuxcode.de>

	COsdHelpers: Fix video system switching on HD1

2017-06-16  M. Liebmann  <git@tuxcode.de>

	Revert "HD1: Workaround for missing cs_get_chip_type"
	This reverts commit a6fe60d60a5363973459384a156ed49c9e9ee91c.

2017-06-16  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-06-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- epgview: align with and height of progressbar

2017-06-16  Thilo Graf  <dbt@novatux.de>

	CCDraw: precise function for kill handler
	This should fix possible artefacts or holes in some rendered boxes.
	Was especially striking at HD1 Hardware.
	e.g. was observed while right/left switching on channel list at header
	and without rounded corners and at certain footers.

	CComponentsHeader: fix corner type comparison

2017-06-15  svenhoefer  <svenhoefer@svenhoefer.com>

	- bouqueteditor: use CComponentsScrollbar

	- listbox: use CComponentsScrollbar

	- timerlist: use CComponentsScrollbar

	- epgview: use CComponentsScrollbar

	- eventlist: use CComponentsScrollbar

	- channellist: use CComponentsScrollbar

	- textbox: use CComponentsScrollbar

	- listframe: use CComponentsScrollbar

	- upnpbrowser: use CComponentsScrollbar

2017-06-15  TangoCash  <eric@loxat.de>

	supplemental to 7031e99573959206d0cd887f04c2ebe8d0b8d408

2017-06-15  Thilo Graf  <dbt@novatux.de>

	neutrinoapi.cpp: fix possible broken build
	error: ‘to_string’ was not declared...

	to_string is handled inside helpers.h/cpp.
	include of <system/helpers.h> is required here.

2017-06-15  TangoCash  <eric@loxat.de>

	[RemoteTimers] add possibility to transfer all timers at once via webif
	Use:
	http://boxip/control/sendalltimers?ip=10.1.1.xxx&force=1
	http://boxip/control/sendalltimers?name=record%20box&force=true

	if parameter name is given, it has to be in timerlist as remote box.
	if parameter ip and name is given, ip is used.
	if parameter force is set, all checks are disabled, and the local timer
	will be deleted even the transfer was not successful.

2017-06-15  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-06-15  Thilo Graf  <dbt@novatux.de>

	CNeutrinoApp: add hook for neutrino start
	Script will be executed on start of neutrino before. Handling is similar
	like all other possible hooks, see global.h.

	CCDraw: rework getScreen(), getScreenData(), add pixbuf checks

	CFileBrowser: add fallback for possible missing init directory
	In some rare exceptional cases it is possible that  wrong  or missing
	start directories could be defined.
	Result: filebrowser window will be freezing, no key is helping.
	With this fallback, filebrowser should jump into next existant upper
	directory.

2017-06-15  svenhoefer  <svenhoefer@svenhoefer.com>

	- epgplus: use getScrollBarData() function

	- pictureviewer: use getScrollBarData() function

	- bouquetlist: use getScrollBarData() function

	- filebrowser: use getScrollBarData() function

	- cc_frm_scrollbar: add getScrollBarData() function ...
	to calculate total pages and current page for CComponentsScrollBar

	- locale: minor changes in audioplayer's and pictureviewer's locales

	- pictureviewer: small design reworks ...
	* use OFFSET defines
	* use CComponentsScrollbar
	* rename some variables

2017-06-15  svenhoefer  <svenhoefer@svenhoefer.com>

	- menue: replace last fixed values ...
	... with OFFSET defines and scale2Res()-calculations


	- removed TODO for height of hint calculation

2017-06-15  svenhoefer  <svenhoefer@svenhoefer.com>

	- settings.h: use CORNER_RADIUS_NONE defines ...
	to determinate RADIUS defines

	- test_menu: avoid usage of CORNER_RADIUS defines; use RADIUS instead
	... because the RADIUS defines depends on user's corner settings

2017-06-15  Thilo Graf  <dbt@novatux.de>

	icon: add missing pictureviewer icon

2017-06-15  svenhoefer  <svenhoefer@svenhoefer.com>

	- volumebar: use OFFSET defines; fix height of progressbar

	- vfd-setup: fix brightness setup for CST's boxmodel "Link" ...
	and hide the brightness menu for all "Trinity" models. There's no display.

2017-06-15  Thilo Graf  <dbt@novatux.de>

	CLuaInstCCText: try to fix return value of CCTextGetLines()
	Init was missing.

2017-06-15  Thilo Graf  <dbt@novatux.de>

	CtextBox: Precise function getLines()
	Use refreshTextLineArray() for calculation of lines.
	Note: 	count of lines will be only returned if CTextBox object
		is initialized with a valid CBox instance,
		otherwise count of 0 lines will be returned!

	also remove inline declaration, not needed here

2017-06-15  Thilo Graf  <dbt@novatux.de>

	CComponentsText: make initCCText()
	Is more useful

	CEventList: Move channel name to left side
	Center place is reserved for logo

	FBFontRenderClass/CNeutrinoFonts: ensure reset of some instances
	Only for safety.

	CProgressBarCache: ensure clean iterator inside pbcClear()
	For safety only.

	CComponentsFrmClock: ensure clean timer instance
	For safety only.

	CProgressBar/CComponentsInfoBox: add missing value inits

	CComponentsForm: remove extra item declaration
	Remove instances from vector only for sure.

	CComponentsHeader: remove  virtual declararion from getClockObject()
	Not required.

	CChannelList: add instance check for header clock object
	Only for sure.

	CCButtonSelect: select button objects only
	Other types are not required.

	CCButtonSelect: rename chain to btn_container
	more plausible name

	CCButtonSelect: outsource button select handling into own class

	CComponentsInfoBox: fix image y pos
	Image was not centered, because of frame was not considered.

2017-06-13  Jacek Jendrzej  <satbaby@kawaii.com>

	2 supplement to 1f0a1bfdf25ba4f489d5e738940fab66ec1a5d61

	supplement to 1f0a1bfdf25ba4f489d5e738940fab66ec1a5d61

	src/driver/pictureviewer/pictureviewer.cpp  add bufferram and cached to calc freemem

2017-06-12  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-06-11  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/movieplayer.cpp fix possible segfault

2017-06-07  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

	Merge branch 'master' into pu/mp

2017-06-07  vanhofen  <vanhofen@gmx.de>

	- filebrowser: fix total_pages calculation for CComponentsScrollBar

2017-06-07  svenhoefer  <svenhoefer@svenhoefer.com>

	- record-setup: use new timer_followscreenings_options struct in item

2017-06-07  M. Liebmann  <git@tuxcode.de>

	configure.ac: bump revision to 3.5.0

	Merge branch 'pu/fb-setmode'

2017-06-07  svenhoefer  <svenhoefer@svenhoefer.com>

	- bouquetlist: fix calculation of footerwidth
	wrong font was used

2017-06-07  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	set threadnames to unique values

2017-06-07  Thilo Graf  <dbt@novatux.de>

	Followscreenings: add enumeration for a better readability

2017-06-07  TangoCash  <eric@loxat.de>

	-epgplus: fix possible segfault (thx dbo)

2017-06-07  svenhoefer  <svenhoefer@svenhoefer.com>

	- file.cpp|h: port filetypes handling from martii

	- icons.h: sort filetype icons

	- filebrowser: port fileicon handling from TangoCash

	- file.cpp|h: port filetypes from TangoCash

	- icons: add filetype-icon for pictures

	- icons: move mp3.png from /headers to /filetypes; align icon size

	- audioplayer: use NEUTRINO_ICON_AUDIO in header

	- filebrowser: use NEUTRINO_ICON_PICTURE to mark pictures

	- icons: add filetype-icon for pictures

2017-06-07  svenhoefer  <svenhoefer@svenhoefer.com>

	- filebrowser: small design reworks ...
	* use OFFSET defines
	* use CComponentsScrollbar
	* rename some variables

	Unfortunately we can't use CComponentsFooter, because
	CComponentsFooter can't handle button_label_ext yet

2017-06-07  svenhoefer  <svenhoefer@svenhoefer.com>

	- locale: small changes in filebrowser's sort locales

	- filebrowser: use a bit larger regular font by default

	- filebrowser: use "dirs first" sort method by default

2017-06-07  Striper  <gandharva@gmx.de>

	hdd_menu.cpp: remove "-T largefile" parameter
	Some users experience problems with too low amount of inodes (No space
	left on device but only a few percent of the device are actually used).
	To fix this, simply use default settings. This will give us a much
	higher amount of inodes on the hard drive but will waste a bit more
	space on the device for inode reservation.

2017-06-07  M. Liebmann  <git@tuxcode.de>

	HD1: Workaround for missing cs_get_chip_type

2017-05-30  Jacek Jendrzej  <satbaby@kawaii.com>

	change prozent ckeck to 90

	Merge branch 'master' into pu/mp

2017-05-29  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/fb-setmode

	CProgressBarCache: declare funtions pbcPaint(), pbcPaintBoxRel() as const
	Technically these members can be const.

2017-05-29  Thilo Graf  <dbt@novatux.de>

	CComponentsTimer: exec OnTimer cleanup after stopped thread
	Users reported about crashes, but I could not verify them by myself.

	Supplement to: c0fe5d24027da1dd4f7a5f250b14b6e0bf915759

2017-05-28  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-05-28  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/fb-setmode

	CChannelList: simplify calls of logo paints, avoid possible dub paints

	Merge branch 'master' into pu/fb-setmode

	CComponentsButton: fix offset between icon and text items
	We have only two items, therfore it makes sense to set offset to 0
	if we have only one item. Otherwise a single item will not be centered.

	CComponentsButton: use defined offset for append offset

2017-05-27  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/fb-setmode

	CComponentsTimer: ensure cleanup of OnTimer signal while sopping timer

	CComponentsFrmClock: init OnTimer after ititialized timer object
	Content of OnTimer was not considered after init of timer object.

	CComponentsHeader: ensure reset of icon object

	CCDraw: expand debug output inside clearFbGradientData()
	get info for addresses.

	CComponentsFrmClock: fix wrong comparison

2017-05-23  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/screensaver.cpp try to fix segfault on stop

	src/gui/adzap.cpp init before use

2017-05-21  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/fb-setmode

	CComponentsButton: add missing init of col_body_old
	Some changes on runtime were ignored on runtime.

	cc_item.h/cc_frm.h/cc_frm_button.h: use pre defined frame color as default

	CMsgBox: fix paint of footer buttons
	Only paint of button container is required.

	CHintBox: use less colors time scale mode for visual timeout
	Otherwise probably in this context to much colored with default settings.

2017-05-17  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/lua/lua_cc_text.cpp avoid segfault

2017-05-17  Thilo Graf  <dbt@novatux.de>

	CHintBox: fix position in case of missing text
	Without text, position was not complete calculated.
	Only default position was used.

2017-05-17  svenhoefer  <svenhoefer@svenhoefer.com>

	- cables.xml: update Antennengemeinschaft "Goeltzschtalbruecke"

2017-05-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- buttons: use OFFSET defines

2017-05-11  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-05-11  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/fb-setmode
	# Conflicts:
	#	src/gui/components/cc_frm_window.h

2017-05-11  Thilo Graf  <dbt@novatux.de>

	cc_frm_header.cpp/h: remove CTextBox types for title allignment
	Title object has only width of current text content. This causes CTextBox
	types have not a really visible effect. Now we have only three align types for title
	and these are related to cc-text object position.

	Involved classes adjusted too.

2017-05-11  Thilo Graf  <dbt@novatux.de>

	EpgPlus: use default parameter for titel arrangement

	Merge branch 'master' into pu/fb-setmode

	CComponentsHeader: fix brace error
	suggest explicit braces to avoid ambiguous ‘else’

2017-05-10  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp except c08144a9d9ba022c2548512bc97881521f900af6 edb0a5937e30477f633550c18c87cdfa6c2a5827

	use lua_Integer

2017-05-10  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/fb-setmode

	CLuaInstCCWindow: try to fix window title align parameter
	Additional (lua_Integer)CTextBox::NO_AUTO_LINEBREAK) overwrites
	passed parameter and has no effect, because NO_AUTO_LINEBREAK is
	already default.

	CComponentsHeader: Try to adopt different logo/title alignments
	Not all constellations are tested. Please report.

	CComponentsHeader: fix centering of header title

	CComponentsHeader: remove double text color assignment

	CComponentsHeader: fix order of width calculation
	Required for following position calculation

2017-05-09  svenhoefer  <svenhoefer@svenhoefer.com>

	- clearify comment

2017-05-09  Thilo Graf  <dbt@novatux.de>

	CLuaInstCCWindow: fix passed shadow paramater

2017-05-09  svenhoefer  <svenhoefer@svenhoefer.com>

	- locale: minor changes in EPG-Plus locales

2017-05-09  Thilo Graf  <dbt@novatux.de>

	CBuildInfo: fix shadow parameter
	Type is int not bool

2017-05-08  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrino: fix hw_caps init; it must be initialized after zapit start

	- eventlist: minor cosmetics;
	rename getPrvNextChannelName() to getChannelNames()

2017-05-08  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

	supplement 2 to 5f9f82b8e6f232218f2a47bcdad7cf365a1e395f

	Merge branch 'master' into pu/mp

	supplement to 5f9f82b8e6f232218f2a47bcdad7cf365a1e395f

	src/gui/eventlist.cpp show prev next channel name on start

	Merge branch 'master' into pu/mp

2017-05-08  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/fb-setmode

	movieplayer.cpp: prevent build error
	Avoid build error if build not configured with -D__STDC_LIMIT_MACROS

2017-05-08  svenhoefer  <svenhoefer@svenhoefer.com>

	- epgplus: fix progressbar's type

2017-05-08  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/fb-setmode

	CChannelList: fix code indentation

	CNaviBar: prevent compiler warning -Wshadow

	movieplayer.cpp: remove possible compile issue
	"__STDC_LIMIT_MACROS" redefined

2017-05-07  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/fb-setmode

	CChannelList: change scope of bool unlocked
	Scope of the variable 'unlocked' can be reduced.

	CChannelList: use enums for additional modes
	Readability

	SNeutrinoSettings: add missing enums for channellist additional modes

2017-05-07  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-05-07  Thilo Graf  <dbt@novatux.de>

	CChannelList: ensure disconnect signal/slot on delete of channellist ojects

	Merge branch 'master' into pu/fb-setmode

	CChannelList: delete and reset minitv object inside unified scope

	CChannelList: add connection to ResetModuls()
	Ensures re init after font changes.

2017-05-06  Thilo Graf  <dbt@novatux.de>

	CChannelList: remove init of cc_minitv from constructor.
	Is not a member of CChannelList and already inititialized
	as static outside of constructor.

	CChannelList: add missing compare for existant header object.

	CEpgData: remove unused vars

2017-05-06  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-05-06  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/fb-setmode

	CEpgData/CEventList: use class CNaviBar for bottom box

	CNaviBar: add new widget class: CNaviBar
	Should help to reduce and unify code in some epg windows.

2017-05-05  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-05-04  Thilo Graf  <dbt@novatux.de>

	CEpgData: supplement to 'fix header size'
	commit: 7583714e6703a7ae9591e112726759c4070d0c68

	Permanent font init is required to avoid possible crash after
	changed font settings by user.

2017-05-04  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/fb-setmode

2017-05-04  Thilo Graf  <dbt@novatux.de>

	CEpgData: fix header size
	Header height was bound to font size in previous versions, but new
	header is using other font as default, so we have wrong height,
	therefore header items could paint outside of header. This should fix this.

	In future we should unify header size with other windows.

2017-05-04  Thilo Graf  <dbt@novatux.de>

	CMovieBrowser: prevent possible segfault
	Clock is disabled, will crash here.

	comes with: 3ac2f99a671b444426f515b0d25ead1708880bf8

2017-05-03  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/fb-setmode

2017-05-03  Thilo Graf  <dbt@novatux.de>

	CChannelList: rework details line handling, fix hide() after setup
	Detailsline is handling hide() by itself.

	After channellist setup, eg. switching additional infos and channellist
	window has different size, artefacts were possible.

2017-05-03  Thilo Graf  <dbt@novatux.de>

	CComponentsHeader: optimize logo size/position handling
	Prevent oversized paint with stupid screen and/or font size settings

	Revert "-cc_form_header: add max caption width"
	This reverts commit c482dd139f26e5db804e022921fd21a9b75c653b.

	CEventList: optimize handling of header and bottom box
	Mainly to reduce flicker effects on right/left scroll.

2017-05-03  TangoCash  <eric@loxat.de>

	-eventlist,epgview: reduce header flickering
	picked from:	https://github.com/TangoCash/neutrino-mp-cst-next
	commit:	df6862963a9b29a4d0955b01a22e1061c312b17f

	review reqiured

	Conflicts:
	    src/gui/epgview.cpp

2017-05-03  Thilo Graf  <dbt@novatux.de>

	CEpgData: optimize handling of header and bottom box
	Working with existant instances and reduce flicker effects.

2017-05-03  TangoCash  <eric@loxat.de>

	-eventlist: fix segfault
	review required

	-eventlist: fix gradient background
	review required

	-eventlist,epgview: add infoviewer bottom gradient style
	review required

	-epgview: fix movieinfo

	-eventlist: fix clock
	review required

2017-05-03  TangoCash  <eric@loxat.de>

	-eventlist,epgview: adjust style, implement new header class
	picked from:	https://github.com/TangoCash/neutrino-mp-cst-next
	commit:	477db186ee4f306e191035ed2201ff4fc9d70b9d

	review reqiured

2017-05-02  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-05-02  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/fb-setmode

2017-05-02  TangoCash  <eric@loxat.de>

	-cc_form_header: add max caption width
	picked from:	https://github.com/TangoCash/neutrino-mp-cst-next
	commit:	4ff6c9f89b194c5fffdc4ee4e4eb744829be975f

	review reqiured

2017-05-02  Thilo Graf  <dbt@novatux.de>

	CComponentsForm: expand debug output with address.

	cc_types: add missing image types

	CComponentsForm: use current bg save mode while paint items
	Mode was always false but current mode could be required in
	many constellations.

	CCDraw: add methode do get current background save mode

2017-05-02  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

	src/gui/upnpbrowser.cpp fix segfault on connect error

2017-04-29  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/fb-setmode

	CChannelList: Ensure new initialize of modules on palette changes while runtime.

2017-04-29  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-04-29  Thilo Graf  <dbt@novatux.de>

	cc_frm_chain.cpp: fix c/p error in comment

	Merge branch 'master' into pu/fb-setmode

	CTimerList: adjust date offset via format

	CComponentsHeader: adjust context button offset

	CComponentsFrmChain: add possibility to assign border offsets

2017-04-27  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

	src/gui/channellist.cpp remove unused logo_off

2017-04-27  Thilo Graf  <dbt@novatux.de>

	CChannelList: don't assign logo if disabled

	CComponentsForm: add member hideCCItems()
	In case of items with cached background it is useful to have
	possibility to restore their background. (eg. items are painted
	outside of form).

2017-04-27  Thilo Graf  <dbt@novatux.de>

	CComponentsHeader: rectification for 'optimize auto size mode for logos'
	see commit: 76cd93555db7043a8442727f5f2fcba50ddde36d

	Additional variable was required.
	Values were overwritten and had no effect.

2017-04-26  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-04-26  Thilo Graf  <dbt@novatux.de>

	CComponentsHeader: fix logo position with clock
	This reverts "fix logo position with clock",
	commit b696007ec8d0ecb624cfbd9a31583cdc549f393e.
	Was not the right way.

	Id's are not in visual order, therefore it's better to calculate direct
	with the ''width"" properties of possible following items clock
	and context buttons.

2017-04-26  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-04-25  Jacek Jendrzej  <satbaby@kawaii.com>

	fix logo position with clock

	Merge branch 'master' into pu/mp

2017-04-25  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/fb-setmode

	CComponentsHeader: optimize auto size mode for logos
	With very large font size settings it is possible
	that header is too large for reasonable display of logos, because of
	possible bad upscale effects (eg. step effects).
	So it seems it's better to use original size as largest possible size.

	CComponentsPicture: add methode to get real image size

	CProgressBar: add own position methodes
	NOTE: not required in branch pu/fb-setmode, remove this after merge!

	EpgPlus: update license text

	COsdSetup: reset channellist objects after changed window size
	Ensures complete reinit of relevent modules inside channellist instance.

	EpgPlus: simplify calls of logo attributes and logo instance

	CComponentsHeader: unifiy init value for logo align

2017-04-24  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-04-24  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	src/zapit/src/femanager.cpp: Fix compile error

	lib/libtuxtxt/Makefile.am: Fix FREETYPE_CFLAGS

	Merge branch 'master' into pu/fb-setmode

2017-04-24  Jacek Jendrzej  <satbaby@kawaii.com>

	Merge branch 'master' into pu/mp

2017-04-24  svenhoefer  <svenhoefer@svenhoefer.com>

	- scrollbars: avoid usage of COL_SCROLLBAR_PASSIVE_PLUS_0 ...
	... outside of CComponentsScrollBar(). Since the color-changes in
	89bda2d the non-CC scrollbars looks weird.

2017-04-23  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-04-23  Thilo Graf  <dbt@novatux.de>

	CChannelList: remove unused logo object
	Not required since
	68835056c38a74b33c04e647ccbe21bb7bf5ae7a: add possibility to show channellogo

	Merge branch 'master' into pu/fb-setmode

	CComponentsHeader: use previous offset to fit logo
	Was OFFSET_INNER_MIN in older versions, not OFFSET_INNER_SMALL.

	CComponentsHeader: add fallback if title and logo are overlapping
	Logo is now general centered on screen, not as before between title and clock

	CChannelList/CUpnpBrowserGui: add missing reinit for corner modes
	Required eg. if corner settings has been changed by user on runtime.

2017-04-22  svenhoefer  <svenhoefer@svenhoefer.com>

	- color.h: just code cosmetics

	- luainstance: add missing COL_SCROLLBAR colors

	- colors: add and use missing COL_SCROLLBAR_PLUS_0 wrapper

	Merge branch 'master' into pu/mp

	Merge branch 'master' into pu/fb-setmode

	- epgplus: add channellogo to header

2017-04-21  Thilo Graf  <dbt@novatux.de>

	CComponentsHeader/CChannelList: unify methode names

	CComponentsScrollBar: add missing attributes for different visual modes

	colors.h: add missing base color for scrollbars

	CComponentsScrollBar: fix radius for single segment
	Radius on top was missed if only one segment is available.

	CComponentsPicture: Change order of called base methodes setWidth/Height
	Calls of base methods should come after internal method calls.
	Values could be changed unintentionally.

2017-04-21  Thilo Graf  <dbt@novatux.de>

	CComponentsHeader: add possibility to show channellogo
	Contains methode setChannelLogo() with parameters
	for channel id, channel name and optional
	alignment (primary between title and clock). Default
	alignment is centered.
	Optional parameter to set logo height is available too.

	Hope it works on first try. To see how it works, take look
	at channellist class.

2017-04-19  svenhoefer  <svenhoefer@svenhoefer.com>

	Merge branch 'master' into pu/mp

2017-04-19  Jacek Jendrzej  <satbaby@kawaii.com>

	try to fix version check for avformat codecpar

2017-04-18  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-04-18  Jacek Jendrzej  <satbaby@kawaii.com>

	fix download pic from ssl url

2017-04-17  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-04-17  Thilo Graf  <dbt@novatux.de>

	CSignalBox: remove CC_APPEND flag
	Should be gradually removed in all affected classes

	CComponentsForm: use global default width for scrollbar

	CSignalBar: use global offsets for init of min height

	CComponentsFrmClock: use correct setHeight()

	CComponentsFrmClock: remove unnecessary call of cch_cl_obj->setYPos()

	CComponentsHeader: Reduce offset between clock and right border.
	Was too large

	CComponentsWindow: try to fix header and footer arrangement
	Header and footer were placed too much on left side.

	CComponentsForm: try to fix fit items inside forms
	Some items had offsets on screen. Was seen eg. in message windows.

2017-04-16  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-04-16  Thilo Graf  <dbt@novatux.de>

	CComponentsPicture: add explicit methodes to set image position

	CComponentsItem: add missing methodes for position setters
	Parent items were not considered for position calculation.

	CComponentsPicture: init missing vars for old dimension dimensions

	CComponentsChannelLogo: use separat var for pic name inside setChannel()
	picname is a class attribut and should not be touched here till new content
	exists. Btw. setChannel() is eqiuvalent to setPicture() from base class, so
	it makes sense to use setPicture() inside setChannel() after
	picname is known. Explicit call of initCCTitem() is not required.

	CComponentsChannelLogo: add missing type

2017-04-13  Thilo Graf  <dbt@novatux.de>

	CComponentsTimer: use sleep() instead mySleep()
	Had some problems with mySleep() related to select() which was used
	inside mySleep()

	CComponentsFooter: avoid crash because possible divisions by 0

	CMovieBrowser: try to reduce effort for vizualized scan
	For comparings I added a benchmark with log output.

2017-04-13  Jacek Jendrzej  <satbaby@kawaii.com>

	fix init cl_force_repaint

2017-04-13  svenhoefer  <svenhoefer@svenhoefer.com>

	- bouquetlist: rework; ...
	* use OFFSET defines
	* use CComponentsFooter to paint footer
	* use CComponentsScrollBar to paint scrollbar
	* use a bit more offset for items
	* re-align status icons in items
	* use same scambled-icon as used in channellist

	- epgplus: get sure we have enough space for detailsline

2017-04-12  svenhoefer  <svenhoefer@svenhoefer.com>

	- settings: fix calculation for SCROLLBAR_WIDTH ...
	to work with subtractions too

	- channelist: rename bool pig_on_win to minitv_is_active

	- channellist: one more missing OFFSET define

	- osd_setup: a bit smaller font for epgplus-items; ...
	it's now aligned to epgview's fontsizes

	- channelist: use OFFSET defines for bottom detailsbox

	- eventlist: use OFFSET defines for right infobox

2017-04-12  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-04-11  svenhoefer  <svenhoefer@svenhoefer.com>

	- channellist: a bit more offset for item; fix progressbar's width
	use OFFSET defines for logo in header and in right infozone

	- channellist: simplify MaxChanNr() function

	- remove obsolete src/driver/wav.h

	- remove obsolete src/gui/dmx_tspidbandwidth.c

2017-04-10  svenhoefer  <svenhoefer@svenhoefer.com>

	Merge branch 'master' into pu/fb-setmode

	Merge branch 'master' into pu/mp

2017-04-10  vanhofen  <vanhofen@gmx.de>

	- epgplus: add missing separationline to clearMark() function

	- epgplus: use enlighten background toggle color

	- color: allow to toggle normal <-> enlighten background colors

	- epgplus: fix selected handling for channelevents

	- epgplus: smoother aligment for channelnumbers

2017-04-10  Thilo Graf  <dbt@novatux.de>

	EpgPlus: fix missing to disble clock after hided window
	btw: rename header->head, for better readability

2017-04-10  vanhofen  <vanhofen@gmx.de>

	- epgplus: add missing round corner to selected item

	- epgplus: use getItemColors() to get global item colors

2017-04-10  svenhoefer  <svenhoefer@svenhoefer.com>

	Merge branch 'master' into pu/fb-setmode

	Merge branch 'master' into pu/mp

2017-04-10  vanhofen  <vanhofen@gmx.de>

	- epgplus: mark framebuffer pointer in header class as unused

	- epgplus: add clock and context button to header

	- epgplus: fix text offsets in secontary timeline

	- epgplus: always show a progressbar in secondary timeline ...
	to avoid 'design changes' when cursor is moved left or right

2017-04-10  Eric Loxat  <eric@loxat.de>

	- epgplus: add progressbar for current event

	- epgplus: bind display of channelnumbers to channelists's setting;
	fix position of channelentry

2017-04-08  TangoCash  <eric@loxat.de>

	- epgplus: fix detailsline;

2017-04-08  svenhoefer  <svenhoefer@svenhoefer.com>

	- epgplus: fix detailsline; codeblock was removed by mistake

	Merge branch 'master' into pu/mp
	Conflicts:
		src/gui/epgplus.cpp

2017-04-08  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-04-08  vanhofen  <vanhofen@gmx.de>

	- epgplus: simplify detailsline handling; fix coords in hide()

	- epgplus: re-implement bigfont handling

	- epgplus: use CComponenentsFooter to paint buttonbar

	- epgplus: add separationline to event's left side

	- epgplus: use new FONT_TYPE_EPGPLUS_ITEM font; ...
	TODO: re-implement bigfont handling

	- osd_setup: add new epgplus font

	- epgplus: add detailsline

	- epgplus: add missing round corners to footer

	- epgplus: add an inner small offset and a small frame to footer

	- epgplus: move footer-box to bottom of screen

	- epgplus: remove obsolete icon calculation

	- epgplus: change toggle colors

	- epgplus: use OFFSET defines

	- epgplus: add separationline to timeline

	- epgplus: use a small dark separation line

	- epgplus: change colors in footer

	- epgplus: enlarge channel/event font; scale font to osd-resolution

	- epgplus: use global paintScrollBar function to paint scrollbar

	- epgplus: remove obsolete casts

	- epgplus: use RC_epg to exit

	- epgplus: use RC_help to switch bigfonts; ...
	This is same key as used in epgview.cpp to switch bigfonts

	- epgplus: use BIGFONT_FACTOT to calculate big fonts

	- epgview: move BIGFONT_FACTOR to settings.h

	- epgplus: replace footer fonts with FONT_TYPE_EVENTLIST fonts

	- epgplus: replace timeline fonts with FONT_TYPE_EPG_DATE

	- epgplus: remove unused buttons font

	- epgplus: use global header font

	- epgplus: remove annoying gaps

	- epgplus: do not toggle text colors

	- epgplus.cpp: reformat; no binary changes

	- epgplus.h: reformat; no binary changes

2017-04-08  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-04-08  Thilo Graf  <dbt@novatux.de>

	CComponentsItem: disable unused variable

	CComponentsFooter: add missing member inits

	CComponentsHeader: add methode initRepaintSlot() and considered parent
	Required in sub classes. Considering of parent ensures usage of
	required background color in sub classes.

	CCDraw: remove some debug lines, and override comparisons
	This should reduce some effort in this method.

	CComponentsItem: fix possible artefacts if fb box is smaller the radius
	If box height/2 is smaller than corner radius it is possible
	we have artefacts after killed or hided fb box. This effect only I have seen
	with full hd resolution, in hd ready mode it was ok.
	Sideeffects with this changes I have not seen, but I can't exclude. Must be watched.

	CComponentsButton: remove unused member

	CCDraw: fix wrong intit values for corners and position

2017-04-07  Thilo Graf  <dbt@novatux.de>

	CComponentsFrmClock: add members to control segment refreshing on interval
	Refreshing of segments is now enabled on default.
	In certain conditions this should be better.

2017-03-31  svenhoefer  <svenhoefer@svenhoefer.com>

	Merge branch 'master' into pu/mp

2017-03-31  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-03-31  Thilo Graf  <dbt@novatux.de>

	Lua: try to implement progresswindow

2017-03-31  Thilo Graf  <dbt@novatux.de>

	LUA-Api: add alignment parameter for text in window header
	Possible modes are :
		* "DEFAULT" (left)
		* "CENTER"
		* "RIGHT"

	TODO: doc

2017-03-30  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrino: add fribidi support; ported from mohousch's nhd2
	This requires libfribidi and a font with arabic or hebrew glyphs.
	To build libfribidi add something like this to your makefiles:

	FRIBIDI_VER = 0.19.7
	$(ARCHIVE)/fribidi-$(FRIBIDI_VER).tar.bz2:
		$(WGET) https://fribidi.org/download/fribidi-$(FRIBIDI_VER).tar.bz2

	$(D)/libfribidi: $(ARCHIVE)/fribidi-$(FRIBIDI_VER).tar.bz2 | $(TARGETPREFIX)
		$(REMOVE)/fribidi-$(FRIBIDI_VER)
		$(UNTAR)/fribidi-$(FRIBIDI_VER).tar.bz2
		set -e; cd $(BUILD_TMP)/fribidi-$(FRIBIDI_VER); \
			$(CONFIGURE) \
				--prefix= \
				--mandir=/.remove \
				--disable-debug \
				--disable-deprecated \
				--enable-charsets \
				--with-glib=no \
				; \
			$(MAKE); \
			$(MAKE) install DESTDIR=$(TARGETPREFIX)
		$(REWRITE_PKGCONF) $(PKG_CONFIG_PATH)/fribidi.pc
		$(REWRITE_LIBTOOL)/libfribidi.la
		$(REMOVE)/fribidi-$(FRIBIDI_VER)
		touch $@

	If you want to link libfribidi statically add --disable-shared
	and --enable-static to configure call.

2017-03-29  svenhoefer  <svenhoefer@svenhoefer.com>

	- locale: minor changes

2017-03-28  M. Liebmann  <git@tuxcode.de>

	Fix videosystem auto mode

	fb_accel hd1/hd2: Add fb_accel_cs_hdx.cpp for common functions
	 - Add 'class CFbAccelCSHDx' to fb_accel.h
	 - Some small code updates

	lib/libtuxtxt/tuxtxt.cpp: Update for hd1/hd2

	CStreamInfo2: Add new info items
	 - Videosystem
	 - OSD Resolution

	CFbAccelCSHD[1|2]::setMode(): Insert cVideo::updateOsdScreenInfo()

	Merge branch 'master' into pu/fb-setmode

2017-03-28  svenhoefer  <svenhoefer@svenhoefer.com>

	- jsoncpp: update to current version 1.8.0
	Use amalgamated src from https://github.com/open-source-parsers/jsoncpp

	Revert "- jsoncpp: update to current version 1.8.0; align Makefile.am"
	This reverts commit 760a64fc6ab6fc4cbe5e01a25d45e43b89911dbd, because
	some people has build-problems.

	- jsoncpp: update to current version 1.8.0; align Makefile.am
	Re-split into original files and use original directory structure.
	Files are picked from https://github.com/open-source-parsers/jsoncpp

2017-03-27  svenhoefer  <svenhoefer@svenhoefer.com>

	Merge branch 'master' into pu/mp

	- upnpbrowser: fix neutrino mode while playing audio

	- upnpbrowser: reduce console output in updateTimes()

2017-03-26  svenhoefer  <svenhoefer@svenhoefer.com>

	- upnpbrowser: reduce console output in selectDevice()

2017-03-23  M. Liebmann  <git@tuxcode.de>

	CFbAccelCSHD2::setMode: Fix if ENABLE_CHANGE_OSD_RESOLUTION is not defined

	src/neutrino.cpp: Simplification EVT_AUTO_SET_VIDEOSYSTEM handling

	Merge branch 'master' into pu/fb-setmode

2017-03-23  Jacek Jendrzej  <satbaby@kawaii.com>

	fix needed mem check

2017-03-23  svenhoefer  <svenhoefer@svenhoefer.com>

	- cables.xml: update WTC SN; thanks to Gorcon

2017-03-22  svenhoefer  <svenhoefer@svenhoefer.com>

	- acinclude.m4: fix merge error

2017-03-22  M. Liebmann  <git@tuxcode.de>

	Fix videosystem auto mode / osd mode switch in movie player

2017-03-22  svenhoefer  <svenhoefer@svenhoefer.com>

	Merge branch 'master' into pu/mp
	Conflicts:
		acinclude.m4

	- acinclude.m4: remove more old unused cruft
	I don't know if CC/CXX-handling is right, but powerpc-tuxbox-linux-gnu
	was definitely wrong.

	- acinclude.m4: align to neutrino-mp

2017-03-22  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	acinclude: remove old unused cruft
	remove:
	- unused boxtypes, these only give a false sense of support
	- unused configure options and associated #defines in config.h
	- unused confiugre check macros

2017-03-22  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-03-22  M. Liebmann  <git@tuxcode.de>

	hd[1|2]/libcoolstream: Update headers for new libcoolstream functions
	  libcoolstream-mt.so version 3.2.0 required

	  Functions:
	    - updateOsdScreenInfo()
	    - GetVideoSystem()
	    - GetVideoSystemFormatName()
	    - fbCopy()
	    - fbFill()
	    - cs_set_extra_debug()

2017-03-21  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrino: grab whole ExitRun() from neutrino-mp ...
	This fixes my last merge commit, small typos and alignes indentation.

	Merge branch 'master' into pu/mp

2017-03-20  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-03-20  Thilo Graf  <dbt@novatux.de>

	CComponentsButton: simplify assignment of button message values
	Count of alternate message values was limited to 1 value. Now it is
	possible to add any count of message values.

	directKey and directKeyAlt were removed from struct type 'button_label_cc'
	and directKeys was added as container for possible message values.

	Some methods of CComponentsFooter had to be adapted for that.

2017-03-20  Jacek Jendrzej  <satbaby@kawaii.com>

	fix segfault aufter unbreak msgbox f9b7fca210978a90cadd9cbdfd5cd8b85e2b38cf

2017-03-20  svenhoefer  <svenhoefer@svenhoefer.com>

	- move movieinfo.cpp|h from src/gui to src/driver ...
	because there are no gui-elements included anymore

	Merge branch 'master' into pu/mp
	Conflicts:
		src/gui/miscsettings_menu.cpp
		src/neutrino.cpp
		src/system/settings.h

2017-03-20  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	CNeutrinoApp::InitMenuMain: Fix compiler warning

	Merge branch 'master' into pu/fb-setmode

2017-03-19  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrino: just code cosmetics in ExitRun()

	- neutrino: remove unused write_si from ExitRun() function ...
	and rename retcode to can_shutdown for a better readability

	- use g_info.hw_caps->can_shutdown; mostly ported from neutrino-mp

	- move src/timerd/doku.html to doc/timerd.html

2017-03-19  Thilo Graf  <dbt@novatux.de>

	CProgressWindow: try to reduce effort inside progress display
	Should help to reduce some timing side effects  with many data amounts.
	But there could still be more potential.

	CNeutrinoFonts: reduce debug spam
	In some cases with many following  dynamic size changes,
	it could be better to suppress this output.

	CColorChooser: fix missing rewrite current values to *value[selected]
	Supplement to commit:
		CColorChooser: fix compile conversion  warnings
		3b5cd00bf4af7ef65fad1490c346b249d5ce2365

2017-03-19  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-03-19  svenhoefer  <svenhoefer@svenhoefer.com>

	- remove unused g_info.delivery_system

	- remove unused g_info.box_Type

	- use g_info.hw_caps->has_fan; remove old g_info.has_fan

	- neutrinoyparser: remove workaround for Neo Twin

	- controlapi: use "CST" instead of "Coolstream" ...
	because I don't know the current legal situation.

	- hardware_caps: fix has_fan and add detection of Neo Twin

2017-03-17  Jacek Jendrzej  <satbaby@kawaii.com>

	src/driver/fb_generic.cpp fix possible memleak and possible double free

2017-03-17  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode
	Conflicts:
	      src/driver/screenshot.h
	      src/driver/screenshot.cpp
	      acinclude.m4

	Merge branch 'master' into pu/mp
	Conflicts:
	      src/driver/screenshot.cpp
	      src/Makefile.am

	CScreenShot: Remove OpenThreads and use pthread functions

2017-03-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- acinclude.m4: remove unused --enable-tmsdk switch; ...
	There's so much more unused and outdated stuff :/

2017-03-15  TangoCash  <eric@loxat.de>

	Merge branch 'pu/mp' of github.com:tuxbox-neutrino/gui-neutrino into pu/mp
	Conflicts:
		src/gui/scan_setup.cpp
		src/zapit/src/frontend.cpp

2017-03-15  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-03-15  TangoCash  <eric@loxat.de>

	add unicable2/jess (thx DboxOldie)

2017-03-15  Jacek Jendrzej  <satbaby@kawaii.com>

	enable SCREENSHOT for generic

	screenshot.cpp fix memcpy param overlap

	src/neutrino.cpp fix possible memleak

	dont cal permanently settimeofday if operation not permitted

2017-03-15  svenhoefer  <svenhoefer@svenhoefer.com>

	- locale: re-add some minor elipses fixes

2017-03-15  Sven Höfer  <svenhoefer@svenhoefer.com>

	Merge pull request #8 from Pr0metheus2/patch-1
	Update slovak.locale

2017-03-15  Thilo Graf  <dbt@novatux.de>

	CComponentsExtTextForm: use scaled default dimension values

	CImageInfo: optimize label arrangement
	Distance between label and text was too large with full hd resolution.

	CComponentsExtTextForm: fix label width calculation

	CImageInfo: use global offset for item offset

2017-03-15  svenhoefer  <svenhoefer@svenhoefer.com>

	- pictures: re-add familiar shutdown picture

	- icons: re-add some familiar icons

2017-03-15  max_10  <max_10@gmx.de>

	unicable jess added (thx DboxOldie)

2017-03-15  Andrej Tobola  <andrej.tobola+gifthub@gmail.com>

	Update slovak.locale

2017-03-14  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/streaminfo2.cpp add MP3 info

2017-03-14  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-03-14  Thilo Graf  <dbt@novatux.de>

	CColorChooser: fix compile conversion  warnings

	CComponentsDetailsLine: add scale to details line width
	Also added correction for odd line width values and added
	method to change details line width.

	cc_types.h: add scale to CC_WIDTH_MIN/CC_HEIGHT_MIN

	settings.h: enable scale for DETAILSLINE_WIDTH

2017-03-14  svenhoefer  <svenhoefer@svenhoefer.com>

	Merge branch 'master' into pu/mp

	- .gitignore: add compile
	- .svnignore: remove

2017-03-14  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	src/uncooloff.c: Fix compile error

	src/gui/videosettings.cpp: Replace BOXMODEL_APOLLO by BOXMODEL_CS_HD2

	src/gui/widget/buttons.cpp: Use system/stacktrace.h ...
	... instead of driver/stacktrace

	src/system/stacktrace.cpp: Use dummy function for print_stacktrace()...
	... and install_crash_handler() if HAVE_BACKTRACE is not defined

2017-03-13  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrinoyparser: stay compatible with present code in Y_Blocks.txt

2017-03-13  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-03-13  Jacek Jendrzej  <satbaby@kawaii.com>

	try fix segfault with --enable-cleanup

	fix PC compil

2017-03-13  svenhoefer  <svenhoefer@svenhoefer.com>

	Merge remote-tracking branch 'neutrino-mp/master' into pu/mp
	Conflicts:
		src/neutrino.cpp
		src/nhttpd/tuxboxapi/neutrinoyparser.cpp

	- unify DetailsLine-names; move define to settings.h

2017-03-13  M. Liebmann  <git@tuxcode.de>

	CMenuWidget::calcSize: Add forgotten 'wi'

	Merge branch 'master' into pu/fb-setmode

	CMenuWidget::calcSize: Use scale2Res() to adjust fixed sizes

	CMenuWidget::calcSize: Recalculation of min_width ...
	... for adjustment to the osd resolution

2017-03-13  Thilo Graf  <dbt@novatux.de>

	cc_types.h: expand button_label_cc with hint as descrpition for button

	cc_types: move struct button_label_cc into cc_types.h

	CComponentsFooter: add bg_image to button_label_cc type

2017-03-12  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	Revert "- allow to force given osd resolution in "videosystem = auto" mode"
	This reverts commit 6fc24e990b3923d72c571477110102c9e3ddbbfa.

2017-03-11  Thilo Graf  <dbt@novatux.de>

	CComponentsFooter: simplify implementation of button labels
	button_label_l and button_label_s are now
	merged to button_label_cc with prepared default values for text and locales.This type contains all possible
	button label properties. Values for locales and string
	are evaluated in setButtonLabels(), so it's possible to remove some
	overloaded methodes.

2017-03-11  Thilo Graf  <dbt@novatux.de>

	CCDraw: add possibility to use background images as item background
	Provides functionality to use a backround image instead to render
	usual box. If an image is defined, box render is disabled, but behavior
	for hide, kill, cache... is not changed.

	TODO:
	- maybe needs global caching because images are not yet managed like icons in framebuffer class

2017-03-10  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	bouquetlist: don't block RC keys while list is opened

	msgbox: deobfuscate assignment of default result value

2017-03-10  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-03-10  svenhoefer  <svenhoefer@svenhoefer.com>

	- controlapi: /control/info => return PACKAGE_NAME and PACKAGE_VERSION

	- hardware_caps: just changes in comments

	- neutrinoyparser: use hw_caps in func_get_boxtype() ...
	... and func_get_boxmodel()

	- controlapi: use hw_caps in HWInfoCGI()

	- controlapi: /control/info => return right name

	- hardware_caps/Makefile: use @HWLIB_CFLAGS@ instead of defines

	- hardware_caps: use define instead of value; better readability

	Revert "hardware_caps.cpp: Add hw ifdef for cs_get_chip_type()"
	This reverts commit f5cdaff28227801e7f9e76a03b4d01db9edc1ba3
	because libcoolstream now is updated

2017-03-10  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	hd2/libcoolstream/*.h: Update for new libcoolstream functions
	 - cs_get_lib_version()
	 - cs_compare_lib_versions()
	 - GetVideoSystem()
	 - GetVideoSystemFormatName()
	 - Add CS_CHIP_NEVIS definitions

	hd1/libcoolstream/cs_api.h: Update for new libcoolstream functions
	 - cs_get_lib_version()
	 - cs_compare_lib_versions()
	 - cs_get_chip_type() (dummy function for compatibility with hd2)
	 - Add CS_CHIP_xxx definitions

2017-03-09  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	hardware_caps.cpp: Add hw ifdef for cs_get_chip_type()

	Merge branch 'master' into pu/fb-setmode

2017-03-09  svenhoefer  <svenhoefer@svenhoefer.com>

	- hardware_caps: add latest coolstream models

2017-03-08  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	Add src/compatibility.h to include software-dependency macros

	Merge branch 'master' into pu/fb-setmode

	Fix malloc_stats() call for newer uClibc-ng versions

2017-03-07  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	bouquetlist: don't block RC keys while list is opened

	msgbox: deobfuscate assignment of default result value

	Merge remote-tracking branch 'tuxbox/master'

2017-03-07  Jacek Jendrzej  <satbaby@kawaii.com>

	make neutrino compatible with new ffmpeg

2017-03-06  svenhoefer  <svenhoefer@svenhoefer.com>

	- allow to force given osd resolution in "videosystem = auto" mode

2017-03-06  M. Liebmann  <git@tuxcode.de>

	Fix osd mode switch in videosystem auto mode

	Merge branch 'master' into pu/fb-setmode

2017-03-06  svenhoefer  <svenhoefer@svenhoefer.com>

	- configure.ac: remove duplicated code

	- move public libcoolstream-headers to hardware directory

	- port hardware_caps from Neutrino-MP

2017-03-06  Thilo Graf  <dbt@novatux.de>

	CMovieBrowser/cYTFeedParser: implement signals from CProgressSignals

	CProgressWindow/CProgressSignals: add prepared signals
	Required for inhertance of signals used with CProgressWindow.

	CMovieBrowser: remove wrong progress value

	CTextBox: fix pass of SCROLL_FRAME_WIDTH

2017-03-06  Jacek Jendrzej  <satbaby@kawaii.com>

	 subpagetable is unsigned

	src/gui/movieplayer.cpp some streams need more time pro frame

2017-03-05  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	COsdHelpers: Remove no longer required function resetOsdResolution()

	COsdHelpers: Add function setVideoSystem()

	CFbAccelCSHD2::setMode: Fix value for screeninfo.yres_virtual

2017-03-05  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	msgbox: remove explicit handling of record events
	these are handled in the last else clause anyway

	msgbox: remove duplicated code

	unbreak msgbox
	the "if (msg)" was basically always true, killing all keys that were not
	handled in this clause (e.g. it was not possible to switch the box from
	standby if a plugin with output was running during standby)

2017-03-05  Jacek Jendrzej  <satbaby@kawaii.com>

	try fix YT cache wirite to root

	src/gui/widget/msgbox.cpp init result

2017-03-05  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-03-05  Jacek Jendrzej  <satbaby@kawaii.com>

	src/zapit/src/zapit.cpp fix segfault without services.xml

2017-03-04  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	videosettings: select VIDEOMENU_43MODE_OPTIONS at runtime
	instead of hard coded hardware dependence, select panscan and display
	AR options at run time via hw_caps.

	frontend: use hw_caps instead of BOXMODEL define

	hw_caps: add caps for 14:9 AR and broken tuner driver

	msgbox: remove explicit handling of record events
	these are handled in the last else clause anyway

	msgbox: remove duplicated code

	unbreak msgbox
	the "if (msg)" was basically always true, killing all keys that were not
	handled in this clause (e.g. it was not possible to switch the box from
	standby if a plugin with output was running during standby)

	Merge remote-tracking branch 'tuxbox/master'

2017-03-03  svenhoefer  <svenhoefer@svenhoefer.com>

	- imageinfo: remove obsolete define

	- imageinfo: change handling of yWeb version; use own CConfigFile

2017-03-03  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	CScanTs::handleMsg: Fix handling left/right keys during channel search

2017-03-03  svenhoefer  <svenhoefer@svenhoefer.com>

	- fix funny typo

2017-03-03  Thilo Graf  <dbt@novatux.de>

	CProgressWindow: small optimize of size handling

	CTestMenu: adaopt progress sample with discret percental window dimensions

	CProgressWindow: adaopt for discret percental window dimensions

	CMovieBrowser: adaopt for discret percental window dimensions

	CBuildInfo: adaopt for discret percental window dimensions

	CComponentsWindow: use negative values for discret percental dimensions
	Also add possibility to use placeholder for better readability and
	better compatibilty with previous implementations.
	See doc in source files for more details

2017-03-03  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-03-03  svenhoefer  <svenhoefer@svenhoefer.com>

	- luainstance: re-add typo TO_WIDE to stay backward compatible

	- luainstance: add missing RADIUS_NONE; fix typo in dynfont handling

2017-03-02  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	CNeutrinoApp::loadSetup: Fix Segfault when an remote timer is defined

2017-03-02  svenhoefer  <svenhoefer@svenhoefer.com>

	- luainstance: add offsets to lua; set Lua api version to 1.70

2017-03-01  svenhoefer  <svenhoefer@svenhoefer.com>

	- update: rename DEBUG1 to DRYRUN

	- update: small cleanup; ...
	remove obsolete g_Locale->getText() from ShowHint calls

	- update: change filetype comparsion; "< '3'" to "<= '2'"

	- update: prepare for menu hints

	- flashtool: localize getType() function

2017-03-01  TangoCash  <eric@loxat.de>

	fix blinking clock in some modes (thx dbo)

2017-03-01  Jacek Jendrzej  <satbaby@kawaii.com>

	src/neutrino.cpp init struct timer_remotebox_item, avoid segfault without InfoClock

2017-03-01  svenhoefer  <svenhoefer@svenhoefer.com>

	- rename g_PluginList to g_Plugins; this isn't a list of plugins

	- yWeb: unify rec/zap timer handling; avoid german umlaut in js-popup

2017-02-28  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	lua cwindow.new: Fix draw small windows
	 - Ignore percent conversion of width and height
	   to remain compatible with the Lua API

	osd resolution: Use COsdHelpers::changeOsdResolution() to adjust...
	...OSD resolution after switching video format

	NeutrinoMessages: Add EVT_AUTO_SET_VIDEOSYSTEM

	CInfoViewer::showTitle: Add parameter forcePaintButtonBar

	osd resolution: Add 'mode' to osd_resolution_struct_t
	 - Use COsdSetup::OSDMODE_XXX enums to identify various resolutions

	osd resolution: Add src/gui/osd_helpers.cpp
	 - Move switch osd resolution from COsdSetup::changeNotify() to
	   COsdHelpers::changeOsdResolution()

2017-02-27  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	CLuaInstance: Add script fumction 'scale2Res'
	 - Set Lua api version to 1.69

2017-02-27  M. Liebmann  <git@tuxcode.de>

	fb_generic: Add "#define SCALE2RES_DEFINED" to check...
	...presence of 'CFrameBuffer::scale2Res()'

	 - Revert this patch when pu/fb-setmode branch is merged to master

2017-02-26  Thilo Graf  <dbt@novatux.de>

	CHintBox: use OFFSET_INNER_MID as defaul value for W_RAME

	CHintBox: fix passed width parameter

	CTextBox: use scaled base dimensions

	CBuildInfo: use percental calculated dimensions

	hintbox.h: use calculated dimensions as default
	Useful for possible different screen resolutions.

	CProgressWindow: use percental calculated dimensions as default

	CMovieBrowser: use percental calculated dimensions for progress window
	Useful for possible for different screen resolutions.

	CComponentsWindow: add more tags for doxygen

2017-02-26  Thilo Graf  <dbt@novatux.de>

	CComponentsWindow: use percentage conversion for dimension values
	Dimension values for windows below a certain size are often not really
	useful, even with regard to different resolutions.
	Usage of percent values could be easier to handle.
	In the constructor, the argument values für dimesions must be only
	between 1 and 100 to achieve this.

	TODO: behavior inside parents

2017-02-26  Thilo Graf  <dbt@novatux.de>

	CMovieBrowser: visualize global loading of defined directories

	CProgressWindow: syncronize paint of local and global bar on first paint
	In some cases progress bars were painted with delay.
	Now it should be looks better.

	CTestMenu: add samples for progress window with signals

	CProgressWindow: small cosmetic

	CProgressWindow: rename InitProgressItem -> getProgressItem
	more plausible

	CProgressWindow: move some methodes for more clarity

	CProgressWindow: encapsulate show methodes, add dimension defines

	CTestMenu: ad samples for progress window

	CProgressWindow: add overloaded constructor with string arg

2017-02-26  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-02-26  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/movieplayer.cpp try fix stop play file on file end

2017-02-26  svenhoefer  <svenhoefer@svenhoefer.com>

	- channelist: use OFFSET-defines for channels w/o EPG too

	- timerlist: fix timer comparison in modifyTimer()

2017-02-25  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-02-25  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	rcinput: apply ev.time adjustment to all events
	This fixes detection of keys that are allowed to be long-pressed if
	"long keypress" feature is enabled.
	No idea why this was applied only to key press events before :-)

	rcinput: apply ev.time adjustment to all events
	This fixes detection of keys that are allowed to be long-pressed if
	"long keypress" feature is enabled.
	No idea why this was applied only to key press events before :-)

2017-02-25  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

2017-02-25  Thilo Graf  <dbt@novatux.de>

	CVideoSettings: avoid unnecessary display of messageboxes

	CComponentsScrollBar: remove unnecessary debug output

2017-02-24  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	neutrino: No terminate moviebrowser, menue, etc. when recording start

2017-02-24  svenhoefer  <svenhoefer@svenhoefer.com>

	- audioplayer: fix small typo

2017-02-24  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	rcinput/neutrino: avoid the use of EVT_TIMESET
	sectionsd's EVT_TIMESET was only used to fix time calculations
	for input repeat detection. I doubt this reliably worked anyway.
	Just calculate an absolute input timestamp from CLOCK_MONOTONIC
	and use that. Even better solution would be to use a newer
	kernel with EVIOCSCLOCKID ioctl, leave that for later :-)

2017-02-24  Jacek Jendrzej  <satbaby@kawaii.com>

	supplement to 1f5778b769942a79754f97fce66a008c46a83f5a, add stop msg

2017-02-23  svenhoefer  <svenhoefer@svenhoefer.com>

	- followscreenings: don't show, when followlist is empty

	- followscreenings: don't show, when channel_id is 0

2017-02-23  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/widget/msgbox.cpp dont block record msg

2017-02-23  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	CKeybindSetup: Fix changeNotify call for change repeat_block...

2017-02-23  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	fb_accel: move hd2 specific parts from fader to fb_accel

	rcinput: clarify comment regarding hd2 device

	rcinput: add less ugly hack for crappy hd2 driver

	Revert "CRCInput::set_rc_hw: Fix device check for cs hd2"
	This reverts commit 5cac45ccb837955bd03b9b2cc41e415c983139d7.

2017-02-23  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	Revert "rcinput: Add exception handling for cs hd2"
	This reverts commit 1b79faff780befa63a04be86560e7183d7a663aa.

	Wrong in so many ways :-)

	 - The code worked perfectly. But ok, it's easier possible. ;)

2017-02-23  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrino.cpp: fix compiler warning; ...
	msg and data is type long unsigned int, so %lu seems the right format,
	but above %lX is used too and it works fine. So, what's the right one?

2017-02-22  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	fb_accel: move hd2 specific parts from fader to fb_accel

	rcinput: clarify comment regarding hd2 device

	Revert "- rc_input: do always show key-presses in console; ..."
	This reverts commit 056b47c09b8794bbca1f00d62dc25d33808ade26.

	Merge branch 'tuxbox-fixed'

	Revert "- rc_input: just cosmetics to satisfy syntax-highlighters"
	This reverts commit d7ed439e53cc55b5c936fe843044ff8fc708b17d.

	Revert "- rc_input: rename checkLnkDev() to checkdev_lnk(); ..."
	This reverts commit 0e435bb389d3923325d8f92bb452e45268e88966.

2017-02-22  svenhoefer  <svenhoefer@svenhoefer.com>

	- rcsim: fix perror message

	- controlapi: fix perror message

	- rc_input: do always show key-presses in console; ...
	by mistake removed in 1eec78ccfd7d672ef2cc814ee8ff245696fe3a78

2017-02-22  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	CRCInput::setKeyRepeatDelay: Change hardware dependency,
	  HD2 driver is not so very ugly. ;)

2017-02-22  svenhoefer  <svenhoefer@svenhoefer.com>

	- rc_input: we have d_printf, so let's use it

2017-02-22  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	rcinput: add less ugly hack for crappy hd2 driver

2017-02-22  svenhoefer  <svenhoefer@svenhoefer.com>

	- rc_input: just cosmetics to satisfy syntax-highlighters

	- rc_input: rename checkLnkDev() to checkdev_lnk(); ...
	just to align form-style to latest changes

2017-02-22  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	Revert "CRCInput::set_rc_hw: Fix device check for cs hd2"
	This reverts commit 5cac45ccb837955bd03b9b2cc41e415c983139d7.

2017-02-22  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	Revert "rcinput: Add exception handling for cs hd2"
	This reverts commit 1b79faff780befa63a04be86560e7183d7a663aa.

	Wrong in so many ways :-)

2017-02-22  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	Merge remote-tracking branch 'tuxbox/master'

2017-02-22  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	CRCInput::set_rc_hw: Fix device check for cs hd2

2017-02-22  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	rcinput: remove unused/unimplemented click functions

	rcinput: remove now unused (and broken) getFileHandle()

	keybind_setup: use rcinput->setKeyRepeatDelay()

	rcinput: fix set_rc_hw() after dynamic devices patch
	...this could use some tests... :-)

	rcinput: add setKeyRepeatDelay() function
	this allows to get rid of the broken getFileHandle function later

2017-02-22  M. Liebmann  <git@tuxcode.de>

	rcinput: Add exception handling for cs hd2
	 - Supplement to previous commit

2017-02-22  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	rcinput: use a dynamic list of input devices
	Instead of the fixed, static list of input devices, scan /dev/input/ for
	proper event devices. A "good" input device is one that supports the
	EVIOCGBIT ioctl and at least the EV_KEY event type.
	This probably needs further fixes, e.g. in repeat rate setting code.

2017-02-22  M. Liebmann  <git@tuxcode.de>

	Fix compiler format warnings

	rcinput: Transfer from neutrino-mp for better compatibility

	src/system/helpers.cpp: Add function readLink()

2017-02-21  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	fb_generic: use more swidth variables in fbCopyArea()

2017-02-21  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	tuxtxt: remove dead code, unnecessary header includes

	tuxtxt: remove old, unused input code

	fb_accel_glfb: fix color palette setting

	tuxtxt: remove old framebuffer device code

	tuxtxt: remove unused dmx variable

	libtuxtxt: remove unused fd parameter from tuxtx_main()

	acinclude: move AC_SYS_LARGEFILE after AC_CANONICAL_*
	no idea why, but detection of 64bit largefile flags fails otherwise in
	some setups

	fb_generic: use 32bit pointers instead of 8bit

	fb_generic: add swidth variable, "stride in fb_pixel_t units"
	this should allow to use fb_pixel_t pointer arithmetics more often
	instead of byte pointers

2017-02-20  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	rcinput: remove unused/unimplemented click functions

	rcinput: remove now unused (and broken) getFileHandle()

	keybind_setup: use rcinput->setKeyRepeatDelay()

	rcinput: fix set_rc_hw() after dynamic devices patch
	...this could use some tests... :-)

	rcinput: add setKeyRepeatDelay() function
	this allows to get rid of the broken getFileHandle function later

2017-02-20  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode

	tuxtxt: Use hw blitting with fbCopyArea() for cs hd2

	framebuffer: Add fbCopyArea function
	 - Copies areas within the frame buffer
	 - Hardware accelerated function for cs hd2
	 - Copying overlapping areas does not always work correctly
	   without hardware acceleration

2017-02-19  svenhoefer  <svenhoefer@svenhoefer.com>

	- move ENABLE_CHANGE_OSD_RESOLUTION to scale2Res() function

	- settings.h: scale RADIUS- and OFFSET-defines

	- framebuffer: rename scaleFont() to scale2Res()

2017-02-19  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	rcinput: use a dynamic list of input devices
	Instead of the fixed, static list of input devices, scan /dev/input/ for
	proper event devices. A "good" input device is one that supports the
	EVIOCGBIT ioctl and at least the EV_KEY event type.
	This probably needs further fixes, e.g. in repeat rate setting code.

	tuxtxt: remove dead code, unnecessary header includes

	tuxtxt: remove old, unused input code

	fb_accel_glfb: fix color palette setting

	tuxtxt: remove old framebuffer device code

	tuxtxt: remove unused dmx variable

	libtuxtxt: remove unused fd parameter from tuxtx_main()

	acinclude: move AC_SYS_LARGEFILE after AC_CANONICAL_*
	no idea why, but detection of 64bit largefile flags fails otherwise in
	some setups

	fb_generic: use 32bit pointers instead of 8bit

2017-02-17  Jacek Jendrzej  <satbaby@kawaii.com>

	try to fix segfault with --enable-cleanup

	src/driver/scanepg.cpp avoid possible segfault

2017-02-15  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	fb_generic: add swidth variable, "stride in fb_pixel_t units"
	this should allow to use fb_pixel_t pointer arithmetics more often
	instead of byte pointers

	Merge remote-tracking branch 'tuxbox/master'

2017-02-15  M. Liebmann  <git@tuxcode.de>

	tuxtxt: Fix display in 1280x720 mode

	Merge branch 'master' into pu/fb-setmode

	fb_accel_cs_hd2: add missing getBackBufferPointer()

2017-02-15  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	tuxtxt: convert to int-pointer arithmetic, work with all framebuffers
	This converts the drawing code from byte-pointer to fb_pixel_t-pointer
	arithmetic, making the calculations more obvious and probably more
	efficient.
	Additionally, the color tables are now generated in a way that it should
	work regardless of the frame buffer color format. Allows to remove a few
	hardware specific #ifdefs.

2017-02-15  M. Liebmann  <git@tuxcode.de>

	libtuxtxt: Transfer from neutrino-mp for better compatibility

2017-02-15  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	fb_accel_td: add missing getBackBufferPointer()
	this fixes tuxtxt rendering problems

2017-02-15  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrino: small code cosmetics in loadSetup()

	- disable strange try-to-detect-bad-config-file if-statement

2017-02-15  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	tuxtxt: convert to int-pointer arithmetic, work with all framebuffers
	This converts the drawing code from byte-pointer to fb_pixel_t-pointer
	arithmetic, making the calculations more obvious and probably more
	efficient.
	Additionally, the color tables are now generated in a way that it should
	work regardless of the frame buffer color format. Allows to remove a few
	hardware specific #ifdefs.

	fb_accel_td: add missing getBackBufferPointer()
	this fixes tuxtxt rendering problems

2017-02-14  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-setmode
	 Fix merge conflict

	fb_generic: make blitBox2FB virtual

	fb_generic.h: Add missing function add_gxa_sync_marker()
	 - is required for cs hd1

2017-02-14  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	system/helpers: disable GetWidth4FB_HW_ACC()
	...will be removed later

2017-02-14  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	remove hardware specific code from gui
	Use the framebuffer's getWidth4FB_HW_ACC() instead of system/helpers.
	The use in cc_item_picture was guarded by a hardware #ifdef, use
	needAlign4Blit() instead.

	This needs testing on the affected hardware, which I do not have :-)

2017-02-14  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	implement getWidth4FB_HW_ACC in fb_accel class
	This helper to determine alignment for hardware blitting is now in
	system/helpers.h, where it does not really belong. Put it into the
	framebuffer class instead. Framebuffers that don't need it will just
	get a dummy function, the cs_hd2 framebuffer gets the real thing.
	Also add a bool function that indicates the need for alignment.

	fb_generic: remove hardware specific #ifdef

	acinclude: only set default model to hd1 if boxtype=coolstream

2017-02-14  M. Liebmann  <git@tuxcode.de>

	screenshot: Workaround for broken osd screenshot with new fb driver...
	...and 1280x720 resolution.

2017-02-14  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	lcdd (tripledragon): remove bogus warning message

	system/helpers: disable GetWidth4FB_HW_ACC()
	...will be removed later

2017-02-14  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	remove hardware specific code from gui
	Use the framebuffer's getWidth4FB_HW_ACC() instead of system/helpers.
	The use in cc_item_picture was guarded by a hardware #ifdef, use
	needAlign4Blit() instead.

	This needs testing on the affected hardware, which I do not have :-)

2017-02-14  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	implement getWidth4FB_HW_ACC in fb_accel class
	This helper to determine alignment for hardware blitting is now in
	system/helpers.h, where it does not really belong. Put it into the
	framebuffer class instead. Framebuffers that don't need it will just
	get a dummy function, the cs_hd2 framebuffer gets the real thing.
	Also add a bool function that indicates the need for alignment.

	fb_generic: remove hardware specific #ifdef

2017-02-13  svenhoefer  <svenhoefer@svenhoefer.com>

	- set new osd-presets closer to old values; auto-calc screenEnd-values

	- fix keywords in strange try-to-detect-bad-config-file if-statement

	- migrate users settings; screen_StartX_crt/lcd -> screen_StartX_crt/lcd_0

2017-02-13  M. Liebmann  <git@tuxcode.de>

	neutrino: Add switch osd resolution when supported from hardware
	 - At the moment supported hardware: CS HD2

	  Currently known problems:
	  -------------------------
	  - Display menus after changing resolution (Reboot required)
	  - Display headers after changing resolution hd => fullhd (Reboot required)
	  - Display infobar after changing resolution hd => fullhd (Reboot required)
	  - Screenshot broken (With new driver and set resolution to 1280x720)

2017-02-13  M. Liebmann  <git@tuxcode.de>

	neutrino: Upscaling fonts, infoclock and volumebar for full hd

	CFbAccelCSHD2: Add scaleFont()function for font upscaling when fullhd is aktiv

	CFbAccelCSHD2::setMode: Update for new framebuffer driver (full hd)

	configure: Add macro ENABLE_CHANGE_OSD_RESOLUTION
	  - macro is default for hd2
	  - macro can activated for other hardware by
	    configure option --enable-reschange

2017-02-13  Thilo Graf  <dbt@novatux.de>

	CMovieBrowser: vizualize progress for loading of youtube vidoes

	cYTFeedParser: add signal OnLoadVideoInfo
	Required for visualized progress display.

2017-02-13  Thilo Graf  <tg.pnhd@novatux.de>

	CImageInfo: fix y position of infotext
	Minitv was not considered.
	When font size very small, infotext could be overlapping
	with minitv window. This should fix this.

2017-02-13  Thilo Graf  <dbt@novatux.de>

	CMovieBrowser: visualize progress during load movies
	TODO: youtube load

	CProgressWindow: add documentation for Doxygen

	CProgressWindow: use using namespace for std and sigc
	Makes more clearly

	CProgressWindow: add possibility to show progress via signal

	CProgressWindow: allow variable max value, allow define dimensions

2017-02-13  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	acinclude: only set default model to hd1 if boxtype=coolstream

2017-02-12  svenhoefer  <svenhoefer@svenhoefer.com>

	- sectionsd: add missing include of system/set_threadname.h

	- test_menu: add missing include of gui/components/cc_timer.h

2017-02-12  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	fb_generic: add sanity check and missing mark() to painIcon8

	streamts: don't overflow receive buffer, better diag message

	neutrino: move start of standby epgscan forward
	this avoids that cpufreq is set to standby value before epgscan is
	started, resulting in poor performance

	remove spurious newlines from debug output

	set useful thread names for all spawned threads

	CComponentsTimer: allow to set a thread name

	cc: reduce impact of cc_draw header from 161 to 4 files

	getservices: don't update channels if only scrambling changed

	zapit: speed up scan by skipping unsupported delivery systems

	fb_generic: initialization and deinitialization fixes
	* initialize variables locked and cache_size in constructor
	* set lfb pointer to NULL after munmap(), fd to -1 after close
	* remove unused tty fd close()

	fb_accel_td: implement setBlendMode/Level

	sectionsdclient: remove unused scanMode variable

	remove unnecessary sectionsdclient.h includes

	remove udpstreampes from build, it's unlikely to work anyway

	remove fb_accel_cs.cpp after merge

	Merge remote-tracking branch 'tuxbox/pu/fb-modules'
	only compile tested ;-)

	fb_generic: add sanity check and missing mark() to painIcon8

2017-02-12  M. Liebmann  <git@tuxcode.de>

	configure.ac: bump revision to 3.4.2

2017-02-12  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	streamts: don't overflow receive buffer, better diag message

	zapit: disable spark hack, seems no longer necessary

	neutrino: move start of standby epgscan forward
	this avoids that cpufreq is set to standby value before epgscan is
	started, resulting in poor performance

	remove spurious newlines from debug output

	set useful thread names for all spawned threads

	CComponentsTimer: allow to set a thread name

	cc: reduce impact of cc_draw header from 161 to 4 files

	getservices: don't update channels if only scrambling changed

	zapit: speed up scan by skipping unsupported delivery systems

2017-02-12  M. Liebmann  <git@tuxcode.de>

	pu/fb-modules: Rename hardware defined macros for coolstream stb
	  BOXMODEL_NEVIS => BOXMODEL_CS_HD1
	  BOXMODEL_APOLLO => BOXMODEL_CS_HD2

	Merge branch 'master' into pu/fb-modules

	neutrino: Rename hardware defined macros for coolstream stb
	  BOXMODEL_NEVIS  => BOXMODEL_CS_HD1
	  BOXMODEL_APOLLO => BOXMODEL_CS_HD2

2017-02-12  M. Liebmann  <git@tuxcode.de>

	configure: Rename hardware defined macros for coolstream stb
	  BOXMODEL_NEVIS => BOXMODEL_CS_HD1
	   configure parameter: --with-boxmodel=hd1
	   --with-boxmodel=nevis is deprecated, but still valid

	  BOXMODEL_APOLLO => BOXMODEL_CS_HD2
	   configure parameter: --with-boxmodel=hd2
	   --with-boxmodel=apollo is deprecated, but still valid

2017-02-11  Jacek Jendrzej  <satbaby@kawaii.com>

	src/driver/pictureviewer/pictureviewer.cpp Picviewer need double image bufferSize for avoid segfault

2017-02-11  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	fb_generic: initialization and deinitialization fixes
	* initialize variables locked and cache_size in constructor
	* set lfb pointer to NULL after munmap(), fd to -1 after close
	* remove unused tty fd close()

	fb_accel_td: implement setBlendMode/Level

	sectionsdclient: remove unused scanMode variable

	remove unnecessary sectionsdclient.h includes

2017-02-11  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-modules

2017-02-11  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	remove udpstreampes from build, it's unlikely to work anyway

	Merge remote-tracking branch 'tuxbox/master'

2017-02-11  svenhoefer  <svenhoefer@svenhoefer.com>

	- pluginlist: add default timeout to plugin-output ...
	to avoid a blocked system. Without timeout all upcoming timers
	will be ignored, if user doesn't confirm the plugin-output.

2017-02-10  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-modules

2017-02-10  Jacek Jendrzej  <satbaby@kawaii.com>

	src/driver/audiometadata.cpp init cover_temporary

	src/driver/pictureviewer/pictureviewer.cpp  check whether there is enough free memory for the image buffer

2017-02-09  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-modules

2017-02-09  Thilo Graf  <dbt@novatux.de>

	Revert "CChannelList: delete with red yes button"
	This reverts commit 36896849689c552989cf365984de546a4ed5282a.

	User request: Is not desired

2017-02-09  svenhoefer  <svenhoefer@svenhoefer.com>

	- avoid configuration mismatch in screen settings

	- remove screen_width/height from neutrino.conf; ...
	it's just for internal usage

	- rename screen_x/yres to font_scaling_x/y

2017-02-09  Thilo Graf  <dbt@novatux.de>

	CMenuWidget: remove dub code from init

	CMenuWidget: use only nameString as container for widget name
	neutrino_locale_t	name could be transformed always to real string to
	unify this container

2017-02-09  M. Liebmann  <git@tuxcode.de>

	CFbAccelCSHD1::~CFbAccelCSHD1: Remove unnecessary entries...
	...that are processed in the CFrameBuffer destructor

2017-02-09  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	fontrenderer: add hack to work around broken fullBG code

	fb_generic: remove unused VT switching / restoring code

	fb_accel: add TripleDragon framebuffer code

	fb_generic: open device O_CLOEXEC, better diagnostic output

	fb_generic: make paintLine virtual

2017-02-09  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-modules

2017-02-09  GetAway  <get-away@t-online.de>

	change to CURLOPT_CONNECTTIMEOUT_MS and ...
	use a connect_timeout of 300ms for remote timer

2017-02-09  svenhoefer  <svenhoefer@svenhoefer.com>

	- helpbox: fix display of text after scroll; thx to DboxOldie

2017-02-09  GetAway  <get-away@t-online.de>

	make the webtv directory configurable

2017-02-09  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	fontrenderer: add hack to work around broken fullBG code

	fb_generic: remove unused VT switching / restoring code

2017-02-08  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	fb_accel: add TripleDragon framebuffer code

	fb_generic: open device O_CLOEXEC, better diagnostic output

	fb_generic: make paintLine virtual

2017-02-08  M. Liebmann  <git@tuxcode.de>

	Merge branch 'master' into pu/fb-modules

2017-02-08  Thilo Graf  <dbt@novatux.de>

	fb_accel_cs_hdx_inc.h: remove unused includes

	fb_accel_cs_hdx: remove dub includes, add includes into common header file

2017-02-08  M. Liebmann  <git@tuxcode.de>

	fb_accel: Some renaming nevis => hd1 & apollo => hd2

	fb_accel: Rename CFbAccelCSApollo class => CFbAccelCSHD2
	  Rename fb_accel_cs_apollo.cpp => fb_accel_cs_hd2.cpp

	fb_accel: Rename CFbAccelCSNevis class => CFbAccelCSHD1
	  Rename fb_accel_cs_nevis.cpp => fb_accel_cs_hd1.cpp

	CFbAccelCSApollo: Add paintHLineRel() & paintVLineRel() functions
	 - Remove unused debug output

	CFbAccelCSNevis: Add paintHLineRel() & paintVLineRel() functions
	 - Remove unused debug output

	neutrino: Replace USE_NEVIS_GXA with hardware-specific macros
	- Existing USE_NEVIS_GXA definitions in the build system
	  (neutrino configure) can be removed.

2017-02-07  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	reduce impact of zapit/frontend_c.h header
	down from ~217 files to ~57...

	reduce impact of driver/pictureviewer.h header file
	before, more than 175 files depended on it, now it's about 35

	flashtool: make CFlashVersionInfo robust against invalid input

	framebuffer/configure: remove unused --restore-prev-mode
	this is unused, untested and most likely not working at all

	fb_accel: add backend for GL framebuffer

2017-02-07  M. Liebmann  <git@tuxcode.de>

	fb_accel: add accelerated framebuffer for Apollo graphic chips

2017-02-07  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	fb_accel: add accelerated framebuffer for Nevis GXA chips

	fb_generic: fix blit2FB call

	framebuffer: add accelerator for STi framebuffer
	also add a generic helper class for other accelerated
	framebuffer implementations

	fb_generic: nicer debug output, remove dead code

	fb_generic: add fb_name member to identify fb implementation

	move gui/color.h includes from headers to cpp files

	fb_generic: add pointer for double-buffered fb

	fb_generic: remove all hardware specific code

	fb_generic: add stuff needed for compilation

	start modularizing framebuffer acceleration architecture
	This is just copied framebuffer.{h,cpp} => fb_generic.{h,cpp}
	The idea is to implement CFrameBuffer as generic framebuffer class that
	does work on almost every hardware without acceleration and / or
	hardware dependencies.
	CFbAccel will be a derived class (and different on many architectures)
	which implements the accelerated functions.
	This does not yet compile, verbatim copies to track development history.

	replace fontrenderer.h include with forward declaration
	in order to flatten the build dependency tree further, include
	fontrenderer.h directly where needed, in header files a forward
	declaration is enough

	replace framebuffer.h include with forward declaration
	instead of including framebuffer.h almost everywhere, replace it with
	class CFrameBuffer forward declarations and/or generic system includes.
	Add a hack to define fb_pixel_t to config.h (one reason for
	framebuffer.h includes was the fb_pixel_t define)

2017-02-07  Thilo Graf  <dbt@novatux.de>

	CScreenSaver: ensure full cleanup of infoclock after stopped screensaver
	This provokes re init of info clock.

	CTextBox: compare condition for text render more precisely

	Helpbox: fix missing text after page repaint

	CComponentsForm: move slots into base classes
	Usable for all form classes

	signals: reduce multiple includes for sigc++/bind.h

2017-02-06  svenhoefer  <svenhoefer@svenhoefer.com>

	- hdd_menu: fix c/p error

	- flashtool: allow type U (update-package)

2017-02-06  TangoCash  <eric@loxat.de>

	fix pre and post times, set menuentry for unavailable boxes inactiv

	dont ask which box, if just one is present.

2017-02-06  svenhoefer  <svenhoefer@svenhoefer.com>

	- hdd_menu: fix hd-idle/hdparm logic; fix small memleaks

2017-02-06  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	reduce impact of zapit/frontend_c.h header
	down from ~217 files to ~57...

	reduce impact of driver/pictureviewer.h header file
	before, more than 175 files depended on it, now it's about 35

	fb_accel: add backend for GL framebuffer

2017-02-05  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	fb_accel: add accelerated framebuffer for Nevis GXA chips

	neutrino: initialize api before setting up framebuffer

	fb_generic: fix blit2FB call

	framebuffer: add accelerator for STi framebuffer
	also add a generic helper class for other accelerated
	framebuffer implementations

	fb_generic: nicer debug output, remove dead code

2017-02-05  M. Liebmann  <git@tuxcode.de>

	movieplayer: Fix display filetime

2017-02-05  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	fb_generic: add fb_name member to identify fb implementation

	move gui/color.h includes from headers to cpp files

	fb_generic: add pointer for double-buffered fb

	fb_generic: remove all hardware specific code

	fb_generic: add stuff needed for compilation

	start modularizing framebuffer acceleration architecture
	This is just copied framebuffer.{h,cpp} => fb_generic.{h,cpp}
	The idea is to implement CFrameBuffer as generic framebuffer class that
	does work on almost every hardware without acceleration and / or
	hardware dependencies.
	CFbAccel will be a derived class (and different on many architectures)
	which implements the accelerated functions.
	This does not yet compile, verbatim copies to track development history.

	replace fontrenderer.h include with forward declaration
	in order to flatten the build dependency tree further, include
	fontrenderer.h directly where needed, in header files a forward
	declaration is enough

	replace framebuffer.h include with forward declaration
	instead of including framebuffer.h almost everywhere, replace it with
	class CFrameBuffer forward declarations and/or generic system includes.
	Add a hack to define fb_pixel_t to config.h (one reason for
	framebuffer.h includes was the fb_pixel_t define)

	remove unused fader.h

2017-02-04  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	flashtool: make CFlashVersionInfo robust against invalid input

	add --enable-fastscan configure option
	The #define in src/gui/scan_setup.h did not work (undefining
	ENABLE_FASTSCAN caused really strange side effects wrt background
	scanning in standby mode), and all the unused code was still built.
	With this configure option, people who really want this obscure feature
	can enable it for their builds.

	framebuffer/configure: remove unused --restore-prev-mode
	this is unused, untested and most likely not working at all

2017-02-04  M. Liebmann  <git@tuxcode.de>

	configure.ac: Fix freetype check

2017-02-02  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	configure.ac: use pkg-config to check freetype version
	the PKG_CHECK_MODULES macro allows to check for a version -- use it
	instead of homegrown TUXBOX_APPS_LIB_PKGCONFIG

2017-02-02  Thilo Graf  <dbt@novatux.de>

	Forms/header/clock: implement slot into OnBeforeRePaint

	CComponentsSignals: add signal OnBeforeRePaint

	Revert "CMenuWidget: ensure repaint of all header content if it is already painted"
	This reverts commit 97ed7cdaf74c7a539c792773541f5ac5e6608856.

	Revert "CChannelList: ensure repaint of new header content"
	This reverts commit ea700ddf525a0293c94c68bf084be426544dc34a.

2017-02-01  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	configure.ac: use pkg-config to check freetype version
	the PKG_CHECK_MODULES macro allows to check for a version -- use it
	instead of homegrown TUXBOX_APPS_LIB_PKGCONFIG

	Merge remote-tracking branch 'tuxbox/master'

	framebuffer_ng: fix gradient blit
	fixes https://github.com/neutrino-mp/neutrino-mp/issues/2,
	thanks satbaby

2017-02-01  Jacek Jendrzej  <satbaby@kawaii.com>

	try to fix loop rezap with lua script

2017-02-01  Thilo Graf  <dbt@novatux.de>

	Messages: add timeout parameter for error and info messages
	I'm not sure if it is a good idea to set a global timeout for
	all error messages. This should be decided for respective cases.
	Timeout for info messages should not be a problem.
	The default timeout is set here as global.

	CRecordManager: revert warn message for stream overflow
	It's an error not a warning!

	CRecordManager: remove static error messages
	Static message window expects user interaction but in this case user
	could be absent. and recordings could be running out of control.
	These messages are only warnings and "to slow" warning is optional.
	To avoid uncontrolled behavior of recordings, it should be enough to use messages with simple timeout.

2017-01-31  M. Liebmann  <git@tuxcode.de>

	configure.ac: bump revision to 3.4.1

2017-01-31  Thilo Graf  <dbt@novatux.de>

	CMenuWidget: ensure repaint of all header content if it is already painted
	TODO: 	This should be controlled inside header base class.
		paint() method seems suitable.
		I Will try to implement it soon.

	CVolume: replace repaintVolScale() with paint()
	paint() contains repaintVolScale()

	CVolumeBar: add missing paint() methode, avoid multiple iitem instances

	CVolumeBar: use OFFSET_INNER_SMALL instead static value for item offset

	CVolumeBar: use CORNER_RADIUS_MID
	cornerRad() is not really the best solution.
	Inner items are fit with full height and should use the same value.

	CVolumeBar: don't use digit height
	height is wrong and calculations for digit positions could be confused

	CMenuWidget: add missing hide() for details line
	Details_line was not removed in all constellations when menu was closed.
	Sample: open main menue and select an entry with connect-line, eg. plugins,
	press key to come into submenu, then go back to main menue and close
	menu with home key, result: it's possible that line is still on screen.

	CComponentsText: add signal OnBeforePaint into text paint() methode

	CComponentsText: add missing parameters to kill() methode

2017-01-31  M. Liebmann  <git@tuxcode.de>

	CVolumeBar: Enable background paint for digits

	configure.ac: Check freetype version >= 2.5.0

	CInfoViewer: Use flag Font::FULLBG for RenderString()
	dependent on g_settings.theme.infobar_gradient_*

2017-01-31  Thilo Graf  <dbt@novatux.de>

	CChannelList: ensure repaint of new header content

	CComponentsHeader: add missing paramters to kill methode

	CEventList: fix current channel position and ensure clean up header
	Current channel name was out of center and a clean up of header
	background was required because texts are only painted with transparent background and old texts are futher visible.
	Now we have a clean background before repaint logo or new channel names.

	CComponentsForm: remove debug spam

	CImageInfo: prevent possible overpainting while switching of sub text caption

	CInfoViewer: enable kill text items after killed title
	This causes repaint text on next view of infobar.

	CComponentsText: add explicit kill methode and add ct_force_text_paint
	After hide or kill text will does not paint without ct_force_text_paint,
	so it is required to add this.

	CComponentsExtTextForm: init with gradient support and sl_repaint slot

	CComponentsForm: add some usefull slots/signal to help paint backgrounds
	Requried to paint form items only on changed contents and on repaint

	CCDraw: add new attribut force_paint_bg
	should help for some repaint actions

	CComponentsText: fix order of paint init

	CTestMenu: fix icon container
	was not removed from screen

	Experimental try to rework isPainted()

	CTextBox: fix m_old_cText update after text paint
	refreshText() executes loop also for text with more than one line
	and m_old_cText attribut should be updated only if loop is ready. Otherwise
	in text boxes with more than one line, only first line would be painted.

2017-01-31  Thilo Graf  <dbt@novatux.de>

	CComponentsFrmClock: add slot to handle enforced repaint of segments
	If clock removed from screen and instance is not destroyed, then we must
	ensure repaint of segments after painted background.

	This is required if segments are only will paint if
	their content was changed and attribut ct_force_text_paint = false.

2017-01-31  Thilo Graf  <dbt@novatux.de>

	CCDraw: add signal OnAfterPaintBg

	CTextBox: rework return control of value of setText() function
	value was not clearly, hope i'ts now

	CTextBox: add attribut 'm_bg_painted'
	Shoul help in together with changed text content
	to control required text render.

	CTextBox: remove text reinit from reInitToCompareVar()
	Will be already done after each text render.

	CTextBox: paint bg always if pixbuffer exists
	Should prevent unintended possible overlap on multiple font render.

2017-01-31  M. Liebmann  <git@tuxcode.de>

	Remove obsolete 'contrast_fonts' code from osd menu

	screensaver: Use black background for the clock

2017-01-31  M. Liebmann  <git@tuxcode.de>

	fontrenderer: Rework rendering for better font presentation
	 - For the correct use of the changes should be built freetype
	   with the following settings:
	     #define FT_CONFIG_OPTION_SUBPIXEL_RENDERING
	     #define TT_CONFIG_OPTION_SUBPIXEL_HINTING

	BS-Patch for freetype 2.5-2.7
	-----------------------------
	** include/freetype/config/ftoption.h **

	-/* #define FT_CONFIG_OPTION_SUBPIXEL_RENDERING */
	+#define FT_CONFIG_OPTION_SUBPIXEL_RENDERING

	-/* #define TT_CONFIG_OPTION_SUBPIXEL_HINTING */
	+#define TT_CONFIG_OPTION_SUBPIXEL_HINTING

	BS-Patch for freetype 2.7.1
	---------------------------
	** include/freetype/config/ftoption.h **

	-/* #define FT_CONFIG_OPTION_SUBPIXEL_RENDERING */
	+#define FT_CONFIG_OPTION_SUBPIXEL_RENDERING

2017-01-31  Thilo Graf  <dbt@novatux.de>

	CTestMenu: fix blink of extended text sample

	CBuildInfo: move InitInfoItems() into exec()
	ensures paint of data on each repaint.

	CCDraw: simplified statement for blink init

	CComponentsLabel: Added missing overloaded counterpart to CComponentsText(parent) constructor.

	cc_types.h: remove obsolete type enums

	CComponentsText: fix wrong item type

	CComponentsHeader: fix order inside overloaded methode setCaption()
	Stop() was never touched with string version of setCaption()

2017-01-30  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	Merge remote-tracking branch 'tuxbox/master'

2017-01-30  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/components/cc_item_progressbar.cpp revert static

	some inits

	some inits

2017-01-30  Thilo Graf  <dbt@novatux.de>

	CMenuWidget: Forcing removal of details line during removing of hint box.

	CComponentsDetailLine: remove multiple init of cc_save_bg.
	Init is passed with paintFbItems() at the end of paint() methode.

2017-01-30  M. Liebmann  <git@tuxcode.de>

	src/gui/opkg_manager.cpp: Fix compiler warning

	CMoviePlayerGui: Bind enable/disable FileTime to enableInfoClock()

2017-01-29  svenhoefer  <svenhoefer@svenhoefer.com>

	- streaminfo2: add comment because of broken libcoolstream2 output

2017-01-29  GetAway  <get-away@t-online.de>

	- neutrino: fix umount of netfs-drives in ExitRun() function

2017-01-29  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	upkg_manager: comment out stale code

	opkg_manager: make error messages less cryptic
	the errno has nothing to do with the error that happened, so do not use
	it for the error message

	opkg_manager: add magic string to reset error flags
	... to be used by sytem-update script

	opkg_manager: make console output more useful

	opkg_manager: don't set error flag for shellwindow
	The shellwindow exits if the "ok" flag is set to false, aborting further
	execution of more commands. This hurts with system-update script.

	shellwindow: reduce update interval

	shellwindow: ensure text is set correctly and only when necessary

	shellwindow: use run_pty() instead of my_popen()

	textbox: fix output for BOTTOM mode
	If more text is added to a textbox than fits into the window, the last
	lines are stripped. In BOTTOM (and non-SCROLL) mode, it makes more sense
	to strip the first lines. This is used by shellwindow, e.g. in package
	management menu.

	helpers: add run_pty() function
	This runs an external command inside a pty. Running inside a pty,
	external commands using stdio(3) will disable stdout buffering when
	running from a terminal, which is often desirable.

	shellwindow: use time_monotonic_ms()

	opkg_manager: avoid the zombie apocalypse, use waitpid()

	opkg_manager: use system-update script if available
	opkg has several problems with complex system updates, especially when
	having to update itself and with the package ordering during update
	To avoid hard coding the workarounds into neutrino, just call a script
	named "system-update" (if available) instead of "opkg upgrade".
	This script can be tuned to the specific target and its problems.

	hintbox: restore proper handling of up/down keys
	When no scrollbar is present, just pass through up/down keys instead
	of only canceling the hintbox. This restores the behaviour before
	commit dde298b1b7.
	Prominent examle is the "channel not available" popup which prevented
	further channel switching until canceled.

2017-01-29  Jacek Jendrzej  <satbaby@kawaii.com>

	fix uninitialised values

2017-01-29  M. Liebmann  <git@tuxcode.de>

	install.sh: Preserve symlinks at update

2017-01-29  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	Merge remote-tracking branch 'tuxbox/master'

	upkg_manager: comment out stale code

	opkg_manager: make error messages less cryptic
	the errno has nothing to do with the error that happened, so do not use
	it for the error message

	opkg_manager: add magic string to reset error flags
	... to be used by sytem-update script

	opkg_manager: make console output more useful

	opkg_manager: don't set error flag for shellwindow
	The shellwindow exits if the "ok" flag is set to false, aborting further
	execution of more commands. This hurts with system-update script.

	shellwindow: reduce update interval

	shellwindow: ensure text is set correctly and only when necessary

2017-01-28  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	shellwindow: use run_pty() instead of my_popen()

	textbox: fix output for BOTTOM mode
	If more text is added to a textbox than fits into the window, the last
	lines are stripped. In BOTTOM (and non-SCROLL) mode, it makes more sense
	to strip the first lines. This is used by shellwindow, e.g. in package
	management menu.

	helpers: add run_pty() function
	This runs an external command inside a pty. Running inside a pty,
	external commands using stdio(3) will disable stdout buffering when
	running from a terminal, which is often desirable.

	shellwindow: use time_monotonic_ms()

2017-01-28  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/lua/lua_curl.cpp set dumb cookie for dumb 403 forbidden

2017-01-28  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	opkg_manager: avoid the zombie apocalypse, use waitpid()

	opkg_manager: use system-update script if available
	opkg has several problems with complex system updates, especially when
	having to update itself and with the package ordering during update
	To avoid hard coding the workarounds into neutrino, just call a script
	named "system-update" (if available) instead of "opkg upgrade".
	This script can be tuned to the specific target and its problems.

2017-01-28  max_10  <max_10@gmx.de>

	- edvbstring: fix utf8 encoding, thx DboxOldie

2017-01-26  Jacek Jendrzej  <satbaby@kawaii.com>

	movieplayer dont chache last realurl for lua script

2017-01-24  svenhoefer  <svenhoefer@svenhoefer.com>

	CTextBox::refreshText: Fix flags for RenderString() v2.0; thx to DboxOldie

2017-01-22  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	hintbox: restore proper handling of up/down keys
	When no scrollbar is present, just pass through up/down keys instead
	of only canceling the hintbox. This restores the behaviour before
	commit dde298b1b7.
	Prominent examle is the "channel not available" popup which prevented
	further channel switching until canceled.

	Merge remote-tracking branch 'tuxbox/master'

2017-01-21  GetAway  <get-away@t-online.de>

	gcc-6.2 compil fixes

	fix -Werror=misleading-indentation with newer compiler

2017-01-20  M. Liebmann  <git@tuxcode.de>

	CTextBox::refreshText: Fix flags for RenderString()

2017-01-13  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/movieplayer.cpp try to fix livestreamInfo

2017-01-11  Jacek Jendrzej  <satbaby@kawaii.com>

	fix readepg from sectionsdcontrol :supplement to  d2ef5030283dfb01de994f2b24cdd3a410062144 new try

2017-01-11  Sven Höfer  <svenhoefer@svenhoefer.com>

	Merge pull request #7 from Pr0metheus2/patch-1
	Update slovak.locale

2017-01-11  Thilo Graf  <dbt@novatux.de>

	CHintBox: add possibility to left hintbox with RC_up and RC_down
	RC_up and RC_down are used for text scroll, but most message texts
	are small and no scroll mode is required. In case of large texts
	it should falling back to scroll mode.

2017-01-11  Andrej Tobola  <andrej.tobola+gifthub@gmail.com>

	Update slovak.locale

	Update slovak.locale

	Update slovak.locale
	New update, is it submitted in correct way?

2017-01-09  Thilo Graf  <dbt@novatux.de>

	CComponentsFrmClock: add missing reinit

	CComponentsFrmClock: disable digit height
	Using of digit height is not really required here.
	eg. better centering

2017-01-09  Sven Höfer  <svenhoefer@svenhoefer.com>

	Merge pull request #5 from Ezak91/master
	add entry to load saved epg data manual

2017-01-09  Marc Szymkowiak  <marc.szymkowiak91@googlemail.com>

	add entry to load saved epg data manual

2017-01-08  Thilo Graf  <dbt@novatux.de>

	CVolumeHelper: fix info clock position after changed clock osd settings
	After increased clock height settings, position of infoclock was wrong.
	Old font instance and old width were not changed related to new instance.

	TODO: 	It works but procedure with helper class seems is rather elaborate
		and should be thoroughly revised.
		I recommend callbacks via native type save signal/slot handler.

2017-01-08  Thilo Graf  <dbt@novatux.de>

	CComponentsFrmClock/CInfoClock: simplify font init

2017-01-05  Thilo Graf  <dbt@novatux.de>

	CHintBox: add overloaded version of setMsgText() with locale parameter

	CHintBox/CMsgBox: reduce minimal dimensions
	Better display for smaller texts.

	CComponentsFooter: optimize button position and size
	Buttons are now smaller so it should be enough, to center only, if not
	please report.

	CComponentsFooter: fix default button font type
	Deafult buttonfont is FONT_TYPE_BUTTON_TEXT not FONT_TYPE_MENU_FOOT

	CComponentsButton: try to fix fallback for font size
	Some conditions were not catched.

	CBEChannelWidget/CBEBouquetWidget: use explicit footer font
	Default button font type in footer is button text type and not footer font.
	Faces of buttons are still disabled and not visible here,
	therefore this should be ok at the moment.

	CComponentsButton: fix height comparsion
	comparsion with itself

2017-01-05  Thilo Graf  <dbt@novatux.de>

	fontrenderer.cpp: Use additional percentage height offset.
	Different font types could have different glyph heights,
	Therfore static values seems not really senseful.
	eg. chars like ÄÁÂÅÈÉÊËÌÍÎÏÑÒÓÕÖÙÛÜÝ could paint over defined height,

	Note: 	However, depending of implementations, the font image may change.
		Most likely this must be adapted to some parts.

2017-01-05  Thilo Graf  <dbt@novatux.de>

	CMovieBrowser: fix possible compiler warning
	-misleading-indentatio

	CNeutrinoApp: try to fix display intro settings message
	Message was not really visible on startup. Contents of InitZapper()
	seems to have prevented this.

2017-01-05  svenhoefer  <svenhoefer@svenhoefer.com>

	- locale: update slovak; thx to Pr0metheus

2017-01-03  M. Liebmann  <git@tuxcode.de>

	src/driver/pictureviewer/png.cpp: Fix -Wclobbered compiler warning

2017-01-03  Jacek Jendrzej  <satbaby@kawaii.com>

	src/timerd/timermanager.cpp dont unlock on other errors

	src/eitd/edvbstring.cpp init array

2017-01-02  svenhoefer  <svenhoefer@svenhoefer.com>

	- infoviewer_bb: use OFFSET defines in getBBIconInfo()

2017-01-01  M. Liebmann  <git@tuxcode.de>

	src/driver/pictureviewer/png.cpp: Add support for gray scale PNGs...
	...with alpha channel

2016-12-30  Thilo Graf  <dbt@novatux.de>

	CComponentsButton: try to fix font size in buttons
	Some text in button chains had different font sizes. To see in some
	Messageboxes.

	CComponentsHeader/CComponentsFooter: prevent crash on changed font settings
	Default fonts for header and footer must be handled too.
	After font settings changes these objects could be invalid.
	Default fonts have invalid pointers after font changes too. Extra reset is required.

	CComponentsWindow: use FONT_TYPE_BUTTON_TEXT instead FONT_TYPE_MENU_FOOT
	Buttton text is not the same like footer text.

	CComponentsTimer: try to fix possible uncanceled thread

	locales: add locales for buttontext settings
	supplement to: 0bf74271652982ff69f378589ee3b8409dce003f

2016-12-30  Thilo Graf  <dbt@novatux.de>

	settings: add explicit button font
	Fonts for menu foot and button font are not not necessarily the same thing.

	TODO: locales

2016-12-30  Thilo Graf  <dbt@novatux.de>

	CComponentsHeader: declare l_font, s_font as global
	Useful for init in header sub classes. So its possible to use
	other prefined size mode fonts

	CComponentsButton: rename cc_btn_capt -> cc_btn_text
	More plausible

2016-12-30  Jacek Jendrzej  <satbaby@kawaii.com>

	supplement to 853c0d1b6835d132bd774335969d5e76d2073fde

2016-12-30  svenhoefer  <svenhoefer@svenhoefer.com>

	- streaminfo2: just code cosmetics; no binary changes

2016-12-29  Jacek Jendrzej  <satbaby@kawaii.com>

	some dead assignment

	some dead assignment

	src/timerd/timermanager.cpp fix double locking

	src/zapit/src/fastscan.cpp avoid out of bounds

2016-12-29  svenhoefer  <svenhoefer@svenhoefer.com>

	Revert "- moviebrowser: fix crash; disable non-existing movie directories"
	This reverts commit 615c4f360a6933cef5cfc5efd68b91e6006c4b3b, because
	this forces user to re-enable these directories manually.

	- themes: allow progressbar-settings in themes

2016-12-27  Thilo Graf  <dbt@novatux.de>

	CStringInput: unify init handler inside constructors, fix message title
	Alternative solution for: remove possible display of NONEXISTANT_LOCALE
	4e853d98c2b2b289f0dce1c7dc9fed53eb317ce1

	Locales are used for setting keys and passed with notifies for
	observer objects. It seems this is not really a good idea in some
	constellations.

2016-12-27  Thilo Graf  <dbt@novatux.de>

	Revert "CStringInput: remove possible display of NONEXISTANT_LOCALE"
	This reverts commit 4e853d98c2b2b289f0dce1c7dc9fed53eb317ce1.

	Conflicts:
		src/gui/widget/stringinput.cpp

2016-12-27  Thilo Graf  <dbt@novatux.de>

	CComponentsTimer: disconnecting slots before stop timer thread, show error
	Disconnecting of slots before stop threads ensures disconnecting
	also on thread errors and keeps timer slots clear.

	CMsgBox: remove debug output
	Not longer required.

2016-12-27  svenhoefer  <svenhoefer@svenhoefer.com>

	- osd-setup: allow higher osd-timeouts; up to 240 sec. now

	Revert "fix readepg from sectionsdcontrol"
	This reverts commit d2ef5030283dfb01de994f2b24cdd3a410062144.

2016-12-26  Jacek Jendrzej  <satbaby@kawaii.com>

	supplement to a0f0df7f1746f547798c0261751bbcdff7202002

2016-12-26  TangoCash  <eric@loxat.de>

	fix readepg from sectionsdcontrol
	to avoid permanently change of epd_dir, this would break epg read
	frequently function

2016-12-24  Jacek Jendrzej  <satbaby@kawaii.com>

	widget/stringinput: fix compare

2016-12-23  Sven Höfer  <svenhoefer@svenhoefer.com>

	Merge pull request #4 from Ezak91/master
	fix link to developer forum

2016-12-23  Thilo Graf  <dbt@novatux.de>

	CKeyboardInput: remove possible display of NONEXISTANT_LOCALE
	This should fix possible incorrect titles with content of
	NONEXISTANT_LOCALE with lua script handler

	CStringInput: remove possible display of NONEXISTANT_LOCALE
	This should fix possible incorrect titles with content of
	NONEXISTANT_LOCALE with lua script handler

	megbox.cpp/h: add overloaded version of ShowMsg() with string/locale combination
	Constellation was missed.

	menue.cpp: CChangeObserver add overloaded changeNotify() with string param

2016-12-23  Marc Szymkowiak  <marc.szymkowiak91@googlemail.com>

	fix link to developer forum

2016-12-22  Thilo Graf  <dbt@novatux.de>

	CMenuWidget: add menu name reinit
	Ensures correct display of menu name while runtime.
	For example: it's required on changed language settings, otherwise we have
	old language in menu head.

2016-12-22  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/lua/lua_curl.cpp ACCEPT_ENCODING for gzip compressed data, need build libcurl with --with-zlib

2016-12-22  Thilo Graf  <dbt@novatux.de>

	CHintBox: small cosmetics for initial positions
	This should have no effect, because calculation of position and dimensions
	is mostly dependency from message text. So this is only formality.

2016-12-22  Thilo Graf  <dbt@novatux.de>

	partial revert: "CTextBox: expand parameters of member setTextBorderWidth()"
	related commit: 153d2f3c784ec72af77b979a362f6db33ddd79d6

	Since this commit, TextBox received a lot of optimizations, so it is possible
	we have no described side effects.

2016-12-21  Thilo Graf  <dbt@novatux.de>

	CTextBox: More precise function description
	Note: 	In this context i noticed, it seems method getRenderWith()
		in Fontrender class returns wrong values with
		BOLD font types. It would be nice if anybody could
		verify this possible bug. If I see that correctly,
		we should fix this.

	CVolumeHelper: remove unnecessary reinit of font
	Is already done in previous block.

2016-12-21  TangoCash  <eric@loxat.de>

	volumebar font reset after change (thx dboxoldie)
	to avoid segfault


	picked from Duckbox-Developers/neutrino-mp-cst-next
	4365761b2a47e12666154821c2ce982f74ef0627

	needs supplements

2016-12-20  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/timerlist.cpp init changed

	lib/libtuxtxt/tuxtxt_common.h fix out of bounds

2016-12-20  svenhoefer  <svenhoefer@svenhoefer.com>

	- cc_frm_scrollbar: use SCROLLBAR_WIDTH define

	- menue: use SCROLLBAR_WIDTH define

	- settings-h: add SCROLLBAR_WIDTH define

2016-12-18  svenhoefer  <svenhoefer@svenhoefer.com>

	- personalize: pluralize 'usermenu' item; these are 'usermenus'

2016-12-18  Thilo Graf  <dbt@novatux.de>

	CComponentsHeader: ensure to have correct font instances after changed font
	On possible changed font settings, font objects can be invalid and
	we have a crash. With this fix it's possible, that
	CNeutrinoApp::setupFont() method clean up header font object itself.

2016-12-18  svenhoefer  <svenhoefer@svenhoefer.com>

	- screensaver: fix clock positions

2016-12-17  Thilo Graf  <dbt@novatux.de>

	CTestMenu: edd expanded sample for blinking items with syncroinized effect

	CCDraw: add overloaded version of paint Blink()
	It's useful to have synchronized timer for more than one item.

	CMenuWidget: add external methode to paint scrollbar

2016-12-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- moviebrowser: reset filter at startup if filter-directory not exists ...
	to avoid a wrong display in footer

	- moviebrowser: fix crash; disable non-existing movie directories

	- locale: right names for timerlist repeat-hints

	- cc_frm_scrollbar: fix offsets; use OFFSET defines

	- cc_frm_scrollbar: set default height to 0

	- helpbox: avoid artificially offsets

	- cc_frm: avoid artificially offsets

2016-12-15  Thilo Graf  <dbt@novatux.de>

	CCDraw: reduce debug spam

	CComponentsScrollBar: fix pos and use current width to set height of arrows
	This fix size and position and dimensions of arrows.

	CComponentsScrollBar: use corner settings for scrollbar body

	CComponentsScrollBar: add easy to handle scrollbar methode

2016-12-15  svenhoefer  <svenhoefer@svenhoefer.com>

	- doc: remove outdated ir.html

	- doc: remove outdated nhttpd changelog

	- move nhttdp-documentation to /doc-directory

	- configure.ac: sort Makefiles alphabetically

	- yWeb: move data from /src to /data

	- yWeb: fix extentions-url to (still empty) gui-yweb repository

2016-12-14  Thilo Graf  <dbt@novatux.de>

	CNeutrinoApp: simplify shutdown message handling
	Usage of only one cancel button is more plausible.
	'cancel' means cancel this action. And not more!

	CComponentsHeader: fix font and height handling
	Font was not changeable. setCaptionFont() was without effect.

2016-12-13  svenhoefer  <svenhoefer@svenhoefer.com>

	- usermenu: add brackets to code; fix compilation

	- settings.h: completion of e0f860664c85af8e1138f5f8bad2a045f961864f

	- usermenu: sort/cleanup code by items; just code cosmetics

2016-12-12  Thilo Graf  <dbt@novatux.de>

	CHintBox: fix timeout comparsion
	default timeout was not defined

	CRecordManager: use default timeout from settings

	CNeutrinoApp: use default timeout from settings

2016-12-12  Jacek Jendrzej  <satbaby@kawaii.com>

	fix next epginfo and sat/freq info for webtv

2016-12-12  svenhoefer  <svenhoefer@svenhoefer.com>

	- infoviewer_bb: remove broken code around left/right handling in ca_bar
	This code wasn't used anymore since years.

	- channellist: try to fix right status-icon alignment

2016-12-11  GetAway  <get-away@t-online.de>

	pzapit: add -lockrc/-unlockrc options; port from martii
	I've pulled it from Duckbox-Developers/neutrino-mp-cst-next
	and modified it to work

2016-12-10  Thilo Graf  <dbt@novatux.de>

	CTestMenu: add sample to visualize current running records

2016-12-09  Thilo Graf  <dbt@novatux.de>

	CTextBox: try to fix getMaxLineWidth() methode
	If found no linebreak, return value could be too small.
	Space char simulates a line termination as a workaround to get
	largest possible width.

2016-12-09  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/osd_setup.cpp fix menu item (possible segfault)

2016-12-08  svenhoefer  <svenhoefer@svenhoefer.com>

	- msgbox: remove obsolete include

	- settings.h: add OFFSET_INNER_NONE define

	- widgets: remove obsolete drawable wrapper sources

2016-12-08  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/timerlist.cpp dont check empty timerlist

2016-12-08  svenhoefer  <svenhoefer@svenhoefer.com>

	- timerlist: remove menu button from footer; is available in header too

2016-12-08  Thilo Graf  <dbt@novatux.de>

	CTimerList: remove timeout for delete warning
	Timeout for deletions are not a really good idea. This should be
	controlled by user and it should be durable visualized what
	he just is doing.

	CMsgBox: rework result values
	Makes it possible to use bit operators. Current available
	compare operations still should be compatible.
	In case not please report to fix!

	Message timeout: try to fix timeout defines
	Some parameters were confused.

	CCDraw: try to avoid rendering with bad dimensions

2016-12-08  svenhoefer  <svenhoefer@svenhoefer.com>

	- bouquetlist: fix round corners of selected item

2016-12-07  svenhoefer  <svenhoefer@svenhoefer.com>

	- bouquetlist: fix initialisation of empty sting

	- rename BUTTON_TOP to BUTTON_UP; it isn't a top-button

	- bouquetlist: add "menu", "left" and "right" context buttons to header

	- cc_frm_header: show left button before the right one

	- icons: move icons into categorized subdirectories

2016-12-06  Jacek Jendrzej  <satbaby@kawaii.com>

	src/zapit/src/femanager.cpp init sat_config_t delsys

2016-12-06  Thilo Graf  <dbt@novatux.de>

	CMovieBrowser: remove context menu button
	I forgot, it's already in footer

2016-12-06  TangoCash  <eric@loxat.de>

	cc_frm correct scroll direction if more than 2 pages (thx dbo)

	picked from:
		github.com/TangoCash/neutrino-mp-cst-next
	commit:
		abce1c6be4bae17f343d3ff878670184708aa185

2016-12-06  Thilo Graf  <dbt@novatux.de>

	CMovieBrowser: add missing context buttons
	No user can see anything about available submenu and help window,
	because access to help via submenu is not longer possible
	since 21ed22cb6e8aab99ec66fefcdeda17659f4a95e9

2016-12-06  svenhoefer  <svenhoefer@svenhoefer.com>

	- eventlist: fix icon-alignment ...
	some small text-alignment fixes; use OFFSET defines

2016-12-05  M. Liebmann  <git@tuxcode.de>

	MoviePlayer: Rework enable/disable of osd time, file time and mute icon

	Sort locales

2016-12-05  svenhoefer  <svenhoefer@svenhoefer.com>

	- locale: typo; we shouldn't open Manu XD

	- locale: more movieplayer additional help text

	- helpbox: allow multi-line lines

2016-12-05  Thilo Graf  <dbt@novatux.de>

	Helpbox: add doc
	Doc was missed.

2016-12-05  svenhoefer  <svenhoefer@svenhoefer.com>

	- movieplayer: rework help; use rc_help to show help

	- helpbox: fix height of CComponentsText element

	- helpbox: fix icon alignment

2016-12-04  svenhoefer  <svenhoefer@svenhoefer.com>

	- moviebrowser: rework help ...
	* remove from menu; this breakes menu's logic (rc_help is to switch hints)
	* use rc_help to show help window
	* rework content

	- helpbox: some reworks ...
	* rename line_space to line_height
	* separators uses half line height
	* add getLineHeight() function
	* small cleanups

2016-12-04  Jacek Jendrzej  <satbaby@kawaii.com>

	src/timerd/timermanager.cpp sruct variable init

2016-12-04  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	configure: fix package name

	CCFooter::setButtonLabels: fix format-string warning

	Merge remote-tracking branch 'tuxbox/master'

2016-12-04  svenhoefer  <svenhoefer@svenhoefer.com>

	- helpbox: bind gradient of separatorline to user's setting

	- moviebrowser: fix mute-icon and "Change view" keys in helpbox

2016-12-02  Thilo Graf  <dbt@novatux.de>

	Messages: add localized osd timeout option for interactive/static messages
	TODO: add locales for hints

2016-12-02  svenhoefer  <svenhoefer@svenhoefer.com>

	Message Timeouts: add possibilty to change timeout for static messages

2016-12-02  M. Liebmann  <git@tuxcode.de>

	MoviePlayer: Disable InfoClock and FileTime when view movieinfo

	CLuaInstVideo::PlayFile: Infoviewer was not displayed when InfoFunc was set
	 - Fix commit 1aee964c14809a4008e5ad8ed8f26c984ec2e580
	 - Set Lua api version to 1.68

2016-12-01  Thilo Graf  <dbt@novatux.de>

	CComponentsWindow: fix window body color
	Color parameter was not passed to body. Parameters in constructor and
	setters had no effect.

2016-12-01  M. Liebmann  <git@tuxcode.de>

	CLuaInstCCText: Add various script functions
	 getLines()
	 getLines(test)
	 setDimensionsAll(x, y, w, h)

	 - Set Lua api version to 1.67

2016-12-01  M. Liebmann  <git@tuxcode.de>

	lua: Fix InfoFunc for displaying information in the movieplayer
	 - Fix for commit 644ab188442ac3aef93a5127f6fb98a9205a42ff
	 - Set Lua api version to 1.66

2016-11-30  svenhoefer  <svenhoefer@svenhoefer.com>

	- bouqueteditor: fix icon alignment

2016-11-29  Thilo Graf  <dbt@novatux.de>

	CMsgBox: reduce flicker effects with single button
	Disabled refresh avoids unnecessary repaints with possible flicker effects
	on pressed navi keys.

2016-11-29  Thilo Graf  <dbt@novatux.de>

	CComponentsFooter: fix wrong text color with single button in footers
	* remove size compare

	If only one button exists, possible new text color would be ignored
	and wrong Text color was visible with one item.
	This behavior was observed in message boxes with
	single buttons (eg OK, or Cancel).

2016-11-28  Thilo Graf  <dbt@novatux.de>

	CComponentsFooter: disable gradient for footers
	This is not really completly implemented for footer at the momemnt, because
	button objects are still not prepared or tuned for that.

	If it is enabled, currently it could occur unintentionally background behavior
	eg.: flickereffects or background display errors in button objects.

	NOTE:  anyway users can enable gradient in theme files and could override this setting.
	Now here it is globally disabled for footers. If it works right,
	it will be enabled in future.

2016-11-28  Thilo Graf  <dbt@novatux.de>

	CImageInfo: remove CC_APPEND
	Should not be used in the future.

	CTextBox: use CORNER_NONE as default corner mode
	CORNER_ALL is not the same like CORNER_NONE.
	Could cause problems in the evaluation.

	CBuildInfo: add missing default font

	CComponentsExtTextForm: rework class overloading
	class CComponentsExtTextFormLocalized is not required.

	CComponentsText: revert inheritition of CBox, useage as object
	It has shown, that the positioning and
	Dimensions calculations are not correct. CBox object must be embedded
	with frame properties.

2016-11-27  M. Liebmann  <git@tuxcode.de>

	CHintBox/CMsgBox: Add default icon for header (NEUTRINO_ICON_INFO)

2016-11-25  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/widget/keyboard_input.cpp -add direkt digikey pressed

	supplement to a8ea7c60d50d39087866df61df56881d44ebdb7e

2016-11-24  svenhoefer  <svenhoefer@svenhoefer.com>

	- enable epg-scan while audioplayer, movieplayer, pictureviewer and
	upnp-browser runs

2016-11-24  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/widget/menue.cpp try to fix widget segfault menu with keyboard and background restore

2016-11-23  Thilo Graf  <dbt@novatux.de>

	CComponentsItem: fix possible negativ value for box radius
	If frame width > 0 and radius too small, we have an negative value.
	This should prevent this.

	CComponentsWindow: remove default values from internal init method
	Is not really required for this private member.

	CRecordManager: add methode to get internal rec map
	Useful for access to current record data.

2016-11-22  M. Liebmann  <git@tuxcode.de>

	Add missing locale
	 - Supplement to commit 6cd5dd8e23f55954070f22c719417d9755dd4f91
	   and 8b97f72ed1e1e8ad3430dec98f772f011f5dba27

	Sort locale

2016-11-22  Thilo Graf  <dbt@novatux.de>

	Messages: move window to top of screen
	User request.

	CHintBox: fix missing shadow for popups
	Must be enabled with enum, bool has no effect.

	Messages: try to fix API message handling
	Passed timeout for messeages an popup's fired by yWeb API was not really
	ok.
	For popups now we have a setting with default value of 6 seconds timeout
	Popups fired with ShowHint() use this as default. Value of 0 and -1
	are ignored.
	Messages fired with ShowMsg() should be fixed and interpret
	value 0 or -1 as no timeout and will remain on the screen.

2016-11-21  Thilo Graf  <dbt@novatux.de>

	CTextBox: try to fix possible background artefacts in transparent mode
	supplement to: - textbox: fix box width in round corners mode
	Radius was always subtracted in all text modes.

	TODO: value of m_nBgRadius itself is not considered at the moment.

2016-11-21  Thilo Graf  <dbt@novatux.de>

	CComponentsInfoBox: add methode to get internal picture object

	CComponentsFrmClock: ensure that no radius is defined for inner items
	Radius is not required for inner segments.
	TODO: single segment

2016-11-21  svenhoefer  <svenhoefer@svenhoefer.com>

	- locale: use german "usw." instead of "etc."

	- locale: fix "/" usage

	- locale: remove "CST" strings

	- locale: right case for LEDs

	- locale: fix usage of ampersand; it's not an "and"-replacement

	- locale: fix usage of ellipses

	- update: fix evaluation of int newfound

2016-11-20  Thilo Graf  <dbt@novatux.de>

	CTestMenu: add form sample

	CNeutrinoApp: simplify and fix hintbox calls
	Some hints were not closed after delete. Explicit hide()is required.

	CUpnpBrowserGui: simplify hintbox calls

	cTmdb: simplyfy hintbox calls

	showFastscanDiseqcSetup: simplify hintbox calls

	COPKGManager: simplify hintbox calls

	CMovieBrowser: simplify and fix hintbox calls
	Some hints were not closed. Explicit hide() is required.

	CNetworkSetup: simplify hintbox calls

	CHDDMenuHandler: simplify and fix hintbox calls
	Hints were not closed after lost scope. Explicit hide() is required.

	CFavorites: simplify hintbox calls

	CBEBouquetWidget: simplify hintbox calls

2016-11-20  TangoCash  <eric@loxat.de>

	add option to read saved epg data frequently

2016-11-20  Thilo Graf  <dbt@novatux.de>

	CComponentsFooter: use select/unselect colors from menues as default

	CMsgBox: enable button background as default

	CComponentsFooter: use minimal frame width as default for buttons

	CCDraw: add function for blink effect for cc items
	NOTE: experimental, for examples see CTestMenu class

	CComponentsFooter: add parameter for frame width for selected buttons
	Frame width was hard coded.

2016-11-20  Thilo Graf  <dbt@novatux.de>

	Messages: add option to change size of message text
	Include default size and localized setup.

	TODO: localize for nederlands and slovak, current english only.

2016-11-19  Thilo Graf  <dbt@novatux.de>

	CSignalBar: remove offset for signal name and remove right allignment
	Text have more space, otherwise it's possible it can be truncated.
	Indent from left site of text don't looks not so good.

2016-11-19  TangoCash  <eric@loxat.de>

	deactivate timer epg autoadjust until fixed and tested

	[timers] fix start timers

2016-11-18  Thilo Graf  <dbt@novatux.de>

	Merge branch 'pu/msgbox into master'
	Rework hintbox and messagebox as derived classes with cc window functionality.
	Details for structure and how it works to find under

	  http://www.tuxbox-neutrino.org/widget/html/annotated.html

2016-11-18  TangoCash  <eric@loxat.de>

	[timermanager] fix stop recordings

2016-11-18  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/moviebrowser/mb.cpp fix clean bookmarks

2016-11-18  TangoCash  <eric@loxat.de>

	[timermanager] fix stop recordings

2016-11-18  Thilo Graf  <dbt@novatux.de>

	prepare revision, bump version to 3.4.0

2016-11-18  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/moviebrowser/mb.cpp fix clean bookmarks

2016-11-18  Thilo Graf  <dbt@novatux.de>

	Locales: use generic gui name in messages and windows

2016-11-17  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox

2016-11-17  TangoCash  <eric@loxat.de>

	fix moviebrowser detailsline

2016-11-17  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/moviebrowser/mb.cpp fix bookmark Menu

2016-11-17  svenhoefer  <svenhoefer@svenhoefer.com>

	- moviebrowser: resort movie info update menu

	- moviebrowser: resort movie info menu

	- moviebrowser: more clarity in bookmark menu

	- moviebrowser: use red key to remove all user bookmarks

	- locale: small changes in moviebrowser's bookmark locales

	- moviebrowser: fix input for end mark and lastplay mark

2016-11-16  TangoCash  <eric@loxat.de>

	Merge pull request #3 from neutrino-mp/master
	move linux-dvb-headers out of the way for non-coolstream hardware

2016-11-16  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	make sure the private dvb headers are used on coolstream

2016-11-16  TangoCash  <eric@loxat.de>

	timermanager: try fix autoAdjustToEPG for (repeating) timers

2016-11-16  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	disable private copy of the linux dvb headers
	Move them into subdir private so that they are no longer used by
	default. They still can be used by extending the include path.

2016-11-16  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/channellist.cpp cancel paint_events thread on hide

2016-11-15  TangoCash  <eric@loxat.de>

	- timermanager: disable autoAdjustToEPG for repeating timers

2016-11-15  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox
	Conflicts:
	    	src/gui/followscreenings.cpp

	CInfoViewer: add missing shadow for timescale
	enableShadow() needs enum option.

2016-11-14  svenhoefer  <svenhoefer@svenhoefer.com>

	- followscreenings: allow to turn off followscreenings list

2016-11-14  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox

2016-11-14  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/widget/menue.cpp try fix hide info_box (in channellist)

2016-11-14  svenhoefer  <svenhoefer@svenhoefer.com>

	- moviebrowser: add PREVPLAYDATE/RECORDDATE sort buttons to footer

2016-11-13  Thilo Graf  <dbt@novatux.de>

	CMovieBrowser: unfify and reduce flicker effects of connect line
	Connectline object can handle hide behavior itself.

	Merge branch 'master' into pu/msgbox

2016-11-13  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	zapit: fix "comparison is always false" warnings
	demux Start() Stop() and pesFilter() are bool, so comparing < 0 really
	does not make sense.

	driver: use newer ffmpeg API
	Reduce the "deprecated function" warnings a bit when compiling against
	recent ffmpeg releases. Just the drop-in-replacement "av_packet_unref"
	which works with both old and new ffmpeg versions.
	The other stuff needs rewrites which are not compatible with all ffmpeg
	releases :-(

	timermanager: fix -Waddress warning with newer gcc
	The address of Events (wich is checked against NULL) can never be NULL,
	because Events is passed by reference.

	neutrinoyparser: fix string literal warning with newer gcc

2016-11-12  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox

2016-11-12  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	zapit: fix "comparison is always false" warnings
	demux Start() Stop() and pesFilter() are bool, so comparing < 0 really
	does not make sense.

	driver: use newer ffmpeg API
	Reduce the "deprecated function" warnings a bit when compiling against
	recent ffmpeg releases. Just the drop-in-replacement "av_packet_unref"
	which works with both old and new ffmpeg versions.
	The other stuff needs rewrites which are not compatible with all ffmpeg
	releases :-(

2016-11-12  svenhoefer  <svenhoefer@svenhoefer.com>

	- moviebrowser: limit cover to one third of m_cBoxFrameInfo1 width

	- cc_item_picture: reset keep_aspect variables after use

	- moviebrowser: fix MB_INFO_SPACER's empty content

2016-11-12  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	timermanager: fix -Waddress warning with newer gcc
	The address of Events (wich is checked against NULL) can never be NULL,
	because Events is passed by reference.

	neutrinoyparser: fix string literal warning with newer gcc

	Merge remote-tracking branch 'tuxbox/master'

2016-11-12  Thilo Graf  <dbt@novatux.de>

	CFileBrowser: use mbrYes as default selection
	TODO: 	Re-evaluate the logic of current used messages with risky actions
		and adjust the buttons accordingly.
	Reason: <yes> is now as default assigned to green button (traffic light principle), and we use stricktly
		the order of colors from remote control (r,g,g,b), but in some cases
		it is useful to assign the <Yes> button to red for risky actions.

	CHintBox: update ascII scheme

2016-11-11  Thilo Graf  <dbt@novatux.de>

	CHintBox: remove center text mode on used picon

	CHintbox: enlarge possible max height
	Better use of available screen size for many lines

	CHintBox: try to fix truncated chars
	Last chars were truncated. Indent and titel text were not considered.

	Merge branch 'master' into pu/msgbox

2016-11-11  svenhoefer  <svenhoefer@svenhoefer.com>

	- moviebrowser: reset m_pcInfo1 box to default height, ...
	when turning m_settings.browserAdditional off

	- locale: small changes in moviebrowser locales

	- moviebrowser: show sorting menu; displays only available options

	- moviebrowser: remove obsolete strReplace() function

	- eventlist: allow windows size changes w/o neutrino restart

2016-11-11  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox

	CMenuWidget: move signal before render methodes
	At start of methode, unusual behavior could occur.

2016-11-11  svenhoefer  <svenhoefer@svenhoefer.com>

	- eventlist: allow gradient/radius changes w/o neutrino restart

	- eventlist: fix right textbox in header; last char was not displayed

2016-11-10  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/epgview.cpp reset header height to single size

2016-11-10  Thilo Graf  <dbt@novatux.de>

	CTestMenu: add sample for hintbox with timeout

	CHintBox: optimize dynamic window width bahavior on different line sizes
	Width calculation is now depends on largest line of text.

	CTextBox: add static function to get largest line of passed text
	This could be useful eg. for size calculations.

	CHintBox/CMsgBox: rework text handling and dynamic size behavior

	CHintBox: add member to get maximal required width

	CTextBox: add static function to get count of lines from passed text
	I'm missing a function that returns current line count outside
	of a CTextBox object. This could be useful eg. for size calculations
	before object init etc

	Merge branch 'master' into pu/msgbox
	Conflicts:
		src/gui/moviebrowser/mb.cpp

	CMenuTarget: outsource CMenuTarget-class
	It's required for some inheritations into other classes if include
	of menue.h is not wanted

2016-11-09  Thilo Graf  <dbt@novatux.de>

	CTimerList: add menu context button to header
	Not to see that we have a possible submenu.

2016-11-09  svenhoefer  <svenhoefer@svenhoefer.com>

	- controlapi: fix compiler warning
	error: declaration of 'channel_id' shadows a previous local

	- controlapi: add epg_id to several outputs; add /control/getepgid
	* /control/getepgid[?format=plain|json|xml]

2016-11-09  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox
	Conflicts:
		src/gui/timerlist.cpp

2016-11-08  svenhoefer  <svenhoefer@svenhoefer.com>

	- epgview: use small vertical offset around channellogo; ...
	more intensive use of offset defines

	- infoviewer: use small vertical offset around channellogo

	- eventlist: use small vertical offset around channellogo

	- channellist: use small vertical offset around channellogo

	- moviebrowser: simplify channellogo scaling code

	Merge branch 'master' into pu/moviebrowser

	- channellist: fix epg for webtv channels

2016-11-07  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/osd_setup.cpp supplement to 682b6f57 , fix segfault if clock is NULL#

2016-11-07  svenhoefer  <svenhoefer@svenhoefer.com>

	- moviebrowser: use small offset in header to display channellogo

	- listbox/moviebrowser: replace internal offsets with global defines

	- settings.h: add OFFSET_INNER_MIN define

	- cc_frm_header: use OFFSET define

2016-11-07  TangoCash  <eric@loxat.de>

	fix epgtitle

2016-11-07  svenhoefer  <svenhoefer@svenhoefer.com>

	- moviebrowser: increase default browserFrameHeight

	Merge branch 'master' into pu/moviebrowser

	- moviebrowser: allow round borders in filter selection

	- listframe: allow round borders

	- timerlist: just small code cosmetics

2016-11-06  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox

2016-11-06  svenhoefer  <svenhoefer@svenhoefer.com>

	- epgview: use movie-info's channelname in movieplayer mode to get channellogo

2016-11-06  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/scan_setup.cpp use CHintBox for reloadchannels

2016-11-05  svenhoefer  <svenhoefer@svenhoefer.com>

	- locale: update slovak; thx to Pr0metheus

2016-11-05  Thilo Graf  <dbt@novatux.de>

	CComponentsInfoBox: ensure matching object height after assigned image
	Images are not defined with constructor, so it is possible we must
	consider the image height after called setPicture() methode.
	This is important if an infobox sould be
	added into a cc form object. This avoids overlapping of dynamic added items.

2016-11-05  svenhoefer  <svenhoefer@svenhoefer.com>

	Merge branch 'master' into pu/moviebrowser

	- timermanager: try to fix successive timers

2016-11-05  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox

2016-11-04  Thilo Graf  <dbt@novatux.de>

	CComponentsInfoBox: fix missing calculation of image position with parent

2016-11-04  svenhoefer  <svenhoefer@svenhoefer.com>

	- cablex.xml: update Unitymedia; thx to klauser

	- cablex.xml: update Unitymedia; thx to klauser

2016-11-03  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox

2016-11-03  Jacek Jendrzej  <satbaby@kawaii.com>

	Revert "src/gui/widget/textbox.cpp try to fix text lines per page"
	This reverts commit d6c4324f6c91cd8f8eaaf10b3d7695882f93a18d.

	Revert "src/gui/widget/textbox.cpp supplement to try to fix text lines per page"
	This reverts commit e26ad6e9f1970d82d5a2b80315acf67b526c228e.

	src/gui/widget/textbox.cpp supplement to try to fix text lines per page

	src/gui/widget/textbox.cpp try to fix text lines per page

2016-11-02  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox

2016-11-02  svenhoefer  <svenhoefer@svenhoefer.com>

	- textbox: fix compilation for generic hardware
	error: declaration of ‘clear’ shadows a member of 'this'

	- moviebrowser: smaller locales for footer; clearify "filter off" mode

2016-11-01  svenhoefer  <svenhoefer@svenhoefer.com>

	- miscsettings_menu: fix youtube api key length

2016-11-01  Jacek Jendrzej  <satbaby@kawaii.com>

	pictureviewer: fix possible segfault if width or height < 1,fix possible memleak

2016-10-31  svenhoefer  <svenhoefer@svenhoefer.com>

	Merge branch 'master' into pu/moviebrowser

	- moviebrowser: fix filter selection

	- textbox: add clear() function

2016-10-31  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/scan_setup.cpp fix preselected transponder item

	fix possible segfault and negative height

2016-10-30  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	zapit/frontend: improve SIMULATE_FE code

2016-10-30  svenhoefer  <svenhoefer@svenhoefer.com>

	- yWeb: fix url to Y_Version.txt

	- yWeb: change info string to Tuxbox-Neutrino

2016-10-29  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox

2016-10-29  Thilo Graf  <dbt@novatux.de>

	components/widget: add doxygen config file to create documentations
	If you want to create a documantation,
	please move into current directory that contains the 'Doxyfile' and do execute command

	''doxygen Doxyfile''

	This creates usually a subdirectory named /doc/html/
	This contains documentation contents in html format.
	Open /doc/html/index.html in your browser and you will see contents.

2016-10-29  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox

2016-10-29  svenhoefer  <svenhoefer@svenhoefer.com>

	Merge branch 'master' into pu/moviebrowser

2016-10-29  M. Liebmann  <git@tuxcode.de>

	Use forceSaveScreen() in COsdSetup & CTimerList

	CKeyboardInput: Make saveScreen changeable with forceSaveScreen()

	CStringInput: Make saveScreen changeable with forceSaveScreen()

	Sort locale

2016-10-29  svenhoefer  <svenhoefer@svenhoefer.com>

	- moviebrowser: allow channellist-design in moviebrowser

	- listframe: add some needed get-members

	- textbox: add member to get background-radius

2016-10-28  TangoCash  <eric@loxat.de>

	add possibility to add Name,Url,Port, Username and Password if needed.

2016-10-28  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox

2016-10-28  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/osd_setup.cpp try to fix segfault, call from channellist

2016-10-28  svenhoefer  <svenhoefer@svenhoefer.com>

	- textbox: fix box width in round corners mode

2016-10-28  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox

2016-10-27  svenhoefer  <svenhoefer@svenhoefer.com>

	- cc_item_picture: fix wrong operator in width calculation

2016-10-27  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/eventlist.cpp supplement to 61105699d44de6874fe346e9d8eff52011ebd197, fix chanel_id in search-mode

	src/gui/widget/menue.cpp fix segfault if items is empty

2016-10-27  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox

	CChannelList: delete with red yes button

	CTestMenu: add sample for message box with parameter CMsgBox::mbNoYes

	CMsgBox: apply order of color buttons like on remote control
	Ensures unified conventions over gui.

	CMsgBox: add option for No Yes button arrangement
	Useful if order of red and green buttons must be changed.
	Return values are untouched.

2016-10-27  svenhoefer  <svenhoefer@svenhoefer.com>

	- textbox: fix lineBreakWidth calculation

2016-10-27  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox

2016-10-26  Jacek Jendrzej  <satbaby@kawaii.com>

	src/gui/timerlist.cpp update timerlist after show epgview

2016-10-26  M. Liebmann  <git@tuxcode.de>

	CTimerList: Set httpConnectTimeout for remote timer = 3 sec

2016-10-26  FlatTV  <FlatTV@linux-z6o4.site>

	system/httptool: make timeouts flexible

2016-10-26  M. Liebmann  <git@tuxcode.de>

	remotetimer: Don't repaint timerlist when no changes to remote ip

	CMenuWidget::saveScreen: Fix segfault

	CTimerList: Use enableSaveScreen() for CIPInput

	CExtendedInput: Add saveScreen & restoreScreen() functions

2016-10-26  Thilo Graf  <dbt@novatux.de>

	Clean up: remove unused files

	Includes: remove unused includes

	Merge branch 'master' into pu/msgbox

	CNeutrinoApp: add missing hide()
	Hintbox was not removed from scrren after paint.

	CMsgBox: add missing disableTimeOutBar()
	addendum to
	CHintBox: move showTimeOutBar() to protected, add params to enableTimeOutBar()

2016-10-25  svenhoefer  <svenhoefer@svenhoefer.com>

	- followscreenings: don't show menu if just one event is found

2016-10-25  vanhofen  <vanhofen@gmx.de>

	- moviebrowser: port configuration of moviebrowser fonts from NI-Neutrino

2016-10-25  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox

2016-10-25  svenhoefer  <svenhoefer@svenhoefer.com>

	- listframe/moviebrowser: add round corners to scrollbar

	- moviebrowser: add spacer row to last play/rec windows

	- textbox: fix round corners/scrollbar handling

	- moviebrowser: fix max_width in info-box

2016-10-25  Thilo Graf  <dbt@novatux.de>

	CHintBox: move showTimeOutBar() to protected, add params to enableTimeOutBar()
	Explicit call of disableTimeOutBar() after exec() is required to ensure
	we have no timebar opened objects. I'm not shure, but otherwise crashs
	could be possible.

	showTimeOutBar() is required for OnTimer(). It doesn't need any
	parameter.

2016-10-25  Thilo Graf  <dbt@novatux.de>

	Merge branch 'master' into pu/msgbox

2016-10-24  Jacek Jendrzej  <satbaby@kawaii.com>

	helpers: 201103L have to_string

2016-10-24  Thilo Graf  <dbt@novatux.de>

	CMsgBox: add doc for CMsgBox

	CHintBox: try to optimize height and width of message window

	CMsgBox: use default text mode parameter with scroll for all derivatives

2016-10-24  Thilo Graf  <dbt@novatux.de>

	CComponentsFooter: optimize select buttons, try to assign better contrast
	Now it's possible to set parameters for frames and text.
	Parameters are prdefined for better contrasts in select or default mode.

	TODO: background modes have no effects at the moment. Here are other things need to be done.

2016-10-24  Thilo Graf  <dbt@novatux.de>

	CHintBox: add doc with doxygen tags

2016-10-24  Thilo Graf  <dbt@novatux.de>

	CTestMenu: ensure remove hintbox from screen after pressed exit button.
	call of hide() was missed.

	Use hintbox object on stack.
	Is completely sufficient here.

2016-10-24  Thilo Graf  <dbt@novatux.de>

	CHintBox: ensure remove timeout bar from screen if hintbox object is closed
	Timeout bar is not embedded like other cc items in  this form, therefor is
	is better to kill this object explicit from screen otherwise it is possible
	we hab artefacts after closing of hintbox window.

	CHintBox: fix text mode pass
	Rquired in inherited classes

	CHintBox: visualize timeoutbar with smooth progress

	CComponentsTimer: add support for nano seconds
	To enable nano mode, parameter is_nano must set to true.

	CComponentsFooter: reduce button height inside footer
	TODO: more optimization seems required

	CCDraw: add signals into hide() methode
	alows to use slots

	CMsgBox: ensure reset of progress value on used key

	CMsgBox: enlarge footer height
	Buttons has too small offset to bottom of footer.
	Framed and shaded buttons are arranged on the top of footer, so
	we have a larger offset.

	CComponentsWindow: prepare possibility to change footer height

	CComponentsForm: try to fix possible transparent bars
	Ion enabled frame it's possible we have transparent bars
	between frame and the last item on window bottom. This should avoid this.

	CHintBox: add space for timeout bar

	CPictureViewerGui: add helpbox

	CHintbox/CMsgBox: add vizualized timeout bar

	CHintbox: use default text frame depends from default height and width

	Helpbox:  fix possible transparent holes behind images

	CMovieHelp: add localized items
	TODO: add missings locales

	CPersonalizeGui: remove centered text alignment fro helptext

	Helpbox: use auto sized width for footer button

	Helpbox: use current shadow color

	CHintBox: reduce window size for used auto size depends on text content

	CComponentsButton: remake caption size to 85% of button height
	Better optical matching size.

	CComponentsFooter: use different select color for button, if count = 1
	TODO: 	should be configurable. Not all theme color combinations
		have matched contrasts.

	cc_item.cpp: subtract frame width from the inner radius Box
	Is necessary, because otherwise the frame radius would not match with outside radius
	This would mean that there are "holes" at the box corners.
	So now it seems to work.

	CComponentsItem: ensure some dimensions for shadow are not < 0

	CComponentsButton: remove enableShadow() from button class
	is not required

	cc_item.cpp: remove frame width from boxrad
	In framed boxes, frame radius was too big and was looking bad.
	Not sure if this is now fixed everywhere (eg. hintboxes)

	CMsgBox: use same colors for window body, footer and button container

	CMovieBrowser: add current content background color as image backkground
	Avoids transparent shadow artefacts during repaint of images

	CComponentsPicture: use body color as default clean up color

	CCDraw: add private variable col_shadow_clean
	Should help to control shadow clean up in some constallations

2016-10-24  Thilo Graf  <dbt@novatux.de>

	CComponentsButton: remove clear()-methode and initVarButton()
	clear() killed all button object with all key values and key properties.
	So return values of messeage objects was killed.

	initVarButton() contains Oobjekt intits to already existant object.
	Bad idea, if we init again or pre init with NULL.

	Mode pass was missed.

2016-10-24  Thilo Graf  <dbt@novatux.de>

	CComponentsFooter: remove debug spam

	CMsgBox: set some alternate keys to default key values

	CMsgBox: add colors to debug output

	cc_frm_button.cpp/cc_frm_footer.cpp: fix passed parameter
	were not passed through

	CComponentsForm: add parameters to setSelectedItem() methode
	Were not passed to items

	Try to rework footer
	* try to fix enableButtonShadow(), seems an init is missing
	* shadow fixed

	CComponentsItem: unused vars commented out

	CComponentsItem: remove frame witdth from boxrad calculation
	This fix possible artefacts on the bottom right corner with frame

	Shadow: try to optimize shadow areas
	* cleanup inner part of box on round corners, frames considered
	* adopt implementations in some gui classes
	* some debug lines removed
	* test menu adopted
	* try to fix corner caluculation to avoid transparent holes

	CTestMenu: adopt for last changes

	CComponetnsItem: try to assign shadow areas
	TODO: possible crashes on some constellations

	cc_types.h: add compatible types shadow types
	CC_SHADOW_ON is should compatible

	CComponentsFooter: add member enableButtonShadow()
	Possibility to pass button properties into button objects

	CComponentsFooter: reduced button height for better optical view into footer

	CComponentsItem: fix changeing color on select switching of frames
	expand select mode methodes with paremters for frame properties
	This should make variables col_frame_sel and fr_thickness_sel superfluous.

	CTestMenu: shadow for circle
	TODO: not really nice at the moment

	shadow:  paint shadow layer with multiple renderboxes
	Should help to paint a clean shadow frame

	CMsgBox: add option to enable/disable button background
	replaces var name btn_contour for better plausibility

	CCDraw: try to fix possible data race

2016-10-24  Thilo Graf  <dbt@novatux.de>

	CMsgBox: rework msgbox classes with Window class implementation
	Replacing messagebox, hintbox_ext and some derivated parts with
	basic class hintbox and derivated class CMsgBox. This should unify
	window handling and avoids maintain of multiple classes with quasi
	same purpose and adds more functionality.

	TODO: fix and optimize details

2016-10-24  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	configure: fix short-filename logic
	if configure was not called from absolute path, detection
	would fail and huge filenames would be included in binary
	(noticed in yocto krogoth release)

	system/helpers: allow to build with c++11 compilers

	helpers.cpp: include fontrenderer.h
	if Font class is used, the header should be included, too :-)

	driver/record: make CStreamRec non-public
	CStreamRec is only used inside CRecordManager::Record, so it
	can be implemented completely inside record.cpp. The positive
	side effect is that avformat.h is not included everywhere (e.g.
	from moviebrowser/mb.h) and thus AVFORMAT_CFLAGS does not need
	to be added everywhere to fix build failures.

	record, streamts: use modern AV_CODEC_ID enums
	this allows to build with current ffmpeg

2016-10-23  svenhoefer  <svenhoefer@svenhoefer.com>

	- moviebrowser: show minutes in two-digits format

	- colors: change color for marked items under cursor; user's request

2016-10-23  Michael Liebmann  <micha-bbg@users.noreply.github.com>

	Merge pull request #2 from neutrino-mp/master
	allow to build (not runtime tested :-) with a current yocto krogoth SDK

2016-10-23  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	channellist: fix linking without --enable-pip

	update_ext: fix build with glibc > 2.21 (open needs mode)

	make curl and freetype2 detection crosscompile-friendly

	fix Makefiles to include SIGC_CFLAGS
	now that the framebuffer class includes libsigc++, the path
	to it must be known to all parts using framebuffer.h

	acinclude: fix variable expansion issues

	acinclude: better fix for pkg-config 0.28 behaviour
	Old pkg-config always retured a non-empty string for --cflags.
	It always contained at least one bogus space. New pkg-config
	does not do that. Do not rely on --cflags being non-empty.

	libmd5sum: use tuxbox upstream code

	Merge remote-tracking branch 'tuxbox/master'

2016-10-23  Sven Höfer  <svenhoefer@svenhoefer.com>

	Merge pull request #1 from neutrino-mp/master
	remove obsolete libtriple and unused LIBCS_* flags

2016-10-23  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	remove dead fader.cpp code

	configure: remove unused LIBCS_* variables
	(forward ported neutrino-mp commit 45b4bb0488d)

	remove obsolete embedded libtriple
	the code is unmaintained and probably non-functional, everyone
	should use libstb-hal instead
	(forward ported neutrino-mp commit d2d82188857)

2016-10-23  TangoCash  <eric@loxat.de>

	fix overlapping remote timers

2016-10-22  TangoCash  <eric@loxat.de>

	fix empty ip

2016-10-22  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	opkg_manager: use "opkg" instead of "opkg-cl"
	old releases had "opkg" as compat symlink to -cl, newer releases
	only have opkg binary, so change to opkg for broader compatibility

	timerlist: fix build with GCC 6.2

	system/helpers: allow to build with c++11 compilers

	helpers.cpp: include fontrenderer.h
	if Font class is used, the header should be included, too :-)

	driver/record: make CStreamRec non-public
	CStreamRec is only used inside CRecordManager::Record, so it
	can be implemented completely inside record.cpp. The positive
	side effect is that avformat.h is not included everywhere (e.g.
	from moviebrowser/mb.h) and thus AVFORMAT_CFLAGS does not need
	to be added everywhere to fix build failures.

	record, streamts: use modern AV_CODEC_ID enums
	this allows to build with current ffmpeg

	fix Makefiles to include SIGC_CFLAGS
	now that the framebuffer class includes libsigc++, the path
	to it must be known to all parts using framebuffer.h

	framebuffer_ng: implement getIconPath
	this implements upstream commit 97343d11 in framebuffer_ng

	framebuffer_ng: implement libsigc++ usage
	this is the framebuffer part of upstream commit 0146511f

	framebuffer_ng: amend struct gradientData_t
	this is upstream commit 95f11ce7, no-op here but
	necessary for code compatibility

	Merge remote-tracking branch 'tuxbox/master'
	* needs compile fixes
	* needs additional tests, of course :-)

2016-10-21  svenhoefer  <svenhoefer@svenhoefer.com>

	- locale: fix moviebrowser spacer
	trailing whitespace was removed by mistake with 'git rebase --whitespace=fix' :/

	- timerlist: hide play button, when no remote-box is defined

	- timerlist: auto-calculate TimerListButtonsCount

2016-10-21  TangoCash  <eric@loxat.de>

	add play button in footer

	fix menue

	add locals, add menu to manage box ip's

	varius fixes

	add multiple remote boxes

	check if channel is present (send + fetch)

	suppleental to last commit: fix time corrections for remote timers

	adding remote timer (experimental)
	switch record timers to remote box or back with "play"-key

2016-10-21  svenhoefer  <svenhoefer@svenhoefer.com>

	- moviebrowser: add possibility to add spacers to moviebrowser

	- channellist: add small space between main-window and info-box

2016-10-20  Stefan Seyfried  <seife@tuxbox-git.slipkontur.de>

	configure: fix short-filename logic
	if configure was not called from absolute path, detection
	would fail and huge filenames would be included in binary
	(noticed in yocto krogoth release)

2016-10-20  svenhoefer  <svenhoefer@svenhoefer.com>

	- filebrowser: fix e9d8ab8a5e37ae44b3ca8185463faa7e8aa2a493; vol. 2

	Revert "- filebrowser: fix e9d8ab8a5e37ae44b3ca8185463faa7e8aa2a493"
	This reverts commit 85cd0952f28493a4673d9a7c5baab61f6d64be3f.

2016-10-19  svenhoefer  <svenhoefer@svenhoefer.com>

	- filebrowser: fix e9d8ab8a5e37ae44b3ca8185463faa7e8aa2a493

	- various: use DARK text color on DARK background

	- menue: fix listModeKey handling

	- listframe/moviebrowser: use getItemColors function

	- listframe: replace some color defines with original defines

	- listbox: use getItemColors function

	- color: use DARK text color on DARK background

	- channellist: avoid transparent pixels in round corners

	- stringinput_ext: use getItemColors function

	- stringinput: use getItemColors function

	- keyboard_input: use getItemColors function

	- upnpbrowser: use getItemColors function

	- timerlist: use getItemColors function

	- pictureviewer: use getItemColors function

	- filebrowser: use getItemColors function

	- eventlist: use getItemColors function

	- channellist: use getItemColors function; try to cleanup color mess

	- bouquetlist: use getItemColors function

	- bookmarkmanager: use getItemColors function

	- bouqueteditor_chanselect: use getItemColors function

	- bouqueteditor_channels: use getItemColors function

	- bouqueteditor_bouquets: use getItemColors function

	- audioplayer: use getItemColors function

	- color: add getItemColors function to simplify color handling

2016-10-17  svenhoefer  <svenhoefer@svenhoefer.com>

	- upnpbrowser: use stopAudio() function; was missing in c915f85

2016-10-13  svenhoefer  <svenhoefer@svenhoefer.com>

	- textbox: fix text position in mode CENTER and mode RIGHT; ...
	and add VISUAL_DEBUG define. That paints beautiful colored boxes
	to see what's going on.

	- cc_item_infobox: user OFFSET defines; fix width of textbox

	- upnpbrowser: use OFFSET defines; fix color under cursor; minor cleanups

	- textbox: use OFFSET defines

	- settings.h: activate OFFSET defines

2016-10-13  M. Liebmann  <tuxcode.bbg@gmail.com>

	Merge branch 'cst-next'

	COPKGManager: Fix display description for locally installed packages

	COPKGManager::hasOpkgSupport: Disable directory check
	  If directory /var/lib/opkg resp. /opt/opkg does not exist,
	  it is created by opkg itself

2016-10-13  Thilo Graf  <dbt@novatux.de>

	CComponentsText: add missing member to get current font

2016-10-12  svenhoefer  <svenhoefer@svenhoefer.com>

	- eventlist: remove obsolete bool show from CEventList::showFunctionBar

	- eventlist: remove unnecessary hide of footer

2016-10-12  Thilo Graf  <dbt@novatux.de>

	CComponentsScrollBar: disable scrollbar color gradient
	Was for testing only, now usual properties used.

	CComponentsScrollBar: fix trasnparent background arrow icons
	parameter was disabled

	CFrameBuffer: reduce debug spam
	possible error is already intercepted.

2016-10-11  Thilo Graf  <dbt@novatux.de>

	test_menue.cpp: fix broken build with --enable-testing

2016-10-10  M. Liebmann  <tuxcode.bbg@gmail.com>

	Fix compile error at src/gui/audioplayer.cpp
	 - Complement to commit 98500fd

2016-10-10  svenhoefer  <svenhoefer@svenhoefer.com>

	- rename customcolor.h -> color_custom.h; reduce unneeded inludes

	- cc_frm_button: use same framecolor as used in messagebox/msgbox

	- settings.h: add some definitions to use in future

	- add and use OFFSET_INTER definition

	- rename SHADOW_OFFSET -> OFFSET_SHADOW

2016-10-10  vanhofen  <vanhofen@gmx.de>

	- infoviewer: align progressbar/sigbox code to latest changes

	- colors: add COL_PROGRESSBAR wrapper

	- channellist: add small frame to mono progressbars w/o gradient

	- audioplayer: fix connectline paint

	- ccomponents: fix frame color

	- infoclock: use default colors

	- timeosd: use default colors

	- keyboard_input: fix shadow color

	- stringinput: fix shadow color

	- timerlist: fix shadow color

	- colors: add COL_SCROLLBAR_PASSIVE wrapper

	- colors: add COL_SCROLLBAR_ACTIVE wrapper

2016-10-10  svenhoefer  <svenhoefer@svenhoefer.com>

	- channellist: remove color-mess in progressbar code; don't change colors when moving cursor

	- channellist: more highlight tuned channel under cursor

	- timeosd: fix shadow color

	- infoclock: fix shadow color; use SHADOW_OFFSET definition

	- ccomponents: just code cosmetics; formatting

	- colors: add COL_FRAME wrapper

2016-10-07  Thilo Graf  <dbt@novatux.de>

	Moviebrowser: outsource help class

	CComponentsWindow: remove wrong corner assignment
	Overwrites corner mode for already assigned corner type for body object and
	previous statement is canceled. This should avoid this.

2016-10-05  Thilo Graf  <dbt@novatux.de>

	Moviebrowser: complete licence texts

2016-10-04  Thilo Graf  <dbt@novatux.de>

	CImageInfo: using "DATADIR" instead fixed path

2016-10-03  Thilo Graf  <dbt@novatux.de>

	CImageInfo: fix initial height of first info item
	On first view of imageinfo window, no image name was visibla.
	Height for this item was not assigned.
	Height was only assigned at the second attempt.

	CImageInfo: fix possible item height calculation
	Calculation of height was ok on first paint, but on next time was broken.

	CImageInfo: use matched fontsize for informations
	This window contains many lines and it's possible that some lines are
	truncated. if users have changed to extreme font sizes,
	So it is hopefully solved.

	CImageInfo: add yweb version info

	Imageinfo: add lua API info
	Conflicts:
		data/locale/deutsch.locale
		data/locale/english.locale
		data/locale/nederlands.locale
		src/system/locals.h
		src/system/locals_intern.h

	CImageInfo: enable fade for image info window

	CComponentsExtTextForm: add methode to get current font
	Default font is generated by class it self, so it is useful
	to have access to current font if is required by implemenations.

	CComponentsExtTextForm: add missed parameter font_text

	lua api: fix broken build with --disable-lua

2016-10-01  Thilo Graf  <dbt@novatux.de>

	CLuaInstCCSignalbox: fix compatibility
	Parameter for frontend was changed, is now NULL.
	older plugins could expect an instance and could show
	emtpty signal bars.

2016-10-01  M. Liebmann  <tuxcode.bbg@gmail.com>

	Set correct path for /.version if TARGET_PREFIX is in use.

	src/global.h: Define TARGET_PREFIX when it is not defined

2016-10-01  svenhoefer  <svenhoefer@svenhoefer.com>

	- audioplayer: fix detailsline position

	- fade: fix if-else-endif logic

	- yWeb: internal rename path_usrbin -> path_varbin

	- yWeb: intensive use of variables

	- yWeb: replace hardcoded paths (/share/tuxbox/neutrino/httpd -> %(PRIVATE_HTTPDDIR))

	- yWeb: replace hardcoded paths (/var/httpd -> %(PUBLIC_HTTPDDIR))

	- yWeb: replace hardcoded paths (/var/tuxbox/plugins -> %(PLUGINDIR_VAR))

	- yWeb: replace hardcoded paths (/var/tuxbox/config -> %(CONFIGDIR))

	- yWeb: add hack to Makefile to replace %(FAKE_VARIABLES) after install

2016-09-30  svenhoefer  <svenhoefer@svenhoefer.com>

	- moviebrowser: undock display of filling level from infobar setting

2016-09-30  M. Liebmann  <tuxcode.bbg@gmail.com>

	Move definitions for '*_VAR' directories to configure

2016-09-30  svenhoefer  <svenhoefer@svenhoefer.com>

	- streaminfo2: allow fade in/out

2016-09-29  svenhoefer  <svenhoefer@svenhoefer.com>

	- fade: fix flickering on HD2 hardware; ported from TangoCash's repo

2016-09-29  vanhofen  <vanhofen@gmx.de>

	- movieplayer: fix -Wformat warning; Vol. 2

	- neutrinofonts: fix -Wnarrowing warning in osd_setup

	- streamts: fix -Wformat warning

	- movieplayer: fix -Wformat warning

2016-09-29  Thilo Graf  <dbt@novatux.de>

	CComponentsItem: prevent reinit of already initialized parent form

2016-09-28  TangoCash  <eric@loxat.de>

	- channellist: paint events in additional box in a separated thread

2016-09-28  Thilo Graf  <dbt@novatux.de>

	CInfoViewer: allow fe change without new sigbox object

	CSignalBox: add missing member to set frontend
	Remove double init of sig items; Will be done already by paintScale().
	Ensure reset of last sig value on fe change.
	Prevent possible segfault if fe is not defined.

2016-09-28  svenhoefer  <svenhoefer@svenhoefer.com>

	Revert "CSignalBox: Set current tuner as the default frontend"
	This reverts commit c83f1956372db31b494f3217898df57bc546bfd4.

	Conflicts:
		src/gui/components/cc_frm_signalbars.h

2016-09-26  martii  <m4rtii@gmx.de>

	timerd: honor recording safety when modifying timers (fix)

	timerd: honor recording safety when modifying timers

2016-09-26  TangoCash  <eric@loxat.de>

	always refresh EPG for timer recordings

	add autoAdjustToEPG to webif API

2016-09-26  martii  <m4rtii@gmx.de>

	gui/timerlist: don't auto-adjust manually-added timer to EPG (untested)

	timerd/timermanager: fix EPG auto-adjustment of recordings

	timerd: adjust recording timers to epg

2016-09-26  svenhoefer  <svenhoefer@svenhoefer.com>

	- src/zapit/src/Makefile.am: add @FREETYPE_CFLAGS@ to avoid build fails

2016-09-24  Thilo Graf  <dbt@novatux.de>

	CMenuItem: use reasonable radius
	In some views the large radius looks too chunky.

	CComponentsButton: use passed shadow parameter
	Shadow was always enabled.

	CComponentsHeader: ensure clean object on reinit
	Items were destroyed with simple call of delete
	but not removed from item collection.
	removeCCItem() does this and destroys item objects too.

	CComponentsFooter: remove defined font from footer
	cch_font has nothing to do with button font and is already
	inherited and defined from header class and can be redefined with
	setCaptionFont() methode if required.

2016-09-21  M. Liebmann  <tuxcode.bbg@gmail.com>

	CLuaInstMessagebox::MessageboxExec: Fix 'show_buttons' handling

2016-09-14  svenhoefer  <svenhoefer@svenhoefer.com>

	- pzapit: fix change video mode; tell neutrino about the new value

2016-09-13  Thilo Graf  <dbt@novatux.de>

	CCDraw: add member to get current shadow width

	CFrameBuffer: add debug warning if radius < 0
	Radius < 0 causes for wrong rendering. paintBoxFrame() gets confused.
	This will paint partial outside of frame area.

	CComponentsFooter: rename var for btn icon
	is more plausible

2016-09-12  TangoCash  <eric@loxat.de>

	- messagebox: fix navigation in buttons if just one button is present (thx dbo)

2016-09-12  svenhoefer  <svenhoefer@svenhoefer.com>

	- detailsline: remove unneeded position/dimension additions

	- cc_detailsline: fix positions/dimensions of detailsline

2016-09-12  Thilo Graf  <dbt@novatux.de>

	CThemes: try to fix possible artefacts after changed theme
	This ensures a clean screen before repaint after changed theme.

	In some constellations (eg. with color gradient) it was possible to
	see some old artefacts inside widget items, eg. in header.
	This should avoid this.
	Small disadvantage: screen needs complete repaint after changed theme, but
	this should be not a problem in this case.

2016-09-10  TangoCash  <eric@loxat.de>

	lua: Fix segfault in messagebox.exec at 'align' and 'default'
	 - Set default values for 'show_buttons' and 'default_button'
	   to the correct value
	 - Set Lua api version to 1.60

2016-09-10  vanhofen  <vanhofen@gmx.de>

	- movieinfo: internally rename epgEpgId -> epgId

	- movieinfo: internally rename epgId -> channelId

	- movieinfo: internally rename epgChannel -> ChannelName

	- movieinfo: internally rename epgAudioPid -> AudioPid

	- movieinfo: internally rename epgVTXPID -> VtxtPid

	- movieinfo: internally rename epgVideoPid -> VideoPid

	- movieinfo: internally rename epgMode -> mode

2016-09-09  svenhoefer  <svenhoefer@svenhoefer.com>

	- add listModeKey() function to simplify these calls

2016-09-08  M. Liebmann  <tuxcode.bbg@gmail.com>

	Activate warnings for deprecated functions in CLuaInstMisc & CLuaInstVideo
	 - Set Lua api version to 1.59

2016-09-08  svenhoefer  <svenhoefer@svenhoefer.com>

	- lua: add pin-input; set lua api version to 1.58

2016-09-07  Jacek Jendrzej  <crashdvb@googlemail.com>

	fix compil error: redundant redeclaration of 'void strReplace'

	src/gui/lua/lua_filehelpers.cpp fix possible segfault if string argument is not a string (nil)

2016-09-06  M. Liebmann  <tuxcode.bbg@gmail.com>

	CFileHelpers: Rework FileBuf handling
	FileBuf: Reserve memory only when it is needed (copyFile)
	copyFile: Reserve for small files, only as much memory as is required

	CFileHelpers::removeDir: Better error message
	 - No error when directory does not exist

2016-09-06  Thilo Graf  <dbt@novatux.de>

	Moviebrowser: functions outsourced
	TODO: 	Classes and menus should follow someday.

	Movibrowser: types outsourced

	Moviebrowser: start outsourcing moviebrowser code

2016-09-06  svenhoefer  <svenhoefer@svenhoefer.com>

	- lua: add RC_timeout to keyname table; set lua api version to 1.57

2016-09-05  svenhoefer  <svenhoefer@svenhoefer.com>

	- lua: add stand-alone stringinput; set lua api version to 1.56

2016-09-05  M. Liebmann  <tuxcode.bbg@gmail.com>

	lua_filehelpers.cpp: Add lua script function 'exist()'
	 - Set Lua api version to 1.55

	lua_filehelpers.cpp: Add lua script function 'ln()'
	 - Set Lua api version to 1.54

	lua_filehelpers.cpp: Add lua script function 'readlink()'
	 - Set Lua api version to 1.53

	lua_filehelpers.cpp: Add lua script function 'mkdir()'
	 - Set Lua api version to 1.52

	lua_filehelpers.cpp: Add lua script function 'rmdir()'
	 - Set Lua api version to 1.51

	src/system/helpers.h:createDir(): Set correct default for mode

	lua_filehelpers.cpp: Add lua script function 'touch()'
	 - Set Lua api version to 1.50

	lua_filehelpers.cpp: Add lua script function 'chmod()'
	 - Set Lua api version to 1.49

	Use DebugInfo functions in CFileHelpers::cp / lua cp

	CFileHelpers: Add DebugInfo functions for displaying error messages..
	..in lua script functions

	Add alternative variant for the display of __FILE__ (__path_file__)
	 - __path_file__ includes the relevant parts of source path

	lua_filehelpers.cpp: Add lua script function 'cp()'
	 - Set Lua api version to 1.48

	helpers.cpp: Add cp() function

	CFileHelpers::copyFile: Rewrite mode handling

	helpers.cpp: Add itoa() function

	src/gui/lua: Add lua_filehelpers.cpp

2016-09-02  M. Liebmann  <tuxcode.bbg@gmail.com>

	CLuaInstCCWindow::CCWindowNew: use setButtonLabels real footer width

2016-09-01  svenhoefer  <svenhoefer@svenhoefer.com>

	- lua_menue: allow user definable return values
	This concerns:
	* CLuaMenuFilebrowser::exec()
	* CLuaMenuStringinput::exec()
	* CLuaMenuKeyboardinput::exec()

2016-08-31  Thilo Graf  <dbt@novatux.de>

	CFrameBuffer: add debug warning if radius < 0
	Radius < 0 causes for wrong rendering. paintBoxRel() gets confused.
	This will paint partial outside of renderbox.

	TODO: This should be fixed.

2016-08-30  Thilo Graf  <dbt@novatux.de>

	CComponentsHeader: don't use default parameters for privat member
	Unified adaptation related to child class ComponentsFooter.
	see: 9b9a8d1a789020d43a36474c60d51453cbc6593d

2016-08-26  vanhofen  <vanhofen@gmx.de>

	- yWeb: depending display of logos in EPG plus from Tuxbox.DisplayLogos

	- tuxboxapi: remove obsolete Tuxbox.LogosURL from getLogoFile()

2016-08-26  vanhofen  <vanhofen@gmx.de>

	- neutrinoyparser: move search for channellogos to neutrinoyparser
	This is to respecting user's setting to use other channellogos for
	WebIf. Now WebIf tries Tuxbox.LogosURL from nhttpd.conf first.

	Controlapi ignores these setting and providing the default system
	channelogos using NeutrinoAPI->getLogoFile().

2016-08-26  TangoCash  <eric@loxat.de>

	fix xmltv channellogos

2016-08-26  martii  <m4rtii@gmx.de>

	nhttpd/neutrinoapi: fix getLogoFile()

2016-08-23  Thilo Graf  <dbt@novatux.de>

	CComponentsFooter: don't use default parameters for privat member
	Passed init values are better to see here.
	This should fix wrong footer color too. See UPNP-Browser, color was not
	applied here.

2016-08-23  svenhoefer  <svenhoefer@svenhoefer.com>

	- controlapi: remove unused variable outType from xmltv functions

	- yhook: avoid parameters from xml closing tag

2016-08-23  TangoCash  <eric@loxat.de>

	- controlapi: add xmltv support

2016-08-22  Thilo Graf  <dbt@novatux.de>

	CComponentsWindow: fix possible holes between frame and footer
	One line was to much

	CMenuWidget: assign all layer colors out of header init
	This fixes missing applying of possible changes of
	colour settings in color setup for frame.

	CComponentsButton: reduce shadow width
	buttons are mostly small elements, so these elements should have a reasonable shadow width

	CComponentsWindow: simplify statements

	CComponentsFooter: use background color of footer inside chain object
	Ensure pass of bg color from parent into chain object and button objects.
	Required by embedded button objects. This prevents "holes" on screen.

2016-08-22  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/lua/lua_cc_window.cpp use setButtonLabels real window width

2016-08-22  M. Liebmann  <tuxcode.bbg@gmail.com>

	Complete missing lua api versions:
	 - colors: some internal renamings (bc39d1e) v1.40
	 - colors: make footer background color configurable (cc5258e) v1.41
	 - luainstance: add missing entry for shadow color (a9446a0) v1.42
	 - cc_text: if dx and dy is not set and text have parent use Height
	   (a648dab) v1.43
	 - cc_window: dont paint over screen size (9120176) v1.44
	 - cpicture: Add getHeight/getWidth option (d5051a1) v1.45
	 - cpicture: Add setDimensionsAll option (5c26de0) v1.46

	 - Set Lua api version to 1.46

	 See also neutrino-hd wiki:
	 https://wiki.neutrino-hd.de/wiki/Neutrino_HD_Lua_API#Changelog

2016-08-21  Jacek Jendrzej  <crashdvb@googlemail.com>

	lua_cc_window: add setDimensionsAll option

	lua_cc_picture: add cpicture getHeight / getWidth option

2016-08-20  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/components/cc_frm_window.cpp dont paint over screen size

	2:supplement  to  a648daba757c9d9b27a23269ecc3881ac5a2ec62

	supplement to a648daba757c9d9b27a23269ecc3881ac5a2ec62

2016-08-19  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/lua/lua_cc_text.cpp if dx and dy is not set and text have parent use Height and Width size from parent

2016-08-17  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/widget/menue.cpp check if pointer is not NULL

2016-08-17  Thilo Graf  <dbt@novatux.de>

	CMenuWidget: adopt shadow color to newer color macros

	CUpnpBrowserGui: enable missing shadows
	Supplement for c9bb55db72eea2251ed2451acd16df8d91007834

2016-08-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- themes: change footer colors defaults
	these colors historically depends on infobar colors

2016-08-16  M. Liebmann  <tuxcode.bbg@gmail.com>

	CUpnpBrowserGui: Fix segfault at neutrino start

	Sort locale

2016-08-16  svenhoefer  <svenhoefer@svenhoefer.com>

	- ccomponents: use COL_SHADOW for shadows

	- lua_cc_*: use COL_SHADOW for shadows

	- upnpbrowser: rework elements positions; avoid using FONT_EVENTLIST

	- themes: initialize foot_Text a little brighter

2016-08-15  svenhoefer  <svenhoefer@svenhoefer.com>

	- osd_setup: auto-calc size of font_size structs

	- neutrinofonts: remove wrong name from signal_font struct

	- upnpbrowser: use larger font for items; we have space, so let's use it

	- upnpbrowser: fix calculation of upper info box height

	- cc_item_text: avoid using INFOBAR_SMALL font; use MENU_INFO instead
	it's a small font too

	- fonts: add and use own font for all footers

2016-08-15  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/moviebrowser.cpp m_movieSelectionHandler NULL pointer, try to fix use pointer after delete

	src/gui/widget/textbox.cpp try to fix paint sidebar

2016-08-15  svenhoefer  <svenhoefer@svenhoefer.com>

	- filebrowser: remove my stupid comment

	- cc_frm_button: respecting user colors in buttons

	- infoviewer_bb: respecting user colors in buttonbar

	- colors: make footer text color configurable

	- yWeb: enable trsp-key on remote controls

	- luainstance: add missing entry for shadow color

	- colors: remove obsolete COL_SHADOW_PLUS_1
	we should use only one shadow color (COL_SHADOW_PLUS_0)

	- upnpbrowser: use COL_SHADOW_PLUS_0 instead of COL_SHADOW_PLUS_1

	- colors: make footer background color configurable
	TODO: footer text color and maybe footer font

2016-08-14  svenhoefer  <svenhoefer@svenhoefer.com>

	- cc_frm_footer: overload font option with old familiar font

2016-08-14  svenhoefer  <svenhoefer@svenhoefer.com>

	- colors: some internal renamings
	* INFOBAR_SHADOW to SHADOW because it's not only used in infoviewer
	* INFOBAR_SHADOW_TEXT to MENUFOOT_TEXT because it's the proper name

	This is in preparation to make footer colors configurable

2016-08-14  svenhoefer  <svenhoefer@svenhoefer.com>

	- upnpbrowser: reduce paintButtons calls to cc_frm_buttons default
	remove obsolete setColorBody() call

	- bouqueteditor: reduce paintButtons calls to cc_frm_buttons default

	- cc_frm_button: don't use frames per default and align fontsize
	to familiar size

2016-08-13  M. Liebmann  <tuxcode.bbg@gmail.com>

	Fix commit 4fd7808afd9191f8a8dab491cc9e6151dcc93198
	 - Use indexes for font parameter in formatDeleteMsg() & cutString()

	Fix commit 71674d0f8aab183ad93d7220d5e6a8bfa6505588
	 - Use indexes for font parameter in formatDeleteMsg() & cutString()

2016-08-13  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/moviebrowser.cpp refreshMovieInfo after sort

2016-08-12  M. Liebmann  <tuxcode.bbg@gmail.com>

	moviebrowser: Fix text display in message box when deleting a movie

	src/system/helpers.cpp: Add cutString() function

2016-08-12  Thilo Graf  <dbt@novatux.de>

	CCDraw: add comment
	Add comment where to find corner radius defines

	CMenuWidget: use real paint mode of info box

2016-08-12  svenhoefer  <svenhoefer@svenhoefer.com>

	- messagebox/msgbox: respect user colors for inactive buttons; ...
	paint buttons with shadow and small frame

	- fb_window: add possibility to paint frame boxes

2016-08-11  svenhoefer  <svenhoefer@svenhoefer.com>

	- movieinfo: more cleanup; use htmlEntityDecode from helpers.cpp

	- movieinfo: cleanup from unused code; reformat code; no binary changes

2016-08-11  vanhofen  <vanhofen@gmx.de>

	- epgview: fix display of mp_movie_info->productionDate

2016-08-10  svenhoefer  <svenhoefer@svenhoefer.com>

	- fix 4dd56385fb6771a50fe86bafb37a60260ee7669a

	- moviebrowser: don't paint hdd progressbar if it's disabled by user

	- epgview: show progressbar in movieplayer mode

2016-08-10  M. Liebmann  <tuxcode.bbg@gmail.com>

	epgview: Fix save movie info

2016-08-10  svenhoefer  <svenhoefer@svenhoefer.com>

	- epgview: fix bigfonts switch in movieplayer mode

	- epgview: fix content of small bottom box in movieplayer mode

2016-08-09  TangoCash  <eric@loxat.de>

	fix position channellogo in moviebrowser

	fix epgview channelogo (from moviebrowser)

	fix fading from moviebrowser

	add missing blits

2016-08-09  svenhoefer  <svenhoefer@svenhoefer.com>

	- tmdb: cleanup from unused code

	- movieinfo: move #endif to right place

	- epgview: add extended movie info; code from movieinfo.cpp
	comment out unused showMovieInfo() in movieinfo.cpp

2016-08-08  svenhoefer  <svenhoefer@svenhoefer.com>

	- locals: pay attention to upper/lower case for online services

	- allow to disable online services w/o cleaning the keys

2016-08-06  vanhofen  <vanhofen@gmx.de>

	- add submenu to configure and control online services like youtube, shoutcast and tmdb

	- disable youtube, when youtube_dev_id is empty

	- disable tmdb, when tmdb_api_key is empty

	- disable shoutcast, when shoutcast_dev_id is empty

2016-08-04  svenhoefer  <svenhoefer@svenhoefer.com>

	- eventlist: allow to disable epgplus

2016-08-03  svenhoefer  <svenhoefer@svenhoefer.com>

	- epgview: remove obsolte calculation for footer witdh

	- epgview: cleanup from unused code

	- epgview: rework buttonbar logic

	- epgview: fix y-position of tmdb-logo and rating-stars

2016-08-02  svenhoefer  <svenhoefer@svenhoefer.com>

	- epgview: rename bool 'tmdbtoggle' to 'tmdb_active'

	- epgview: completion of d3cdf8d250d552d3efb860dcc45c82c80455237b

	- minor code cosmetics; no binary changes

	- epgview: scale tmdb-cover; smoother view (use a larger offset)

	- epgview: rename bool 'cover' to 'has_cover'

2016-07-30  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/epgview.cpp fix clear epgtext

	src/gui/epgview.cpp use show function for mp info view

2016-07-29  Jacek Jendrzej  <crashdvb@googlemail.com>

	fix logic

	dont use tmdb if api key not defined

	src/gui/moviebrowser.cpp use one key for delete cover or add tmdb cover

2016-07-28  Jacek Jendrzej  <crashdvb@googlemail.com>

	show epg/tmdb in moviebrowse info modus (yellow->info)

2016-07-28  TangoCash  <eric@loxat.de>

	fix bigfonts in last commits

2016-07-28  Jacek Jendrzej  <crashdvb@googlemail.com>

	fix compil warnings

2016-07-28  TangoCash  <eric@loxat.de>

	add option to replace EPG Info with tmdb Info - be careful

	urgent fix for last commit

	adding Live-TV look alike EPG-Infos in Movieplayer incl. TMDB

2016-07-27  Thilo Graf  <dbt@novatux.de>

	CMsgBox: ensure repaint of background
	This fixes "transparent holes", because textbox object is responsible
	for text.

	The problem here is that the message box has a fixed width and text box
	width is not really considered. This should be fixed, but CMsgBox class
	is used only by CMovieinfo class and this should be enough for the moment.

2016-07-22  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/lua/lua_video.cpp fix possible segfault if argument is not a string (nil)

2016-07-21  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/widget/menue.cpp fix possible heap-buffer-overflow

2016-07-06  Jacek Jendrzej  <crashdvb@googlemail.com>

	update slovak.locale (THX Pr0metheus)

2016-07-03  Thilo Graf  <dbt@novatux.de>

	CShellWindow: add members to set/get commands and get current mode
	This allows to use shellwindow objects with existing instance.

2016-07-01  martii  <m4rtii@gmx.de>

	- followscreenings: port code from martiis-neutrino-mp

2016-07-01  svenhoefer  <svenhoefer@svenhoefer.com>

	- no need to assign mainmenu as an argument to realrun()

2016-06-26  Thilo Graf  <dbt@novatux.de>

	CMessageBox: ignore mute button for message boxes
	In some constellations it's possible that mute button is passed.
	For example see deleting functionality in moviebrowser.
	This should avoid unintended passing.

	CComponentsWindow: change order of items
	Add header and footer items as first  and  body as last item.
	Render of items occurs in listed order. So it's better for performance
	while render of window.
	This is something more advantageously because all other items are
	contained inside body. So we avoid possible delay while rendering
	of base items. It looks better on screen.

	CComponentsItem: ensure display of frame as last layer

	CComponentsWindow: try to fix reduce of item height on enabled frame
	The lower part of the window frame was always painted over.

	dvbsubtitle.cpp: fix wconversion compiler warnings

	CUpnpBrowserGui: fix paint image while scroll, use transparent background

	CCDraw: enable/disable frame if frame on changed frame width

	CComponentsWindow: use only body as background
	Should provide more performance

	CComponentsWindow: ensure default disable background paint on window
	Only basic items should have enabled background paint as default.
	Should be better for performance.

	CComponentsFrmClock: disable non-essential debug output
	It was just important to see how the texts are fitted inside
	a parent element. It's just a debugging relic.

	CMenuWidget: avoid dangling pointer after delete

	CTextBox: don't paint full background if max text width smaller than bg width

2016-06-07  svenhoefer  <svenhoefer@svenhoefer.com>

	- slovak.locale: update

	- cables.xml: update Antennengemeinschaft "Goeltzschtalbruecke"

	- yWeb: add Link and Trinity Duo to selection of remote controls

2016-06-04  Jacek Jendrzej  <crashdvb@googlemail.com>

	avoid division by zero

	src/system/localize.cpp Undefined allocation of 0 bytes

	avoid division by zero

2016-06-02  Jacek Jendrzej  <crashdvb@googlemail.com>

	supplement to d46b287d1cd3448b56ced298c2f0ac46e03472cf

2016-06-02  svenhoefer  <svenhoefer@svenhoefer.com>

	- record_setup: remove undefined hint icon

	- record_setup: add check existing recordings before set new timers

2016-06-02  Thilo Graf  <tg.pnhd@novatux.de>

	CSignalBar: use correct initial value
	This should fix wrong values if signal = 0.

2016-06-02  Thilo Graf  <tg.pnhd@novatux.de>

	CMovieBrowser: remove hide() from destructor
	hide() in constructor could make problems on created moviebrowser instances
	if gui functionality of moviebrowser is not required, eg if only members are used without gui.
	Gui parts could be unintended removed from screen.

	Note: hide() must be called explicit now. I didn't found any problems at the moment, but
	please report if you found problems, so we can fix it.

2016-06-02  Thilo Graf  <tg.pnhd@novatux.de>

	CComponentsChannelLogo: rework logic of inital statement in setChannel()
	This should fix missing logos on existant chnannellogo instances.
	For example, this was to see if user has opened eventlist and
	opens timerlist with button '0'. After closed timerlist logos were lost.

2016-06-01  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/eventlist.cpp restore channel name after call search if not used

2016-05-30  svenhoefer  <svenhoefer@svenhoefer.com>

	- setting_helpers: whitespace cleanup and code format changes

2016-05-23  Jacek Jendrzej  <crashdvb@googlemail.com>

	avoid division by zero and fix segfault

2016-05-21  svenhoefer  <svenhoefer@svenhoefer.com>

	- hdd_menu: add key confirmation to hdd-check result

2016-05-19  svenhoefer  <svenhoefer@svenhoefer.com>

	- channellist: add possibility to clear channel history

	- remove unneeded include of system/lastchannel.h

2016-05-19  Jacek Jendrzej  <crashdvb@googlemail.com>

	fix logic check null and add mute to skip

	check if string msg is not NULL, fix segfault

2016-05-17  Jacek Jendrzej  <crashdvb@googlemail.com>

	try to fix current channel after edit mode

	Revert "very bad idea src/gui/channellist.cpp fix current channel after edit mode"
	This reverts commit 6593dcb0649366c8245d143395e8129856042912.

2016-05-16  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/channellist.cpp fix current channel after edit mode

2016-05-13  svenhoefer  <svenhoefer@svenhoefer.com>

	- fix create-locals-work helper script

2016-05-11  Jacek Jendrzej  <crashdvb@googlemail.com>

	nhttpd remove unused

	nhttpd use epg id to get events

2016-05-10  Jacek Jendrzej  <crashdvb@googlemail.com>

	add epg remaping

2016-05-08  Thilo Graf  <dbt@novatux.de>

	CScreenSaver: use common time format

2016-05-04  Thilo Graf  <dbt@novatux.de>

	CSignalBar: remove dub init

2016-05-04  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/driver/neutrinofonts.cpp add cache for dynSize

	src/gui/widget/messagebox.cpp fix egfault if Text after call is deleted (lua script error)

2016-04-30  M. Liebmann  <tuxcode.bbg@gmail.com>

	CLuaInstVideo::VideoCheckData(): Fix segfault when invalid parameter is passed

	Update LUA_WIKI urls

2016-04-26  Jacek Jendrzej  <crashdvb@googlemail.com>

	some nver read compil fixes

	src/driver/rcinput.cpp revert (not sure)

2016-04-26  Thilo Graf  <dbt@novatux.de>

	CSignalBar: unified var init inside constructors

	CAudioMute: remove explicit paint
	Already done by InfoClock itself with timer

2016-04-25  Jacek Jendrzej  <crashdvb@googlemail.com>

	fix memleak

2016-04-25  Thilo Graf  <dbt@novatux.de>

	CComponentsTimer: rework timer class

2016-04-24  M. Liebmann  <tuxcode.bbg@gmail.com>

	CLuaInstance: Fix compiler warnings

	Fix first paint mute icon

2016-04-24  Jacek Jendrzej  <crashdvb@googlemail.com>

	some never read compil warning fixes

2016-04-23  Jacek Jendrzej  <crashdvb@googlemail.com>

	some compil warning fixes

2016-04-22  Jacek Jendrzej  <crashdvb@googlemail.com>

	some compil warning fixes

	src/gui/timerlist.cpp fix memleak

2016-04-22  Thilo Graf  <dbt@novatux.de>

	CComponentsFrmClock: remove unused parameter,fix possible compiler warnings

2016-04-21  Jacek Jendrzej  <crashdvb@googlemail.com>

	avoid pssible memleak

	avoid null pointer use

	avoid division by zero

2016-04-20  Thilo Graf  <dbt@novatux.de>

	CComponentsFrmClock: remove unnecessary paint
	Is already handled with OnTimer signal.

2016-04-20  Jacek Jendrzej  <crashdvb@googlemail.com>

	eitd : fix add ExtendedTextCache option

	pass by reference

2016-04-20  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrinoyparser: try to fix nevis build
	Todo: BOXMODEL_NEVIS  should be renamed to HAVE_COOLSTREAM_HD1
	      BOXMODEL_APOLLO should be renamed to HAVE_COOLSTREAM_HD2

2016-04-19  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrinoyparser: fix Trinity detection

	- neutrinoyparser: add Link and Trinity Duo

2016-04-18  Thilo Graf  <dbt@novatux.de>

	ComponentsTimer: ensure slot connect/disconnect dependency from slot state

	CComponentsFrmClock: ensure slot connect, if it is empty

2016-04-18  Jacek Jendrzej  <crashdvb@googlemail.com>

	data/satellites.xml update Astra19 Hotbird13

2016-04-17  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/eitd/xmlutil.cpp fix possible segfault

	src/timerd/timermanager.cpp revert last change

	zapit: fix comparison of constant 0 with expression of type 'bool' is always false

	i for last commit

	remove unused and some clang compil fixes

2016-04-16  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/components/cc_signals.h fix typo

	lib/libdvbsub/tools.h unused

	src/gui/movieplayer.cpp delete chid if not used

2016-04-15  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/components/cc_item_progressbar.cpp fix possible memleak

2016-04-15  Thilo Graf  <dbt@novatux.de>

	CUpnpBrowserGui: use static button font instead auto font size

2016-04-14  [CST] Focus  <focus.cst@gmail.com>

	lib/libcoolstream2/cs_api.h: update header

2016-04-11  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/driver/streamts.cpp try to fix send err loop

2016-04-10  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/driver/streamts.cpp check after new

2016-04-10  Thilo Graf  <dbt@novatux.de>

	CInfoViewer: remove clock object interval allocation
	Already allocated with default value (1s) by constructor and
	also not required, because internal clock timer is not used here.

2016-04-08  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/movieplayer.cpp fix update duration on first call

2016-04-07  Thilo Graf  <dbt@novatux.de>

	CComponentsWindow: add member to set button font and use infobar font as default

	CComponentsInfoBox: use framed infobox as default

2016-04-05  Jacek Jendrzej  <crashdvb@googlemail.com>

	add Bluemoon-3.0.theme

	Revert "supplement to 2c700641c11b7f9985c5d2f8f1233252c3c73e7f"
	This reverts commit f684fd50a0ea889ea6e14e664be24afbe0959f39.

	supplement to 2c700641c11b7f9985c5d2f8f1233252c3c73e7f

2016-04-05  Thilo Graf  <dbt@novatux.de>

	bouquetedit classes: use static button font instead auto font size
	User request

2016-04-05  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/daemonc/remotecontrol.cpp: fix PARENTALLOCK in onsignal mode

2016-04-04  Jacek Jendrzej  <crashdvb@googlemail.com>

	add av_dict_free, fix memleak

2016-04-03  Jacek Jendrzej  <crashdvb@googlemail.com>

	supplement to 619dacbc2ed9b11b5210408b516c0f8fd56c80e5

2016-04-01  [CST] Focus  <focus.cst@gmail.com>

	gui/movieplayer.cpp: add non-blocking webtv zap, for testing

2016-03-28  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/movieplayer.cpp fi possible segaults

	rnd for random_shuffle

2016-03-28  [CST] Focus  <focus.cst@gmail.com>

	gui/movieplayer.cpp clear cookie_header before call lua script

	libcoolstream2/playback_cs.h: update header

2016-03-25  Jacek Jendrzej  <crashdvb@googlemail.com>

	add postfields and header curl option

	add headers ffmpeg option for luascript bg play; use in script 'entry['header'] = 'Cookie: var=name';

2016-03-25  [CST] Focus  <focus.cst@gmail.com>

	libcoolstream2/playback_cs.h: update header

2016-03-23  [CST] Focus  <focus.cst@gmail.com>

	neutrino: add webtv channel list mode

2016-03-23  Thilo Graf  <dbt@novatux.de>

	CEpgData: fix header size on used magnify feature
	TODO: Make this feature recognizable for users

2016-03-23  TangoCash  <eric@loxat.de>

	fix json unicode output

2016-03-23  Ezak  <marc.szymkowiak91@googlemail.com>

	add documentation for getdir control

2016-03-23  svenhoefer  <svenhoefer@svenhoefer.com>

	- movieinfo/moviebrowser: add (better) rating feature

2016-03-22  Thilo Graf  <dbt@novatux.de>

	CDBoxInfoWidget: remove superfluous paint of header

	CEventList: hold header instance to reduce flicker effects

	CEpgData: hold header instance to prevent flickering on page scroll
	Header class is not required here, square-object is adequate,
	therefore usage of title text object is justified and can be used on stack,
	heap is not required in this case.
	Note: Header class provides a title parameter and could do this at once.

	CCDraw: don't use clear screen for cleanup before gradient paint
	Until now clean up screen was required to avoid ghost paints with
	hardware acceleration. But this causes partial flicker effects,
	especially when new instances are created.
	So it makes more sense to hold instances and use captured
	screen instead blank screen.
	Optional paint cache or clean up must be enabled.
	You can enable/disable clean up with:
	enableGradientBgCleanUp()/disableGradientBgCleanUp()
	Paint cache:
	enablePaintCache()/disablePaintCache()

2016-03-21  [CST] Focus  <focus.cst@gmail.com>

	driver/record.cpp, driver/streamts.cpp: ignore bitstream filter errors

2016-03-19  Jacek Jendrzej  <crashdvb@googlemail.com>

	nhttpd:  unused var and function

2016-03-19  svenhoefer  <svenhoefer@svenhoefer.com>

	- controlapi: use hh->SendResult() in new getMoviesCGI()

	- controlapi: whitespace cleanup; remove dup getSubdirectories()

2016-03-19  Ezak  <marc.szymkowiak91@googlemail.com>

	add getmovies control

	remove unused vars in controlapi

2016-03-17  Thilo Graf  <dbt@novatux.de>

	CComponentsScrollBar: fix missed navi arrows
	Paths were broken
	comes in with 10c430d40e2b537882941c14f41f57724e4a87ba

	CComponentsButton: get image path from framebuffer
	Buttons didn't get icons from custom path e.g. /var/tuxbox/icons
	This should fix this.

	CFrameBuffer: outsource code for icon path detecting
	Unified handling and makes it possible to use in other objects.

	CComponentsButton: use full height if no frame available

2016-03-17  Thilo Graf  <dbt@novatux.de>

	CComponentsButton: fix button icon position on dynamic changed conditions
	In some constellations it is possible, that costum icons with
	other dimensions will be not correct positionized. This should
	fix this issue.

	This reverts partial commit 8e0d1c85f98b2f8a85f3a69eea401791bbfca23a.

2016-03-15  svenhoefer  <svenhoefer@svenhoefer.com>

	- cables.xml: update Antennengemeinschaft "Goeltzschtalbruecke"

	- cables.xml: update Antennengemeinschaft "Goeltzschtalbruecke"

2016-03-14  svenhoefer  <svenhoefer@svenhoefer.com>

	- yWeb/neutrinoyparser: add icons for scrabled and webtv channels

	- yWeb: add link to get stream to channellist; thx to dasda

	- yWeb: add stream icon

	- yWeb: smoother icons in channellist; thx to fred_feuerstein

	- neutrinoyparser: smoother view in channellist; align icons right

2016-03-13  svenhoefer  <svenhoefer@svenhoefer.com>

	Revert "- epgview: resort EpgButtons; keep color keys together"
	This reverts commit 091e28f, because it breakes footers logic :/

2016-03-12  svenhoefer  <svenhoefer@svenhoefer.com>

	- epgview: resort EpgButtons; keep color keys together

2016-03-12  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/nhttpd/tuxboxapi/ fix AddressSanitizer: strcpy-param-overlap: memory ranges

	src/driver/streamts.cpp init bsfc, fix possible segfault

	src/gui/test_menu.cpp fix pugixml compil

2016-03-12  [CST] Focus  <focus.cst@gmail.com>

	driver/record.cpp, driver/streamts.cpp: add more formats, for testing

2016-03-11  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/driver/netfile.cpp fix redirect url

	src/gui/user_menue_setup.cpp use ITEM_NONE

2016-03-10  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/user_menue_setup.cpp fix possible AddressSanitizer: global-buffer-overflow

2016-03-10  defans  <defans@bluepeercrew.us>

	- infoviewer: don't handle volume keys in movieplayer

2016-03-10  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/driver/netfile.cpp fix skip over bufer size

2016-03-10  flk  <f_l_k@t-online.de>

	install tmdb.png

2016-03-10  svenhoefer  <svenhoefer@svenhoefer.com>

	- adzap: write adzap.data in monitor-mode too

	- adzap: remove useless red button

	- adzap: add checkmark-icon to marked item

	- adzap: start adzap directly when ok is pressed on marked item

	- adzap: don't zap when rezap-channel is already tuned

2016-03-09  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/driver/netfile.cpp fix possible segfaults

2016-03-09  [CST] Focus  <focus.cst@gmail.com>

	neutrino.cpp: try to fix sat/fav keys handling after calling zap history

2016-03-08  [CST] Focus  <focus.cst@gmail.com>

	nhttpd: try to fix threaded nhttp crashes (again)

2016-03-07  svenhoefer  <svenhoefer@svenhoefer.com>

	- yrequest: remove double Connection->Method = M_PUT

	- partly revert e855ceef8e5a3719be4252aa5c5ef4be561d72d5; ...
	... "copy event to prevent crash in multi-threaded mode"

2016-03-07  [CST] Focus  <focus.cst@gmail.com>

	gui/epgview.cpp: fix tmdb logo

	gui/movieplayer.cpp: hack to fix loop at neutrino start for non-working webtv channel via lua plugin

	gui/epgview.cpp: attribute with TMDB logo along with stars

	tmdb: add tmdb logo

2016-03-06  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/gui/user_menue.cpp fix AddressSanitizer: heap-use-after-free

2016-03-04  M. Liebmann  <tuxcode.bbg@gmail.com>

	egpview: Fix display buttons & button labels

	tmdb: Add star icons (THX flk)

	tmdb: Add hintbox when search data

	tmdb: Use osd language for search & display data

	src/system/helpers.cpp: Add function Lang2ISO639_1()

2016-03-04  bazi98  <bazi98@web.de>

	tmdb: Add read apikey from neutrino.conf

2016-03-04  M. Liebmann  <tuxcode.bbg@gmail.com>

	tmdb: Suppress cover flickering when scrolling

2016-03-04  vanhofen  <vanhofen@gmx.de>

	- tmdb: fix return value

	- tmdb: fix function type

2016-03-04  TangoCash  <eric@loxat.de>

	neutrino-mp tmdb -> neutrino-hd

2016-03-04  M. Liebmann  <tuxcode.bbg@gmail.com>

	src/driver/record.cpp: Fix compiler warning

	Sort locales

2016-03-04  [CST] Focus  <focus.cst@gmail.com>

	driver/streamts.cpp: fix webtv streaming for live urls via lua plugins

	driver/record.cpp: fix webtv record for live urls via lua plugins

	gui/movieplayer.cpp: split live url via lua code to be used from other code

2016-03-03  Jacek Jendrzej  <crashdvb@googlemail.com>

	src/nhttpd/tuxboxapi/controlapi.cpp fix 64bit AddressSanitizer: heap-buffer-overflow

2016-03-03  svenhoefer  <svenhoefer@svenhoefer.com>

	- adzap: allow user-definable zap back time > 9 min

	- adzap: call adzap directly from usermenu

	- adzap: use adzap-thread in epg view; remove pseudo timertype ADZAP

	- adzap: add hint icon by fred_feuerstein

	- adzap: add possibility to write status data to /tmp/adzap.data

	- adzap: align locale in usermenu item to adzap active status

	- adzap: don't leave all menues, when adzap isn't active

	- adzap: add isActive() function

	- adzap: update monitorLifeTime before leaving in case event has changed

	- adzap: move code to determinate monitorLifeTime to own function

	- adzap: move non-menu code to Init() function

	- adzap: cleanup from unused variables

	- adzap: hide blue button if needed

	- adzap: use footer buttons to enable/disable adzap

	- adzap: make locale to announce zap back more flexible

	- adzap: re-format code

2016-03-03  martii  <m4rtii@gmx.de>

	- adzap: port code from martiis-neutrino-mp

2016-03-03  Thilo Graf  <dbt@novatux.de>

	CUpnpBrowserGui: block infoclock
	Infoclock was not blocked in all modes, e.g. after stopped video
	infoclock was unblocked and clock was back on screen. Clock should be now
	not visible while upnp browser window is openend.

	CUpnpBrowserGui: clean up, remove unused vars

	CUpnpBrowserGui: do intit screen properties already on changed settings on runtime

	CUpnpBrowserGui: move module init into own member

	CUpnpBrowserGui: update license text

	CUpnpBrowserGui: add missing exit button

	CUpnpBrowserGui: sort buttons related to remote control

	CUpnpBrowserGui: rework image view

	CUpnpBrowserGui: rework top box arrangement

	CUpnpBrowserGui: rework broken detail info
	- apply current dline functionality
	- use footer class to paint footer, So footer is usable as object.
	- use infobox to show content and time info

	CNeutrinoApp: add signal OnAfterSetupFonts
	This allows to implement methodes already inside classes without any
	additional external var constructions.

	COPKGManager: generate a readable string for installation time

2016-03-03  svenhoefer  <svenhoefer@svenhoefer.com>

	- infoviewer: we don't have starttimes in livestream mode

2016-03-03  M. Liebmann  <tuxcode.bbg@gmail.com>

	Display of livestream infos in IV if no EPG data available

2016-03-03  svenhoefer  <svenhoefer@svenhoefer.com>

	- neutrino: add upgradeSetup function ...
	... to upgrade neutrino.conf to new defaults if needed

	- neutrino: add version_pseudo.h to allow changes ...
	by comparing old version_pseudo with new one

	- locale: change default text for yellow button

	- user_menu: get resolution value for livestreams

	- infoviewer_bb: show resolution in livestream mode on color button

	- webtv_setup: auto-determinate LIVESTREAM_RESOLUTION_OPTION_COUNT

2016-03-03  Jacek Jendrzej  <crashdvb@googlemail.com>

	Fix parse json data

2016-03-03  M. Liebmann  <tuxcode.bbg@gmail.com>

	movieplayer: Use Lua scripts for selecting live stream urls

	CZapitChannel: Add variable 'script'
	 - using scripts for detecting the URL for live streams

2016-03-03  svenhoefer  <svenhoefer@svenhoefer.com>

	- yWeb: enable record start button in boxcontrol

2016-03-02  Jacek Jendrzej  <crashdvb@googlemail.com>

